
********************************************************************************

* Panel GSS 2016-2018-2020     				   *

*                                                                              *

* Replication Do-file for 2022_GSS2016-2020.dta                         *

*                                                                              *

* Software used: Stata/IC 17.0                                                  *

********************************************************************************


  
                    ****************************************                    
                      *RECODING VARIABLES BEFORE ANALYSIS*
                    ****************************************

					
* Variables you need to weight and determine the version and the "ballot"

egen weight = rowmean (wtssnr_2 wtssnr_1a wtssnr_1b)

egen vstrat = rowmean (vstrat_1a vstrat_1b vstrat_2)
egen vpsu = rowmean (vpsu_1a vpsu_1b vpsu_2)

svyset [pweight=weight], strata(vstrat) psu(vpsu) singleunit(scaled)



* NOTE 
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    

                    ****************************************                    
                      
					  
				* NOT ALL RESPONDENTS WERE ASKED ALL Questions * ///
			///	 "* NOT ALL RESPONDENTS WERE ASKED ALL Questions *" ///
			///	 "* NOT ALL RESPONDENTS WERE ASKED ALL Questions *" ///
			///	 "* NOT ALL RESPONDENTS WERE ASKED ALL Questions *" ///
					  
					  
					  
					  * The "ballots"  
					  
					  
					  
			///	 Some variables are on all three ballots
			///	 Some are on two 
			///	 Some are only on one
			///	 Always look at the number of observations 
			///  Always run atab  on each variable and the ballot variable 
			
			
			* See page 9 for an overview of which variables are on which ballots 
			
			* https://gss.norc.org/Documents/codebook/2016-2020%20GSS%20Panel%20Codebook%20-%20R1.pdf  

			
			///	 Some variables are asked for all respondent years
			///	 Some are on two years 
			///	 Some are only on one year 
			///	 Always look at the number of observations 
			///  Always run a tab  on each variable and the ballot variable 

			
					**************************************** 				
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
                    ****************************************                    
					
					

* version_1a version_1b version_2

* form_1a form_1b form_2 

* ballot 




*tab  panstat year_all

*                      |             year_all
*              panstat |      2016       2018       2020 |     Total
*----------------------+---------------------------------+----------
*         not selected |       721          0          0 |       721 
*selected, eligible, a |         0        809      1,014 |     1,823 
*selected, but not rei |     1,261      1,267          0 |     2,528 
*selected, but not eli |        15         22          0 |        37 
*selected, but not eli |        61         45          0 |       106 
*----------------------+---------------------------------+----------
*                Total |     2,058      2,143      1,014 |     5,215


* sum year_1a year_1b year_2

*    Variable |        Obs        Mean    Std. dev.       Min        Max
*-------------+---------------------------------------------------------
*     year_1a |      2,865        2016           0       2016       2016
*     year_1b |      2,348        2018           0       2018       2018
*      year_2 |      1,821        2020           0       2020       2020


egen form = rowmean (form_1a form_1b form_2)




label define year_detail 0 "16 only" 1 "18 only" 2 "16-20" 3 "18-20" 


gen year_detail_3 = 0
gen year_detail_2 = 0
gen year_detail_1 = 0
gen year_detail_0 = 0

replace year_detail_3 = 1 if year_1a ~= 2016 & year_2 == 2020 & year_1b ==2018

replace year_detail_2 = 1 if year_1a == 2016 & year_2 ==  2020

replace year_detail_1 = 1 if  year_1b == 2018 & year_1a ~= 2016 & year_2 ~= 2020

replace year_detail_0 = 1 if year_1a == 2016 & year_1b ~=2018 & year_2 ~=2020

label var year_detail_3 "Only 2018 and 2020"
label var year_detail_2 "Only 2016 and 2020"
label var year_detail_1 "Only 2018"
label var year_detail_0 "Only 2016"




gen year_detail = 3 if year_1a ~= 2016 & year_2 == 2020 & year_1b ==2018

replace year_detail = 2 if year_1a == 2016 & year_2 ==  2020

replace year_detail = 1 if  year_1b == 2018 & year_1a ~= 2016 & year_2 ~= 2020

replace year_detail = 0 if year_1a == 2016 & year_1b ~=2018 & year_2 ~=2020

label values year_detail year_detail




gen ballota = 0
gen ballotb = 0
gen ballotc = 0

replace ballota = 1 if ballot_1a == 1 
replace ballota = 1 if  ballot_1b == 1 
replace ballota = 1 if  ballot_2 == 1

replace ballotb = 1 if  ballot_1a == 2 
replace ballotb = 1 if  ballot_1b == 2 
replace ballotb = 1 if  ballot_2 == 2

replace ballotc = 1 if  ballot_1a == 3 
replace ballotc = 1 if   ballot_1b == 3 
replace ballotc = 1 if   ballot_2 == 3

tab ballota ballotb

drop if ballota == 1 & ballotb ==1
drop if ballota == 1  &  ballotc ==1
drop if ballotb == 1  &  ballotc ==1


gen ballot = 1 if ballota ==1
replace ballot = 2 if ballotb ==1
replace ballot = 3 if ballotc ==1
label values ballot BALLOT

tab ballot

*tab  ballot

*     ballot |      Freq.     Percent        Cum.
*------------+-----------------------------------
*   ballot a |      1,695       32.51       32.51
*   ballot b |      1,750       33.57       66.08
*   ballot c |      1,768       33.92      100.00
*------------+-----------------------------------
*      Total |      5,213      100.00



* tab ballot year_detail
*
*           |                 year_detail
*    ballot | Only 2016  Only 2018  Only 2016  Only 2018 |     Total
*-----------+--------------------------------------------+----------
*  ballot a |       673        448        237        337 |     1,695 
*  ballot b |       707        438        269        336 |     1,750 
*  ballot c |       678        448        301        341 |     1,768 
*-----------+--------------------------------------------+----------
*     Total |     2,058      1,334        807      1,014 |     5,213 




* Status in the panel 
* panstat

* Value label designations 

label define disagree1 0 "Agree"  1 "Disagree" 
label define agree1 1 "Agree"  0 "Disagree" 
label define yes1 1 "Yes"  0 "No" 
label define no1 1 "No"  0 "Yes" 
label define true_correct 1 "True - correct"  0 "False" 
label define correct 1 "Correct"  0 "Incorrect" 

label define approve1 1 "Approve"  0 "Disapprove" 
label define disapprove1 1 "Disapprove"  0   "Approve"

label define notfavor1 1 "Not favor"  0 "Favor" 
label define favor1 1  "Favor"  0 "Not favor"
label define male1 1 "Male" 0 "Female" 
label define oppose1 1 "Oppose"  0 "Favor" 

label define true_soc_des 1 "True - socially desirable"  0 "False - not socially desirable" 
label define false_soc_des 0 "True - not socially desirable"  1 "False - Socially desirable" 

label define notwrong14 1 "Always wrong" 2 "Almost always wrong" 3 "Wrong only sometimes" 4 "Not wrong at all"
label define wrong14 4 "Always wrong" 3 "Almost always wrong" 2 "Wrong only sometimes" 1 "Not wrong at all"

label define wrong01 1 "Always wrong"  0 "Not wrong at all"
label define notwrong01  0 "Always wrong"  1 "Not wrong at all"

label define moralopp13 1 "Morally opposed" 2 "It depends" 3 "Not morally opposed" 
	
label define easier13 1 "Make it harder" 2 "Should stay the same" 3 "Make it easier"
 
label define veryhard15 1 "Very easy" 2 "Easy" 3 "Neither easy nor hard" 4 "Hard" 5 "Very hard"

label define num10more 10 "10 or more"	

label define self_employed 0 "Not" 1 "Self-employed"

label define worked 0 "Not worked" 1 "Worked"

label define use1 0 "Do not use" 1 "Use"

label define disc_har1 0 "No"	1 "Harassed or discriminated"

label define degree04 0  "Less than high school"  1  "High school"  2  "Associates"  3  "Bacherlor's"  4   "Graduate" 

label define degree01 0  "Less than high school"  1    "Graduate"

label define verywell04 4 "Very well" 3 "Somewhat well" 2 "Not very well" 1 "Hardly at all" 0 "Not at all"
label define verywell01 1 "Very well"  0 "Not at all"

label define pos5 5 "Very positive"  4 "Somewhat positive"  3 "Neither positive nor negative"  2 "Somewhat negative" 1 "Very negative"

  
label define fund3 3 "Fundamentalist" 2  "Moderate" 1  "Liberal"
label define fund01 1 "Fundamentalist"  0  "Liberal"

label define agree4 4 "Strongly agree" 3 "Agree" 2 "Disagree" 1 "Strongly disagree"
label define agree01 1 "Strongly agree" 0 "Strongly disagree"

label define disagree4 1 "Strongly agree" 2 "Agree" 3 "Disagree" 4 "Strongly disagree"
label define disagree01 0 "Strongly agree" 1 "Strongly disagree"

label define disagree5 1 "Strongly agree" 2 "Agree" 3 "Neutral" 4 "Disagree" 5 "Strongly disagree"
label define agree5 5 "Strongly agree" 4 "Agree" 3 "Neutral" 2 "Disagree" 1 "Strongly disagree"

label define fav_opp4 4  "Strongly favor"  3 "Favor" 2 "Oppose" 1 "Strongly oppose"
label define oppose4 4  "Strongly favor"  3 "Favor" 2 "Oppose" 1 "Strongly oppose"
 

********************************************************************************
*                          ***Demographic Variables***                               
********************************************************************************

* These are the main demographics 

* male01 age01 hh_type_nom race_eth03_nom rinc_allyears01 education01





* 		Please note that income_1a rincome_1a are virtually useless 





* Sex

recode sex_1a 	sex_1b 	sex_2 ( 1=1) (2=0)
egen  	male01	 = rowmean ( sex_1a 	sex_1b 	sex_2 			)
replace male01 = 1 if sex_2 == 1
replace male01 = 0 if sex_2 == 0

replace male01 = 1 if sex_1b == 1
replace male01 = 0 if sex_1b == 0

label values 	male01	male1 
label variable 		male01		"Female = 0; Male = 1"	
 
 
 
 * age
 
replace age = age_1a 
replace age = age_1b if age ==.i
replace age = age_2 if age ==.i
sum age 
egen age2 = rowmean (age_1a age_1b age_2)
tab age2 age if age2 ~=age 

gen age01 = (age-18)/71
sum  age01 
 
 
 

							


* Marital status 


clonevar marital_nom = marital_1a
replace marital_nom = marital_1b if marital_1b ~= .i
replace marital_nom = marital_2  if marital_2  ~= .i

tab marital_nom
label variable 		marital_nom		"Marital status"

*Whether person has partner - higher values R is living with partner 

recode posslq_1a posslq_1b posslq_2 posslqy_1a posslqy_1b posslqy_2 (1=4) (2=3) (3=2) (4=1)
egen partner_hh14 = rowmean ( posslq_1a posslq_1b posslq_2 posslqy_1a posslqy_1b posslqy_2)
label define partner_hh14 4 "Married - same household" 3 "Unmarried partner - same household" ///
	2 "Partner not same household" 1 "No partner"

gen partner_hh01 = (partner_hh14-1)/3 
label define partner_hh01 1 "Married - same household" 0 "No partner"
tab partner_hh01
 
* Living with partner (married or not)

egen marcohab14 = rowmean ( marcohab_1a marcohab_1b marcohab_2)
recode marcohab14 (1/2 = 1) (3/4 = 0), gen (live_partner01)
label define live_partner01 0 "Not living with partner" 1 "Living with partner"
label values live_partner01 live_partner01

egen marcohab1618 = rowmean (marcohab_1a marcohab_1b)
tab marcohab1618


* Whether R was born in the U.S. 


recode born_1a born_1b  (1=1) (2=0) (.d = 0)
egen      born_usa01 = rowmean ( born_1a born_1b   )
label var born_usa01 "Born in the USA"
label values born_usa01 yes1 


* Household circumstances or previous circumstances 
 
egen age_kids = rowmean (agekdbrn_1a agekdbrn_2 agekdbrn_1b )
gen age_kids01 = (age_kids-9)/41
label var  age_kids01 "What age did you first have your kids?"



 * Education 

* Degree earned 

egen degree04 = rowmean (degree_1a	degree_1b degree_2) 
label var degree04	"R's highest degree"


label values degree04 degree04

gen degree01 =  (degree04)/4
label var degree01	"R's highest degree"

label values degree01 degree01

* Years of schooling 

egen educ20 = rowmean (educ_1a	educ_1b educ_2) 
label var educ20	"Years of schooling"


label values educ20 EDUC

gen educ01 =  (educ20)/20
label var educ01	"Years of schooling"

label values educ01 EDUC


corr educ01 degree01
egen education01 = rowmean (educ01 degree01 )


*Partner or spouse years of schooling 


egen partner_educ20 = rowmean (speduc_1a	speduc_1b speduc_2  coeduc_1a coeduc_1b coeduc_2 ) 
label var partner_educ20	"Years of schooling for R's spouse or partner"


label values partner_educ20 EDUC

gen partner_educ01 =  (partner_educ20)/20
label var partner_educ01	"Years of schooling for R's spouse or partner"

label values partner_educ01 EDUC


 * Spouse's education - NOTE: for those with no spouse (check marital_nom )

egen      spouse_deg04 = rowmean ( spdeg_1a spdeg_1b spdeg_2  )
label var spouse_deg04 "R's spouse's highest degree"
gen spouse_deg01 =  spouse_deg04/4
label var spouse_deg01 "R's spouse's highest degree"
label values spouse_deg04  degree04 
label values spouse_deg01 degree01

 * Spouse has ever worked? 


recode spevwork_1a 	spevwork_1b 	spevwork_2   (1=1) (2=0) (.d = 0)
egen      work_spouse_ever01 = rowmean ( spevwork_1a 	spevwork_1b 	spevwork_2   )
label var work_spouse_ever01 "R's spouse has worked - ever'"



recode divorce_1a 	divorce_1b 	divorce_2   (1=1) (2=0) (.d = 0)
egen      divorce01 = rowmean ( divorce_1a 	divorce_1b 	divorce_2    )
label var divorce01 "Ever divorced"



recode widowed_1a 	widowed_1b 	widowed_2   (1=1) (2=0) (.d = 0)
egen      widowed01 = rowmean ( widowed_1a 	widowed_1b 	widowed_2    )
label var widowed01 "Ever widowed"

label values work_spouse_ever01 divorce01 widowed01 yes1 

sum work_spouse_ever01 divorce01 widowed01

* Race and ethnicity 


clonevar race_nom = race_1a
replace race_nom = race_1b if race_1a ==.i

tab race_nom
label define race13 1 "White" 2 "Black" 3 "Other"
label values race_nom race13 

egen his_nom = rowmean (hispanic_1a hispanic_1b hispanic_2)


gen race_eth03_nom = race_nom
replace race_eth03_nom = 0 if race_nom == 1
replace race_eth03_nom = 1 if his_nom > 1
replace race_eth03_nom = 2 if race_nom ==2
replace race_eth03_nom = 3 if race_nom ==3


label define race_eth_03 0 "White" 1 "Black" 2 "Hipanic/Latino" 3 "Other" 

label values race_eth03_nom race_eth_03

tab race_nom
tab race_eth03_nom
 
 * Lightness-darkness  of skin 
 
egen skintone = rowmean (ratetone_1a ratetone_1b ratetone_2 )
gen skintone01 = (skintone-1)/9
tab  skintone01
 
 

 
* Subjective class identification 
* If you were asked to use one of four names for your social class, which would you say you belong in: the lower class, the working class, the middle class, or the upper class?
egen class14 = rowmean (class_1a	class_1b class_2) 
label var class14	"Subjective class identification"

label define class14  1 "Lower" 2 "Working" 3 "Middle" 4 "Upper"

label values class14 class14

gen class01 =  (class14 - 1)/3

label define class01 0 "Lower" 1  "Upper"
label values class01 class01

recode class14 (1.5 = 1)  (2.5 = 3) (3.5=4) , gen (class_new14 )

 * Subjective class identification low versus top 
* In our society there are groups which tend to be towards the top and those that are towards the bottom. Here we have a scale that runs from top to bottom. 
* A. Where would you put yourself on this scale?
 
egen rank10 = rowmean (rank_1a	rank_1b rank_2) 
label var rank10	"Subjective socioeconomic status"

label define rank10  1 "Bottom" 10 "Top"

label values rank10 rank10

gen rank01 =  (rank10 - 1)/9

label define rank01 0 "Bottom" 1  "Top"
label values rank01 rank01

gen rank01_new = (rank01*-1)+1
replace rank01 = rank01_new

corr rank01 class01

egen  class_rank01 = rowmean (rank01 class01 )






 * What kind of dwelling R lives in 
 
label define higher_average3 3 "Higher than average"  2  "Average" 1  "Lower  than average"
 
 * Interviewer assessment: What do you believe the income status of this housing unit is, relative to the rest of the general United States population?

recode incuspop_1a incuspop_1b ( 1=3 ) (2=2) (3=1) 
egen income_home13 = rowmean (incuspop_1a incuspop_1b   )
label values income_home13 higher_average3 
gen income_home01 = (income_home13-1)/2
label define higher_average01 1 "Higher than average"  0  "Lower  than average"


label values income_home01 higher_average01 
tab income_home01
label var income_home01 "Estimated income status of housing unit"
  
	
* tab dwellpre_1a dwelling_1a

*These are nominal about which type of structure 
 
*dwelling_1a	type of structure		{1, trailer}...		2,865	1	10
*dwelling_1b	type of structure		{1, trailer}...		2,347	1	10
*dwellpre_1a	type of structure in which the respondent lives		{1, trailer}...		2,862	1	10
*dwellpre_1b	type of structure in which the respondent lives		{1, trailer}...		2,346	1	10
 
egen dwelling_type_nom = rowmean (dwelling_1a dwelling_1b )
label values dwelling_type_nom DWELLING
label var dwelling_type_nom "Type of structure R lives in: nominal (if .5 value then change across panel )"
tab  dwelling_type_nom



*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************


* 		Respondent's income to use: rinc_allyears01
* 		Family's income to use: inc_allyears01

* 		But inc is the best estimate for how comfortable a person is 
* 		Averaged across all years is coninc_allyears

* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 

*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************


* Respondent and family income
* the variable "income and rincome are less valuable because they use the same categories as 
* in the 1970s and so the highest value is 25k, and obviously most people fall into this category 

* There are two other income variables that are inflation adjusted
* Family income is coninc 
* Respondent income is conrinc 





gen inc_2016 = (coninc_1a)
gen inc_2018 = (coninc_1b)
gen inc_2020 = (conrinc_2)

label var  inc_2016 "Family income in 2016, in constant dollars"
label var  inc_2018 "Family income in 2018, in constant dollars"
label var  inc_2020 "Family income in 2020, in constant dollars"


gen rinc_2016 = (conrinc_1a)
gen rinc_2018 = (conrinc_1b)
gen rinc_2020 = (conrinc_2)
  
label var  rinc_2016 "Respondent's income in 2016, in constant dollars"
label var  rinc_2018 "Respondent's income in 2018, in constant dollars"
label var  rinc_2020 "Respondent's income in 2020, in constant dollars"


* Standardizing to 0-1

	* coninc1a (2016) 	 	coninc1b (2018) 	 conrinc_1a  	 conrinc_1b 		coninc_2 	conrinc_2
* min 	-363				-350.5					-363		-	350.5			336				336
* max 	163843.8			158201.8				189211.5		182695.9		168736.3	170912.6
* range 163480.8			157851.3				188848.5		182345.4 		168400.3	170576.6


gen inc01_2016 = (coninc_1a-363)/163480.8
gen inc01_2018 = (coninc_1b-350.5)/157851.3
gen inc01_2020 = (conrinc_2-336)/168400.3

label var  inc01_2016 "Family income in 2016, in constant dollars"
label var  inc01_2018 "Family income in 2018, in constant dollars"
label var  inc01_2020 "Family income in 2020, in constant dollars"


gen rinc01_2016 = (conrinc_1a-363)/188848.5
gen rinc01_2018 = (conrinc_1b-350.5)/182345.4
gen rinc01_2020 = (conrinc_2-336)/170576.6

label var  inc01_2016 "Family income in 2016 constant dollars, 0-1"
label var  inc01_2018 "Family income in 2018 constant dollars, 0-1"
label var  inc01_2020 "Family income in 2020 constant dollars, 0-1"


sum inc01_2016
sum inc01_2018
sum inc01_2020

sum rinc01_2016
sum rinc01_2018
sum rinc01_2020





* You could do cool stuff - like if the R makes a lot more, you can assume
* more power, but if the R makes 0 or less then you can imagine they have 
* less household power 
* or that it somehow changes the dynamics of someone's home life 

*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************




* 		Respondent's income to use: rinc_allyears01
* 		Family's income to use: inc_allyears01

* 		But inc is the best estimate for how comfortable a person is 
* 		Averaged across all years is coninc_allyears

* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 		Please note that income_1a rincome_1a are virtually useless 
* 


*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************

* They do not have valuelabels because the amount is the exact amount - but categorized
* if it has an r in the name, it is the respondent's - otherwise, it is the "family income" 
* it is 0-1 except for rounding errors 



* But if you want to have an income variable that applies to all people, take an average of coninc and conrinc 

egen inc_allyears01 = rowmean (inc01_2016 inc01_2018 inc01_2020 )
egen rinc_allyears01 = rowmean (rinc01_2016 rinc01_2018 rinc01_2020 )

label var inc_allyears01 "Respondent's income averaged across all years"
label var rinc_allyears01 "Respondent's FAMILY income averaged across all years"
 
egen income01 = rowmean ( rinc_allyears01 inc_allyears01)

* Note: again, these are mostly useless 


 * income_1a	total family income		{1, under $1,000}...		2,433	1	12
 * income_1b	total family income		{1, under $1,000}...		1,983	1	12
 * income_2


 * rincome_1a	respondents income		{1, under $1,000}...		1,581	1	12
 * rincome_1b	respondents income		{1, under $1,000}...		1,315	1	12
 * rincome_2

 
* This doesn't have a very high n 
* wealth_1b







* major1_1a	college major 1		{1, accounting/bookkeeping}...		1,067	1	82
* major1_1b	college major 1		{1, accounting/bookkeeping}...		910	1	82
* major2_1a	college major 2		{1, accounting/bookkeeping}...		224	1	82
* majorcol_1a	the field of degree r earned		{1, accounting/bookkeeping}...		526	1	82
* majorcol_1b	the field of degree r earned		{1, accounting/bookkeeping}...		433	1	82



* Occupational prestige 


* This score ranges from 16-80 and is the GSS's way of measuring how much prestige their actual occupation is, from 
* many of the questions about everyone's job 



* Spouse or partner's occupational prestige 
egen partner_prest16_80 = rowmean (sppres10_1a	sppres10_1b sppres10_2 copres10_1a copres10_1b copres10_2 ) 
label var partner_prest16_80	"Spouse or partner's occupational prestige"

gen partner_prest01 =  (partner_prest16_80 -16)/66
label var partner_prest01	"Spouse or partner's occupational prestige"



egen prest16_80 = rowmean (prestg10_1a	prestg10_1b prestg10_2  ) 
label var prest16_80	"Occupational prestige"

gen prest01 =  (prest16_80 -16)/66
label var prest01	"Occupational prestige"

*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************




* The GSS uses information from these income and occupational prestige to
* get a sense of the overview. 

* See: 
* https://gss.norc.org/Documents/reports/methodological-reports/MR124.pdf

* So, if you use these, pay attention to multicollinearity 
* 


*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
							
				
* GSS index of socioeconomic status 

egen socio_status9_94 = rowmean (sei10_1a	sei10_1b sei10_2  ) 
label var socio_status9_94	"socioeconomic status"

gen socio_status01 =  (socio_status9_94 -9)/85
label var socio_status01	"socioeconomic status"


				
* Spouse or partner's socioeconomic status 
egen partner_socio_status9_94 = rowmean (spsei10_1a	spsei10_1b spsei10_2 cosei10_1a cosei10_1b cosei10_2 ) 
label var partner_socio_status9_94	"Spouse or partner's socioeconomic status"

gen partner_socio_status01 =  (partner_socio_status9_94 -9)/85
label var partner_socio_status01	"Spouse or partner's socioeconomic status"




recode age_kids (9/17.5 = 1 "School age" ) (18/22.5 = 2 "Young adult" ) ( 23/27.5 = 3 "Mid-20s") /// 
	( 28/34.5 = 4 "Late 20s, early 30s") (  35/50  = 5 "Mid 30s and older" ) , gen (age_had_kids_5cat)

	* is it easy to make ends meet? 
 
egen      endsmeet04 = rowmean ( endsmeet_1a endsmeet_1b endsmeet_2   )

label define veryeasy5 1 "Very difficult" 2 "Fairly difficult"  3 "Neither easy nor difficult" 4 "Fairly easy" 5 "Very easy"

gen endsmeet01 = (endsmeet04-1)/4 
label define veryeasy01 0 "Very difficult" 1  "Very easy"
label values endsmeet01 veryeasy01

* Index of social class 

 pwcorr  rank01_new class01 income_home01 inc_allyears01 prest01 , obs 

 alpha  rank01_new class01 income_home01 inc_allyears01 prest01, item 

 egen socclass01 = rowmean (rank01_new class01 income_home01 inc_allyears01 prest01 )

egen socclass_2_01 = rowmean (rank01_new class01 income_home01 inc_allyears01 prest01 endsmeet01)
label var socclass_2_01  "Rank, class, housing status, income, occ. prestige, ease of making ends meet"


* Is it easy to make ends meet? 
* Income 
* Occupational prestige (generated by NORC, "National Opinion Research Center")

* Working 

egen employ_stat_nom = rowmean (wrkstat_1a wrkstat_1b 	  ) 

egen employ_stat_2016_nom = rowmean (wrkstat_1a 	  ) 
egen employ_stat_2018_nom = rowmean ( wrkstat_1b	  ) 

egen employ_stat_2020_nom = rowmean ( wrkstat_2	  ) 

label var employ_stat_nom	"Employment status - nominal - averages across all years"
label var employ_stat_2016_nom	"Employment status - nominal 2016"
label var employ_stat_2018_nom	"Employment status - nominal 2018"
label var employ_stat_2020_nom	"Employment status - nominal 2020"



egen partner_employ_stat_nom = rowmean (cowrksta_1a cowrksta_1b cowrksta_2  spwrksta_1a spwrksta_1b spwrksta_2	  ) 
label var partner_employ_stat_nom	"Partner's employment status - nominal"


egen num_hours_work = rowmean (hrs1_1a hrs1_1b hrs1_2)
replace num_hours_work = 0 if employ_stat_nom > 2
tab num_hours_work

gen num_hours_work01 =  (num_hours_work)/89
label var num_hours_work01	"Average number of hours worked, 2016-2020"



label values employ_stat_nom employ_stat_2020_nom employ_stat_2018_nom employ_stat_2016_nom partner_employ_stat_nom COWRKSTA
tab employ_stat_nom 
tab employ_stat_2016_nom 
tab employ_stat_2020_nom 



gen employ_stat_change = 0
replace employ_stat_change = 1 if ((employ_stat_2016_nom ~= employ_stat_2020_nom) & (employ_stat_2016_nom>0 & employ_stat_2016_nom < 9 ) & (employ_stat_2020_nom>0 & employ_stat_2020_nom < 9 ))
replace employ_stat_change = 1 if ((employ_stat_2018_nom ~= employ_stat_2020_nom) & (employ_stat_2018_nom>0 & employ_stat_2018_nom < 9 ) & (employ_stat_2020_nom>0 & employ_stat_2020_nom < 9 ))
tab employ_stat_change

label var employ_stat_change "Did employment status change from 16 or 18 to 20"

* tab employ_stat_2020_nom if employ_stat_change ==1

							
* cohrs1_1a	number of hours partner worked last week		{89, 89 or more hours}...		173	12	89
* sphrs1_1a	number of hrs spouse worked last week		{89, 89+ hours}...		743	1	89
* sphrs1_1b	number of hrs spouse worked last week		{89, 89+ hours}...		637	1	89
* sphrs1_2	number of hrs spouse worked last week		{89, 89+ hours}...		483	0	89



* First generation status 

recode parborn_1a	parborn_1b parborn_2 ( 0=0) (1/7 = 1) (8 =2 )
egen parborn02 = rowmean (parborn_1a	parborn_1b parborn_2) 
label var parborn02 "Number of grandparents who are foreign born"

gen parborn01 =  (parborn02)/2
label var parborn01	"Number of parents who are foreign born"


* Second generation immigration status 

egen granborn04 = rowmean (granborn_1a	granborn_1b granborn_2) 
label var granborn04	"Number of grandparents who are foreign born"


gen granborn01 =  (granborn04)/4
label var granborn01	"Number of grandparents who are foreign born"


egen par_grandpar_foreign01 = rowmean (granborn01 parborn01)


*Can R speak another language? How well? 

recode othlang_1a othlang_1b othlang_2 (1=1) (2=0) (.d = 0) 
egen  	lang01	  = rowmean (othlang_1a othlang_1b othlang_2	)
label values lang01 yes1 

recode 	spklang_1a spklang_1b spklang_2	(1=4) (2=3) (3=2) (4=1) (.d = 1) 	

egen  	langwell04	  = rowmean ( spklang_1a spklang_1b spklang_2	)
replace langwell04 = 0 if lang01 ==0
replace langwell04 = .5 if lang01 ==.5

label values langwell04 verywell04 
gen langwell01= langwell04/4
label values langwell01 verywell01 

label variable langwell04 "How well does R speak another language - .5 is beginner"
label variable langwell01 "How well does R speak another language - .125 is beginner"


* Region 


egen region_allyears_nom = rowmean (region_1a region_1b region_2	  ) 

egen region_2016_nom = rowmean (region_1a 	  ) 
egen region_2018_nom = rowmean ( region_1b	  ) 

egen region_2020_nom = rowmean ( region_2	  ) 

gen region_change = 0
replace region_change = 1 if ((region_2016_nom ~= region_2020_nom) & (region_2016_nom>0 & region_2016_nom < 10 ) & (region_2020_nom>0 & region_2020_nom < 10 ))
replace region_change = 1 if ((region_2018_nom ~= region_2020_nom) & (region_2018_nom>0 & region_2018_nom < 10 ) & (region_2020_nom>0 & region_2020_nom < 10 ))
tab region_change

label var region_allyears_nom	"Geographical region - nominal - averages across all years"
label var region_2016_nom	"Geographical region - nominal - 2016"
label var region_2018_nom	"Geographical region - nominal - 2018"
label var region_2020_nom	"Geographical region - nominal - 2020"

label values region_allyears_nom region_2020_nom region_2018_nom region_2016_nom  REGION
tab region_allyears_nom 
tab region_2016_nom 
tab region_2020_nom 

replace region_allyears_nom = 10 if region_change ==1

label define region_plus_region_change  		1 "New England" 			/// 
												2 "Middle Atlantic" 		///
												3 "East North Central" 		/// 
												4 "West North Central" 		/// 
												5 "South Atlantic" 		/// 
												6 "East South Atlantic" 		/// 
												7 "West South Central" 		/// 
												8 "Mountain" 		/// 
												9 "Pacific" 		/// 
												10 "Changed region" 		
												




* Size of city : three different measures - NORC,  SRC , and actual size 


recode xnorcsiz_1a xnorcsiz_1b (1=10) (2=9 ) (3=8  ) (4=7 ) (5=6 ) ( 6=5 ) ( 7=4 ) ( 8=3 ) (9=2 ) (10=1 ) 

egen sizenorc_allyears = rowmean (xnorcsiz_1a xnorcsiz_1b 	  ) 

egen sizenorc_2016 = rowmean (xnorcsiz_1a 	  ) 
egen sizenorc_2018 = rowmean ( xnorcsiz_1b	  ) 


label var sizenorc_allyears	"Size of town (xnorcsiz) - nominal - averages across all years"
label var sizenorc_2016	"Size of town (xnorcsiz) - nominal - 2016"
label var sizenorc_2018	"Size of town (xnorcsiz) - nominal - 2018"

label define xnorcsiz 10  "A large central city (over 250,000)"  /// 
	9  "A medium size central city (50,000 to 250,00"  /// 
	8  "A suburb of a large central city"  /// 
	7 "A suburb of a medium size central city"  /// 
	6 "An unincorporated area of a large central city"  /// 
	5 "An unincorporated area of a medium central city"  /// 
	4 "Not within an smsa, (within a county)"  /// 
	3 "A town or village (2,500 to 9,999)"  /// 
	2 "An incorporated area less than 2,500"  /// 
	1 "Open country within larger civil division" 


label values sizenorc_allyears  sizenorc_2018 sizenorc_2016  xnorcsiz
tab sizenorc_allyears 
tab sizenorc_2016 
tab sizenorc_2018 

gen towntype_nom = 1 if sizenorc_allyears ==1 | sizenorc_allyears ==2 | sizenorc_allyears ==4  
replace towntype_nom = 2 if sizenorc_allyears ==3
replace towntype_nom = 3 if sizenorc_allyears ==5 | sizenorc_allyears ==6 
replace towntype_nom = 4 if sizenorc_allyears ==7
replace towntype_nom = 5 if sizenorc_allyears ==9
replace towntype_nom = 6 if sizenorc_allyears ==8
replace towntype_nom = 7 if sizenorc_allyears ==10


label define towntype_nom 7  "A large central city (over 250k)"  /// 
	6  "Suburb of a large city (over 250k)"  /// 
	5  "Medium size city (50-250k)"  /// 
	4 "Suburb of medium size city"  /// 
	3 "Unincorporated area of a medium/large central city"  /// 
	2 "A town or village (2,500 to 9,999)"  /// 
	1 "Rural (NORC 1, 2, 4)"



sum towntype_nom
gen towntype01 = ((towntype_nom - `r(min)') / (`r(max)' - `r(min)'))



* SRC measure 

recode srcbelt_1a srcbelt_1b (6=1) (2=5) (3=4) (4=3)  (5=2) (1=6) 

egen size_src_allyears = rowmean (srcbelt_1a srcbelt_1b 	  ) 

egen size_src_2016 = rowmean (srcbelt_1a 	  ) 
egen size_src_2018 = rowmean ( srcbelt_1b	  ) 

label define size_src 6 "Central city of 12 largest smsas"  /// 
	5 "Central city of the remainder of the 10"   /// 
	4 "Suburbs of 12 largest smsas"  /// 
	3 "Suburbs of the remaining 100 largest smsas"  /// 
	2 "Other urban" 1 "Other rural" 



label var size_src_allyears	"Size of town (srcbelt) - nominal - averages across all years"
label var size_src_2016	"Size of town (srcbelt) - nominal - 2016"
label var size_src_2018	"Size of town (srcbelt) - nominal - 2018"

* Actual town size 

label values size_src_allyears  size_src_2018 size_src_2016  size_src
tab size_src_allyears 
tab size_src_2016 
tab size_src_2018 

* Size of town in 1000s

egen size_1000s_allyears = rowmean (size_1a size_1b 	  ) 

egen size_1000s_2016 = rowmean (size_1a 	  ) 
egen size_1000s_2018 = rowmean ( size_1b	  ) 


label var size_1000s_allyears	"Size of town (1000s) - nominal - averages across all years"
label var size_1000s_2016	"Size of town (1000s) 2016"
label var size_1000s_2018	"Size of town (1000s) 2018"

tab size_1000s_allyears 
tab size_1000s_2016 
tab size_1000s_2018 


. corr sizenorc_allyears size_src_allyears size_1000s_allyears
(obs=5,213)

             | sizeno~s size_s~s size_1~s
-------------+---------------------------
sizenorc_a~s |   1.0000
size_src_a~s |   0.7084   1.0000
size_1000s~s |   0.3037   0.4488   1.0000





 * Number of years in military 

egen num_years_mil03 = rowmean (vetyears_1a	vetyears_1b vetyears_2) 
label var num_years_mil03	"Number of years served in military"

label define num_mil03 0 "No active duty" 1 "Less than 2 years" 2 "2-4 years" 3 "More than 4 years"

label values num_years_mil03 num_mil03

gen num_years_mil01 =  num_years_mil03/3

label define num_mil01 0 "No active duty" 1  "More than 4 years"
label values num_years_mil01 num_mil01
 
 
 
 
 
 
 
 
 
 
 







********************************************************************************
*                          *** Home circumstances ***                               
********************************************************************************

 * Attributes of household 




egen hhtype_1618_nom = rowmean (hhtype1_1a hhtype1_1b 	  ) 

egen hhtype_2016_nom = rowmean (hhtype1_1a 	  ) 
egen hhtype_2018_nom = rowmean ( hhtype1_1b	  ) 


label var hhtype_1618_nom	"Household type - averages across all years"
label var hhtype_2016_nom	"Household type -  2016"
label var hhtype_2018_nom	"SHousehold type -  2018"

label values hhtype_1618_nom  hhtype_2016_nom hhtype_2018_nom  HHTYPE1F 

* Number of the kinds of people in household 
egen num_hh = rowmean (hompop_1a hompop_1b hompop_2) 
label var num_hh	"Number of all people in household"


egen num_hh_unrelated = rowmean (unrelat_1a unrelat_1b unrelat_2 )
label var num_hh_unrelated	"Number in household - less than 6 yrs old"

egen num_hh_adults = rowmean (adults_1a adults_1b adults_2)
label var num_hh_adults	"Number in household - adults"

egen num_hh_teens = rowmean (teens_1a teens_1b teens_2) 
label var num_hh_teens	"Number in household - teens"

egen num_hh_babies = rowmean (babies_1a babies_1b babies_2)
label var num_hh_babies	"Number in household - less than 6 years old"

egen num_hh_preteens = rowmean (preteen_1a	preteen_1b preteen_2) 
label var num_hh_preteens	"Number in household - 6 to 12 years old"

egen numkids = rowtotal (num_hh_teens num_hh_babies num_hh_preteens )

tab num_hh
tab num_hh_unrelated
tab num_hh_adults
tab num_hh_teens
tab num_hh_babies
tab num_hh_preteens


gen  num_hh01 = (num_hh - 1) /10
gen  num_hh_unrelated01 = num_hh_unrelated /8
gen  num_hh_adults01 = (num_hh_adults -1 ) /7
gen  num_hh_teens01 = num_hh_teens/4
gen  num_hh_babies01 = num_hh_babies/5
gen  num_hh_preteens01 = num_hh_preteens/4 

*Crating a household nominal variable 

* First set category to 3 if they have no kids in the household and they live alone 


gen hh_type_nom = 3 if (numkids ==0 & num_hh_adults == 1)
* Then, the category 0 below takes adults who have never had kids and puts them in 0

replace hh_type_nom = 0 if (   age_kids01 == . & num_hh_adults == 1)
* Live alone, never had kids 


replace hh_type_nom = 5 if ((numkids ==0 ) & (num_hh_adults > 1))
* These are potentially older adults who live with another adult and have no kids in household 
* Because below takes peopel who have ever had kids and puts them in 6 

replace hh_type_nom = 6 if (age_kids01 == .) & (num_hh_adults > 1)
* These are the multiple adult households who have never had kids
* This has to go after designating the 5 category, to catch those who have never had kids




* Basically, all the married parents, unless they have been married or divorced 

replace hh_type_nom = 4 if ((numkids > 0 ) & (marcohab1618 < 3))
* Married or partnered parents who have never been divorced or widowed and have kids currently.
* This has to go before designating 2 so that if they have ever been widowed or divorced, they
* end up in the "2" category, even if they have another adult in the house 




* This takes anyone, regardless of the number in household 
* who have ever been widowed, divorced, or they are currently never married but also have kids and live with a partner 

replace hh_type_nom = 2 if ((numkids > 0 & num_hh_adults > 1) & ( divorce01 == 1 | widowed01 ==1 | marital_nom ==5))
* This takes everyone who has been widowed, divorced, never married with kids, 
* but have at least another adult (partner or not)
* This has to go before category 1 so that if they live alone, they will be caught here. 


replace hh_type_nom = 1 if ((numkids > 0 ) & (num_hh_adults ==1))
* These are the single parents living alone


 
 label define hh_type_nom 		0 "1ad, nev kids" 					///  * 
								1 "1ad, kids" 						/// 
								2 "Div, wid, sep, w/kids, 1+ad" 	///
								3 "Live alone, ever kids" 			/// 
								4 "2+ad, kids" 						/// 
								5 "2+ad, no kids" 					/// 
								6 "2+ad, nev kids" 
label values hh_type_nom hh_type_nom
 * This is year of birth to use for generational information 
 
* cohort_1a	year of birth		None		2,858	1927	1998
* cohort_1b	year of birth		None		2,341	1929	2000
* cohort_2	year of birth		None		1,823	1931	2000
							


********************************************************************************
*                          *** Attributes of neighborhood ***                               
********************************************************************************

* Safety of neighborhood 

recode neisafe_1a neisafe_1b neisafe_2 (1=4) (2=3) (3=2) (4=1) 

egen nei_safe14 = rowmean (neisafe_1a neisafe_1b neisafe_2) 
label var nei_safe14	"How safe interviewer thinks neighborhood is"

label define nei_safe14 1 "Very unsafe" 2 "Somewhat unsafe" 3 "Somewhat safe" 4 "Very safe"
label values nei_safe14 nei_safe14


gen nei_safe01 =  (nei_safe14 - 1)/3
label define nei_safe01  0 "Very unsafe" 1 "Very safe"
label var nei_safe01	"How safe interviewer thinks neighborhood is"

 
 
 * Respondent is afraid to walk neighborhood at night
 
recode 	fear_1a 	fear_1b 	fear_2 		(1=1) (2=0) (.d = .5) 	
egen  	fear01	  = rowmean (fear_1a 	fear_1b 	fear_2 	)
label values 		fear_1a 	fear_1b 	fear_2 	 fear01	yes1  
label variable 		fear01		"Fear to walk neighborhood at night"				






********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
*         **** Personality traits and other deep seated values ***                               
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************




* Optimism versus pessimism 



clonevar opt1  = lotr1_1a  
clonevar opt2   = lotr2_1a 
clonevar opt3   = lotr3_1a  
clonevar opt4   = lotr4_1a  
clonevar opt5   = lotr5_1a 
clonevar opt6   = lotr6_1a  

recode opt2  opt4  opt5  (1=5) (2=4) (3=3) (4=2) (5=1 ) (.d=3)
recode opt1  opt3  opt6   (.d=3)


label values opt1 opt3 opt6 agree5
label values opt2 opt4 opt5 disagree5
label define opt01 0 "Pessimistic" 1 "Optimistic"

alpha opt1 opt2 opt3   opt4 opt5 opt6, item 

egen opt = rowmean (opt1 opt2 opt3   opt4 opt5 opt6)
gen opt01 =  (opt-1)/4


label var   opt1  "In uncertain times I usually expect the best"
label var  opt3   "I'm always optimistic about my future"		
label var  opt6	"I expect more good things to happen to me than bad"		


label var  opt2   "If something can go wrong for me it will"		
label var  opt4   "I hardly ever expect things to go my way"		
label var  opt5	"I rarely count on good things happening to me"		


label var opt01 "Optimism"

* Interviewer assessments and other survey tests 






* Social desirability 
recode 	mcsds1_1b 	mcsds4_1b 	mcsds5_1b 							(1=1) (2=0) (.d = .5) 	
recode 	mcsds2_1b 	mcsds3_1b 	mcsds6_1b 	mcsds7_1b 						(1=0) (2=1) (.d = .5) 	

label values 	mcsds1_1b 	mcsds4_1b 	mcsds5_1b 		true_soc_des
label values 	mcsds2_1b 	mcsds3_1b 	mcsds6_1b 	mcsds7_1b 	false_soc_des



egen 	sd_admit01			  = rowmean (		mcsds1_1b 					)
egen  	sd_forgive01			  = rowmean (		mcsds2_1b 					)
egen 	sd_ownway01			  = rowmean (		mcsds3_1b 					)
egen  	sd_diff_ideas01 			  = rowmean (		mcsds4_1b 					)
egen  	sd_hurtful01			  = rowmean (		mcsds5_1b 					)
egen  	sd_gossip01			  = rowmean (		mcsds6_1b 					)
egen  	sd_took_adv01			  = rowmean (		mcsds7_1b 					)

label values 	sd_admit01	sd_diff_ideas01 	sd_hurtful01		true_soc_des
label values 	sd_forgive01	sd_ownway01	sd_gossip01	sd_took_adv01	false_soc_des

label variable sd_admit01		"Soc. Desirability: I'm always willing to admit it when i make a mistake (mcsds1)"	
label variable sd_forgive01 	"Soc. Desirability: I sometimes try to get even rather than forgive and forget (mcsds2)"	
label variable sd_ownway01		"Soc. Desirability: At times i have really insisted on having things my own way (mcsds3)"	
label variable sd_diff_ideas01 "Soc. Desirability: I have never been irked when people expressed ideas very different from my own (mcsds4)"	
label variable sd_hurtful01 	"Soc. Desirability: I have never deliberately said something that hurt someone's feelings  (mcsds5)"	
label variable sd_gossip01		"Soc. Desirability: I like to gossip at times (mcsds6)"	
label variable sd_took_adv01	"Soc. Desirability: There have been occasions when i took advantage of someone (mcsds7)"

 
 
 * pwcorr sd_admit01 sd_forgive01 sd_ownway01 sd_diff_ideas01 sd_hurtful01 sd_gossip01  sd_took_adv01
 
 
 
 * Belief about whether luck or hard work is what causes outcomes in life 
 * hard work is coded high 
 * getahead is the original variable
 
recode getahead_1a getahead_1b getahead_2 (1=3) (2=2) (3=1) (.d=2) 

egen hardwork13 = rowmean (getahead_1a getahead_1b getahead_2) 
label var hardwork13	"Belief that hard work is most important, compared to luck"

label define hardwork13 1 "Luck is most important" 2 "Luck and hard work equally important" 3 "Hard work is most important" 
label values hardwork13 hardwork13


gen hardwork01 =  (hardwork13 - 1)/2
label define hardwork01  0 "Luck is most important" 1 "Hard work is most important"
label var hardwork01	"Belief that hard work is most important, compared to luck"
label values hardwork01 hardwork01
tab  hardwork01 
tab hardwork13


* The following have a low n  
* nihilism_1b	life serves no purpose		{1, strongly agree}...		1,158	1	5
* egomeans_1b	life meaningful only if you provide meaning						
* fatalism_1b	people can't change the course of their lives		{1, strongly agree}...		1,165	1	5




* General values: as indicated by what R thinks is the most/least important to teach children 

egen 	values_obey			  = rowmean (		obey_1a obey_1b obey_2 					)
egen  	values_popular			  = rowmean (		popular_1a popular_1b popular_2 	)
egen 	values_thinkself			  = rowmean (		thnkself_1a thnkself_1b thnkself_2 		)
egen  	values_hardwork			  = rowmean (		workhard_1a workhard_1b workhard_2 	)
egen  	values_helpoth			  = rowmean (		helpoth_1a helpoth_1b helpoth_2 )

recode values_obey values_popular values_think values_hardwork values_helpoth (1=5) (2=4) (3=3) (4=2) (5=1 ) 
gen 	values_obey01			=   (		values_obey 	-1	)/4
gen  	values_popular01		=	  (		values_popular 		-1	)/4
gen 	values_think01			 =  (		values_thinkself 		-1	)/4
gen  	values_hardwork01 		=	   (		values_hardwork 	-1	)/4
gen  	values_helpoth01		=	   (		values_helpoth 	-1	)/4


label define first_fifth5 5 "Mentioned first" 4  "Mentioned second" 3 "Mentioned third"  2 "Mentioned fourth" 1 "Mentioned last"
label define first_fifth01 1 "Mentioned first" 0 "Mentioned last"


label var   values_obey  "Obedience is the most important value to teach children"
label var  values_popular   "Being popular is the most important value to teach children"		
label var  values_thinkself	"Thinking for yourself is the most important value to teach children"		
label var  values_hardwork   "Hard work is the most important value to teach children"		
label var  values_helpoth   "Helping others is the most important value to teach children"		



label var  values_obey01  "Obedience is the most important value to teach children"
label var  values_popular01   "Being popular is the most important value to teach children"		
label var  values_think01	"Thinking for yourself is the most important value to teach children"		
label var  values_hardwork01   "Hard work is the most important value to teach children"		
label var  values_helpoth01   "Helping others is the most important value to teach children"		


label values values_obey values_popular values_thinkself values_hardwork values_helpoth first_fifth5
label values values_obey01 values_popular01 values_think01 values_hardwork01 values_helpoth01 first_fifth01

							
* Physical characteristics  - except for height, this may not be exogenous 


label define inteval_weight5 5 "Very overweight" 4 "Slightly overweight" /// 
	3 "About the right weight" 2 "Slightly underweight" 1 "Very underweight" 
label define inteval_weight01 1 "Very overweight" 0 "Very underweight" 

label define inteval_groom01 5 "Very well groomed" 0 "Very poorly groomed" 
label define inteval_looks01 5 "Very attractive" 0 "Very unattractive" 

recode 	rweight_1a	rweight_1b	(1 = 5) (4=2) (3=3) (2=4) (5=1)	


egen  	inteval_groom	  = rowmean (	rgroomed_1a	rgroomed_1b	)
egen 	inteval_looks	  = rowmean (	rlooks_1a	rlooks_1b	)
egen  	inteval_weight	  = rowmean (	rweight_1a	rweight_1b	)

gen 	inteval_groom01	   = (	inteval_groom	  -1)/4
gen 	inteval_looks01	 = (	inteval_looks	  -1)/4
gen 	inteval_weight01		   = (	inteval_weight	  -1)/4

label values inteval_groom RGROOMED
label values inteval_looks RLOOKS 
label values inteval_weight inteval_weight5 
 

label values inteval_groom01 inteval_groom01
label values inteval_looks01 inteval_looks01 
label values inteval_weight01 inteval_weight01

gen height01 = (height_1b-56)/25 if male01 ==1
replace height01 = (height_1b-48)/26 if male01 ==0



label var height01 "Height, min/max by gender"

label var inteval_groom01 "Interviewer eval: R grooming rating"
label var inteval_looks01 "Interviewer eval: physical attractiveness rating"
label var inteval_weight01 "Interviewer eval: weight rating"

gen weight_actual = weight_1b 
gen height_actual = height_1b 

gen weight_kg = weight_1b/2.205
gen height_meters = height_1b/39.37
gen bmi = weight_kg/(height_meters^2)



gen bmi01  = (bmi - 14.76)  / 42.59


  
  
* Verbal sophistication 
				

egen verbal_soph010 = rowmean (wordsum_1a wordsum_1b )	
gen verbal_soph01 = verbal_soph010/10

label var 	verbal_soph01 "Verbal sophistication"	

* Self-efficacy - hope 2016; mygoals is added for 2018 to get a higher n 
			
egen self_eff_hope = rowmean (hope1_1a	hope2_1a	hope3_1a	hope4_1a	hope5_1a	hope6_1a)
recode 	mygoals_1b (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 )
gen self_eff_mygoals01 = (mygoals_1b-1)/6	
gen self_eff_hope01 = (self_eff_hope-1)/7	
				
egen self_eff01 = rowmean (self_eff_mygoals01 self_eff_hope01 )	
tab self_eff01 

label var self_eff01 "Self-efficacy - hope 2016, mygoals 2018"
			
							
label define self_eff01 0 "Can't achieve goals" 1 "Easy/can achieve goals"
label values self_eff_hope01 self_eff01 self_eff01
 
 
 
 
 
 
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
*         					*** Life circumstances ***                               
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************

 
 
 
 
 * How a person is treated by others during their daily life 

label define treatbad6 6 "Almost every day" 5 "At least once a week" 4 "A few times a month" 3 "A few times a year" 2 "Less than once a year" 1 "Never"
label define treatbad01 1 "Almost every day" 0 "Never"

recode afraidof_1b afraidof_2  threaten_1b	threaten_2	threaten_1a	disrspct_1b	disrspct_2	disrspct_1a    /// 
	notsmart_1b notsmart_2 poorserv_1b poorserv_2 (6=1) (2=5) (3=4) (4=3)  (5=2) (1=6)



egen treat_afraidof = rowmean ( afraidof_1b afraidof_2 )
egen treat_threaten = rowmean ( threaten_1b	threaten_2 )
egen treat_dis = rowmean ( disrspct_1b	disrspct_2 )
egen treat_notsmart = rowmean ( notsmart_1b notsmart_2 )
egen treat_poorserv = rowmean ( poorserv_1b poorserv_2 )

label values  treat_afraidof treat_threaten treat_dis treat_notsmart treat_poorserv treatbad6


gen treat_afraidof01 = (treat_afraidof-1)/5
gen treat_threaten01 =  (treat_threaten-1)/5
gen treat_dis01 =  (treat_dis-1)/5
gen treat_notsmart01 =  (treat_notsmart-1)/5
gen treat_poorserv01 =  (treat_poorserv-1)/5

label values  treat_afraidof01 treat_threaten01 treat_dis01 treat_notsmart01 treat_poorserv01 treatbad01
 
 
 pwcorr treat_afraidof01 treat_threaten01 treat_dis01 treat_notsmart01 treat_poorserv01 , obs
 
 egen treated_poorly01 = rowmean ( treat_dis01 treat_notsmart01 treat_poorserv01)
 
tab treat_afraidof01
tab treat_threaten01
tab treat_dis01
tab treat_notsmart01
tab treat_poorserv01

  
label var treat_afraidof01   "How often people act afraid of R in daily life" 
label var treat_threaten01   "How often R is threatened or harassed in daily life" 
label var treat_dis01   "How often R is disrespected in daily life" 
label var treat_notsmart01   "How often R is treated as not smart in daily life" 
label var treat_poorserv01  "How often R is given poor service in daily life" 



* How much time a person has - GSS calls it bored, but obviously having time doesn't mean people are bored 
 
recode  bored_1a bored_1b bored_2    (1=3) (2=2) (3=1) (.d = 2)
egen extra_time13 = rowmean (  bored_1a bored_1b bored_2    )

label define extra_time13 3 "Quite often"   2 "Now and then"  1 "Almost never" 


label var extra_time13 "How often does R have extra time (GSS var name bored)"
gen extra_time01 = (extra_time13 - 1) /2 
label var extra_time01 "How often does R have extra time (GSS var name bored)"

label define extra_time01 1 "Quite often"   0 "Almost never" 


label values extra_time13 extra_time13 

label values extra_time01 extra_time01

tab extra_time01
tab extra_time13



gen hours_relax = hrsrelax_1b
replace hours_relax = 12 if (hrsrelax_1b>12 & hrsrelax_1b < 25)
gen hours_relax01 = hours_relax/12
tab hours_relax01

gen rushed = rushed_1a
gen rushed01 = (rushed_1a-1)/2

egen freetime01 = rowmean (hours_relax01 extra_time01 rushed01)
tab freetime01




****** Social life : loneliness, satisfaction, time spent with friends, family, relatives 






clonevar satsoc = satsoc_1b
clonevar actssoc = actssoc_1b

recode satsoc actssoc (1=5) (2=4) (3=3) (4=2) (5=1) 

gen socwell01 =  ( actssoc -1 )/4
label var socwell01 "R carries out social duties well"


gen satsoc01 = (satsoc -1)/4
label var satsoc01 "Satisfaction with social life"

label values socwell01 satsoc01 verywell01


clonevar not_lonely1   = lonely1_2
clonevar  not_lonely2   = lonely2_2
clonevar   not_lonely3  = lonely3_1b
 

recode not_lonely1  not_lonely2 not_lonely3  (1=5) (2=4) (3=3) (4=2) (5=1) 

egen not_lonely = rowmean (not_lonely1  not_lonely2 not_lonely3  )
gen not_lonely01 = (not_lonely -1)/4

label define never5 1 "Very often" 2 "Often" 3 "Sometimes" 4 "Rarely" 5 "Never" 
label define never01 0 "Very often" 1 "Never" 

label values not_lonely1  not_lonely2 not_lonely3 never5 
label values not_lonely01 never1 
tab not_lonely01
 


* drop socrel socbar socfri soccom  socrel01 socbar01 socfri01 soccom01  

egen socrel = rowmean (socrel_1a	socrel_1b	socrel_2 )
egen socbar = rowmean (socbar_1a	socbar_1b	socbar_2 )
egen socfri = rowmean (socfrend_1a	socfrend_1b	socfrend_2 )
egen soccom = rowmean (socommun_1a	socommun_1b	socommun_2 )

gen   	socrel01	= 	((socrel*-1)+7)/6
tab socrel01 

gen   	socbar01	= 	((socbar*-1)+7)/6
tab socbar01 
gen   	socfri01	= 	((socfri*-1)+7)/6
tab socfri01 
gen   	soccom01	= 	((soccom*-1)+7)/6
tab soccom01 



****** Notice soc_people is how much time spent with any people, so I used rowmax for the maximum value with anyone  




egen soc_people01 = rowmax (socrel01 socbar01 socfri01 soccom01  )
tab soc_people01
pwcorr socrel01 socbar01 socfri01 soccom01 
pwcorr soc_people01 not_lonely01 satsoc01 socwell01 dinefrds_1b

pwcorr satsoc01 socwell01 socrel01 socbar01 socfri01 soccom01 soc_people01 not_lonely01 dinefrds_1b, obs

gen dine_friends =  (dinefrds_1b*-1) +9
tab dine_friends

foreach var in dine_friends {
		qui sum `var'
		gen `var'01 = (`var' - `r(min)') / (`r(max)'-`r(min)')

	}
	tab dine_friends01

	
* dinefrds_1b	how often r went out to eat or drink with at least 3 non-family members		{1, daily}...		1,170	1	8



gen contact_fam =  cntctfam_1b
gen contact_fri =  cntctfrd_1b
gen contact_kid =  cntctkid_1b
gen contact_par =  cntctpar_1b
gen contact_sib =  cntctsib_1b

recode contact_fam contact_fri contact_kid contact_par contact_sib (10=9)  (1=9) (2=8) (3=7) (4=6) (5=5) (6=4) (7=3) (8=2) (9=1)
tab contact_fam 

gen contact_fam01 = (contact_fam-1)/9
gen contact_fri01 = (contact_fri-1)/9
gen contact_kid01 = (contact_kid-1)/9
gen contact_par01 = (contact_par-1)/9
gen contact_sib01 = (contact_sib-1)/9



label var contact_fam01 "How often r contacts their most-contacted extended family member"	
label var contact_fri01 	"How often r contacts their most-contacted close friend"	
label var contact_kid01 	"How often r contacts their most-contacted adult child"		
label var contact_par01 	"How often r contacts their most-contacted parent"		
label var contact_sib01 	"How often r contacts their most-contacted sibling"		





 egen soc_happy_index01  = rowmean (not_lonely01 satsoc01 socwell01 dine_friends01 soc_people01 )



***** Guns and hunting 


recode 	owngun_1a	owngun_1b	owngun_2 pistol_1a	pistol_1b	pistol_2 rifle_1a	rifle_1b	rifle_2 ///
shotgun_1a	shotgun_1b	shotgun_2	(1=1) (2=0) (3=.) 	


egen  	gun01	  = rowmean (		owngun_1a	owngun_1b	owngun_2	)
egen 	pistol01	  = rowmean (		pistol_1a	pistol_1b	pistol_2	)
egen  	rifle01	  = rowmean (		rifle_1a	rifle_1b	rifle_2	)
egen 	shotgun01 	  = rowmean (		shotgun_1a	shotgun_1b	shotgun_2	)




egen  own_many_guntypes01		  = rowmean (		gun01	pistol01	rifle01	shotgun01)

label values 	owngun_1a	owngun_1b	owngun_2 pistol_1a	pistol_1b	pistol_2 rifle_1a	rifle_1b	rifle_2 ///
shotgun_1a	shotgun_1b	shotgun_2	own_many_guntypes01 gun01 pistol01 rifle01 shotgun01 yes1 


* Hunting? 


* 	hunt_1a	does r or spouse hunt
* 	hunt_1b	does r or spouse hunt
* 	hunt_2	does r or spouse hunt
* 	hunt1_1a	does r or spouse or partner hunt
* 	hunt1_1b	does r or spouse or partner hunt
* 	hunt1_2	does r or spouse or partner hunt


recode hunt_1a	hunt_1b	hunt_2	hunt1_1a	hunt1_1b	hunt1_2 (4=0) (1/3 = 1)
egen  	hunts01	  = rowmean (		hunt_1a	hunt_1b	hunt_2	hunt1_1a	hunt1_1b	hunt1_2	)


label define hunts01 0 "Neither spouse nor R hunts" 1 "Spouse or R hunts"
label values hunt_1a	hunt_1b	hunt_2	hunt1_1a	hunt1_1b	hunt1_2 hunts01 hunts01 

label var hunts01 "Either R or Spouse hunts"

tab hunts01 gun01 





* Attention to media and tech forms 





* Computer use and social media 


recode compuse_1a compuse_1b compuse_2  (1=1) (2=0) (.d = 0)
egen use_computer01 = rowmean ( compuse_1a compuse_1b compuse_2   )

label variable use_computer01 "Use computer"
label values use_computer01 yes1 



* use internet 


recode intuse_1a intuse_1b intuse_2  (1=1) (2=0) (.d = 0)
egen use_internet01 = rowmean ( intuse_1a intuse_1b intuse_2   )

label values use_internet01 yes1 
label variable use_internet01 "Use internet"





* use mobile phone for internet  

recode intmbile_1a intmbile_1b intmbile_2   (1=1) (2=0) (.d = 0)

egen use_mob_internet01 = rowmean ( intmbile_1a intmbile_1b intmbile_2   )
label values use_mob_internet01 yes1 
label variable use_mob_internet01 "Use mobile phone for internet"



egen www_mins = rowmean (wwwmin_1a wwwmin_1b wwwmin_2 )
egen email_mins = rowmean (emailmin_1a emailmin_1b emailmin_2 )

egen www_hours = rowmean ( wwwhr_1a wwwhr_1b wwwhr_2)
egen email_hours = rowmean ( emailhr_1a emailhr_1b emailhr_2)
 
 
gen www_mins_inhours = www_mins/60
gen email_mins_inhours = email_mins/60

replace  www_hours = www_hours+www_mins_inhours
replace   email_hours = email_hours+email_mins_inhours


gen  www_hours01 = www_hours/140
gen   email_hours01 = email_hours/100

egen int_weekend_hours = rowmean (intwkenh_1a intwkenh_1b intwkenh_2 )
egen int_week_hours = rowmean (intwkdyh_1a intwkdyh_1b intwkdyh_2 )


label var  www_hours	"Number of www hours per week"	
label var email_hours	"Number of email hours per week"

label var  www_hours01	"Number of www hours per week"	
label var email_hours01	"Number of email hours per week"
	



egen tv_hours = rowmean ( tvhours_1a tvhours_1b tvhours_2)
 gen tv_hours01 = tv_hours/24



* usetech_1b	percentage of time use tech		None		1,412	0	100

	


recode facebook_1a 	flickr_1a 	linkedin_1a 	pinterst_1a 	snapchat_1a 	 /// 
	tumblr_1a 	twitter_1a 	whatsapp_1a 	googlesn_1a 	clssmtes_1a 	instagrm_1a (1=1) (2=0) (.d = 0)

egen social_media_sites01 = rowmean (  facebook_1a 	flickr_1a 	linkedin_1a 	pinterst_1a 	snapchat_1a 	 /// 
	tumblr_1a 	twitter_1a 	whatsapp_1a 	googlesn_1a 	clssmtes_1a 	instagrm_1a  )

gen facebook01 = facebook_1a
gen flickr01 = flickr_1a
gen linkedin01 = linkedin_1a
gen pinterest01 = pinterst_1a
gen snapchat01 = snapchat_1a
gen tumblr01 = tumblr_1a
gen twitter01 = twitter_1a
gen whatsapp01 = whatsapp_1a
gen googlesn01 = googlesn_1a
gen classmates01 = clssmtes_1a
gen instagram01 = instagrm_1a


label values facebook01  flickr01 linkedin01 pinterest01 snapchat01 tumblr01  /// 
	twitter01 whatsapp01 googlesn01 classmates01 instagram01   use1    

label values social_media_sites01 use1 

label variable social_media_sites01 "Number of social media sites"




 
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
*         		*** Work related life or work related situation ***                               
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************
********************************************************************************


* know someone with this profession



	
gen 	know_bus01	  = 	knwbus_1b
gen 	know_clean01	  = 	knwclenr_1b
gen 	know_cop01	  = 	knwcop_1b
gen 	know_salon01	  = 	knwcuttr_1b
gen 	know_exec01	  = 	knwexec_1b
gen 	know_hr01	  = 	knwhrman_1b
gen 	know_law01	  = 	knwlawyr_1b
gen 	know_mech01	  = 	knwmchnc_1b
gen 	know_nurse01	  = 	knwnurse_1b
gen 	know_teach01	  = 	knwtcher_1b

recode know_bus01	know_clean01	know_cop01	know_salon01 ///
	know_exec01	know_hr01	know_law01	know_mech01	know_nurse01	know_teach01 ( 1/2 = 1) (3 = .5 ) (4=0)

label define ac_work01 0 "No one" 1 "Close friend or family"
label values  know_bus01	know_clean01	know_cop01	know_salon01 ///
	know_exec01	know_hr01	know_law01	know_mech01	know_nurse01	know_teach01  ac_work01 
 
 
label var know_bus01		"Know someone who is a bus driver?"
label var know_clean01	"Know someone who is a home or office cleaner?"
label var know_cop01		"Know someone who is a police officer?"
label var know_salon01	"Know someone who is a hairdresser or barber?"
label var know_exec01		"Know someone who is a executive at a large company?"
label var know_hr01		"Know someone who is a human resources or personnel manager?"
label var know_law01		"Know someone who is a lawyer?"
label var know_mech01		"Know someone who is a car mechanic?"
label var know_nurse01	"Know someone who is a nurse?"
label var know_teach01	"Know someone who is a school teacher?"


recode union_1a	union_1b	union_2	union1_1a	union1_1b	union1_2 ( 1/3 = 1)  (4=0)

egen  union01 = rowmean (union_1a	union_1b	union_2	union1_1a	union1_1b	union1_2)
label define union01 0 "No one" 1 "Self or spouse"
label values  union_1a	union_1b	union_2	union1_1a	union1_1b	union1_2 union01 
replace union01 = 1 if (union01==.25 | union01 ==.5 | union01 == .75)
replace union01 = . if union01 ==.
tab union01, missing





* famorjob_1a	
* would you sacrifice job opportunities for family
*  famvswk_1b	
* how often fam life interfere job
* famwkoff_1b	
* how hard to take time off
*	how often job interferes fam life


* Do you work for yourself 

recode wrkslf_1a wrkslf_1b wrkslf_2   (1=1) (2=0) (.d = 0)
egen worked_self01 = rowmean (  wrkslf_1a wrkslf_1b wrkslf_2   )


label var worked_self01 "Worked for self"

* Do you supervise people at work? 

recode supervis_1a supervis_1b 	supervis_2    (1=1) (2=0) (.d = 0) 
egen supervise01 = rowmean (  supervis_1a supervis_1b 	supervis_2   )
label var supervise01 "R supervise others at work in main job"
label values supervise01 yes1 


* Does someone supervise you at work?

recode wksub_1a 	wksub_1b 	wksub_2 	wksub1_1a 	wksub1_1b 	 /// 
		wksub1_2 	wksup_1a 	wksup_1b 	wksup_2 	wksup1_1a 	wksup1_1b 	wksup1_2    (1=1) (2=0) (.d = 0) 
egen work_has_sup01 = rowmean (  wksub_1a 	wksub_1b 	wksub_2 	wksub1_1a 	///
	wksub1_1b 	wksub1_2 	wksup_1a 	wksup_1b 	wksup_2 	wksup1_1a 	wksup1_1b 	wksup1_2  )
label var work_has_sup01 "R or spouse supervised by others at work in main job"
label values work_has_sup01 yes1 



* Have you been unemployed in the last ten years 

recode unemp_1a unemp_1b 	unemp_2    (1=1) (2=0) (.d = 0) 
egen ever_unemp01 = rowmean (  unemp_1a unemp_1b 	unemp_2   )
label var ever_unemp01 "R ever unemployed in last ten yrs"
label values ever_unemp01 yes1 

	
* worknow_1a 	  are you currently working for pay
*tab  wrkslffam_1b 	 does r work in family business or farm

* have you ever worked? 
	
recode evwork_1a evwork_1b 	evwork_2  evjob_1a (1=1) (2=0) (.d = 0) 
egen ever_work01 = rowmean (  evwork_1a evwork_1b 	evwork_2   )
label var ever_work01 "R ever employed more than 1 year"
label values ever_work01 yes1 

* Have you been treated poorly in your work - note this is harrassed or discriminated against 

recode wkageism_1b 	wkharoth_1b 	wkharsex_1b 	wkracism_1b 	wksexism_1b (1=1) (2=0) (.d = 0) 
egen work_treat_bad01 = rowmean (  wkageism_1b 	wkharoth_1b 	wkharsex_1b 	wkracism_1b 	wksexism_1b  )
label var work_treat_bad01 "R feels discriminated or harassed at work - age, gender, race, etc."
label values work_treat_bad01 disc_har1 

	

	
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************
*     *** Socialization: parents and childhood, religiosity, racism, traditionalism, laws meant to prevent "sins" ***                               
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************
************************************************************************************************

* Attributes of parents 


recode mawrkgrw_1a  mawrkgrw_1b (1=1) (2=0) (.d = .5)
egen ma_worked01 = rowmean (  mawrkgrw_1a mawrkgrw_1b )
label values ma_worked01 worked

label variable ma_worked01 "Mother worked when R was 16"


egen ma_degree =  rowmean (  madeg_1a madeg_1b )
label values ma_degree degree04
gen ma_degree01 = ma_degree/4
label values ma_degree01 degree01
label var ma_degree01 "Mother's highest degree"

egen pa_degree =  rowmean (  padeg_1a padeg_1b )
label values pa_degree degree04
gen pa_degree01 = pa_degree/4
label values pa_degree01 degree01
label var pa_degree01 "Father's highest degree"


corr pa_degree01 ma_degree01

* Parental self-employment 

recode mawrkslf_1a mawrkslf_1b mawrkslf_2  pawrkslf_1a pawrkslf_1b (1=1) (2=0) (.d = 0)
egen ma_worked_self01 = rowmean (  mawrkslf_1a mawrkslf_1b mawrkslf_2  )

egen pa_worked_self01 = rowmean (  pawrkslf_1a pawrkslf_1b  )

label var pa_worked_self01 "Father worked for himself"
label var ma_worked_self01 "Mother worked for herself"


* Mother's socioeconomic status 
egen masocio_status9_94 = rowmean (masei10_1a	masei10_1b masei10_2  ) 
label var masocio_status9_94	"Mother's socioeconomic status"
gen ma_socio_status01 =  (masocio_status9_94 -9)/85
label var ma_socio_status01	"Mother's socioeconomic status"


* Father's socioeconomic status 
egen pasocio_status9_94 = rowmean (pasei10_1a	pasei10_1b pasei10_2  ) 
label var pasocio_status9_94	"Father's socioeconomic status"
gen pa_socio_status01 =  (pasocio_status9_94 -9)/85
label var pa_socio_status01	"Father's socioeconomic status"

egen parents_status01 = rowmean ( ma_socio_status01 pa_socio_status01)



* Income during age 16

egen inc16 = rowmean (incom16_1a incom16_1b)
label define inc16 1 "Far below average" 2  "Below average" 3 "Average" 4 "Above average" 5 "Far above average"  
label values  inc16 inc16_5
gen inc1601 = (inc16-1)/4
label define inc1601 0 "Far below average" 1 "Far above average"  
label values inc1601 inc1601 
label var inc1601 "Family income when 16 yrs old"
label var inc16 "Family income when 16 yrs old"

 
 
egen ownhome16 = rowmean (dwelown16_1a dwelown16_1b dwelown16_2  )
recode ownhome16 ( 1=1 ) (2=0) (3=0) (.d=0)
label define own1 1 "Own" 0 "Did not own"
label values ownhome16 
label values ownhome16 own1 
tab ownhome16
label var ownhome16 "Did family own home when R was 16?"

 alpha ownhome16 inc1601  ma_socio_status01 pa_socio_status01, item


egen wealth16all_01 = rowmean (ownhome16 inc1601  ma_socio_status01 pa_socio_status01)




* Note that above was created out of occupational prestige, education, etc. 
* So you can't control for both 



 *Mother's years of schooling 
egen maeduc20 = rowmean (maeduc_1a	maeduc_1b maeduc_2) 
label var maeduc20	"Years of schooling for R's mother"


label values maeduc20 EDUC

gen maeduc01 =  (maeduc20)/20
label var maeduc01	"Years of schooling for R's mother"

label values maeduc01 EDUC

egen mothers_educ01 = rowmean (maeduc01 ma_degree01 )

*Father's years of schooling 


egen paeduc20 = rowmean (paeduc_1a	paeduc_1b paeduc_2) 
label var paeduc20	"Years of schooling for R's father"


label values paeduc20 EDUC

gen paeduc01 =  (paeduc20)/20
label var paeduc01	"Years of schooling for R's father"

label values paeduc01 EDUC

egen fathers_educ01 = rowmean (paeduc01 pa_degree01 )

 

* Mother's occupational prestige 
egen maprest16_80 = rowmean (mapres10_1a	mapres10_1b mapres10_2  ) 
label var maprest16_80	"Mother's Occupational Prestige"

gen maprest01 =  (maprest16_80 -16)/66
label var maprest01	"Mother's Occupational Prestige"


* Father's occupational prestige 
egen paprest16_80 = rowmean (papres10_1a	papres10_1b papres10_2  ) 
label var paprest16_80	"Father's Occupational Prestige"
gen paprest01 =  (paprest16_80 -16)/66
label var paprest01	"Father's Occupational Prestige"



* the actual religion of a person's parents was not asked in all years, 
* but relig16 - the religion a person was raised with is a nominal variable for all years 

egen ma_relig_nom = rowmean (marelkid_1a marelkid_1b marelkid_2 )
egen pa_relig_nom = rowmean (parelkid_1a parelkid_1b parelkid_2 )
label values ma_relig_nom pa_relig_nom RELIG
label variable ma_relig_nom  "Mother's religion when R was child"
label variable pa_relig_nom "Father's religion when R was child"


egen relig16_nom = rowmean (relig16_1a relig16_1b relig16_2 religkid_1a religkid_1b religkid_2)
label values relig16_nom  RELIG
label var  relig16_nom "Religion when R was 16 years old"



egen  fund16 = rowmean ( fund16_1a fund16_1b fund16_2)

recode fund16   (1=3) (2=2) (3=1) (.d = 2)
gen fund1601 = (fund16 - 1)/2
label var fund1601 "Level of fundamentalism at age 16, as coded by GSS-NORC"
label var fund1601  "Level of fundamentalism at age 16, as coded by GSS-NORC"


label var fund16 "Level of fundamentalism at age 16, as coded by GSS-NORC"
label var fund1601  "Level of fundamentalism at age 16, as coded by GSS-NORC"
label values fund16  fund3
label values fund1601  fund01


gen attend12 = attend12_1b
gen pa_attend = attendpa_1b
gen ma_attend = attendma_1b

recode attend12 pa_attend ma_attend (.d = 1) (10=.i)

pwcorr attend12 pa_attend ma_attend fund16 attend12_1b, obs

* Overall religious influence of parents on kids - including what parents were doing -
* Higher values means that all are going to church 

egen attend_kid9 = rowmean (attend12_1b pa_attend ma_attend )
label values attend_kid9 ATTEND12F
tab attend_kid9
label var attend_kid9 "Amount of church attendance by mom, dad, and R as child"
gen attend_kid01 = (attend_kid9-1)/8

label var attend_kid01 "Amount of church attendance by mom, dad, and R as child"

tab attend_kid01

egen rel16_01 = rowmean (attend_kid01 fund1601  )

				
* attend12_1b	freq of r's relig svc attendance at age 12		

tab attend12_1b , miss
tab pa_attend , miss
tab ma_attend, miss
	




 
 * Household information during age 16
egen family16 = rowmean (family16_1a family16_1b )
tab family16

recode family16  (1 =1 "Both mother and father") ( 2 3 = 2 "Parent and step parent") /// 
	( 4 5 = 3 "One parent - usually mother") (0 6/8 =4 "Other") , gen (family16_nom) 	

tab 	 		family16_nom, missing


* If not both parents, why? This is nominal 
 
egen fam16_why_nom = rowmean (famdif16_1a famdif16_1b )

label values	fam16_why_nom FAMDIF16F
tab 	fam16_why_nom	

gen parent_died01 = 0
replace parent_died01 = 1 if fam16_why_nom == 1
	
gen parents_div01 = 0
replace parents_div01 = 1 if fam16_why_nom == 2
	
	

* Locality where raised - size of town, which region, whether left the region  

egen res16 = rowmean (res16_1a res16_1b )

label values	res16 RES16F
gen res1601 = (res16-1)/5
tab 	res1601
label var res1601 "Type of place (size town) lived in when 16 yrs old"
label var res16 "Type of place (size town) lived in when 16 yrs old"

				
egen reg16_nom = rowmean (reg16_1a  reg16_1b )
label values  reg16_nom REG16F
tab reg16_nom
label var reg16_nom "Region of residence, age 16" 

egen mobile16 = rowmean (mobile16_1a mobile16_1b mobile16_2  )
gen mobile1601 = (mobile16-1)/2

label values mobile16 MOBILE16F

label var mobile1601 "Geographic mobility since age 16"							
label var mobile16 "Geographic mobility since age 16"							

							
label define mobile01 0 "Same state, same city" 1 "Different state"
label values mobile1601 mobile01
tab mobile1601 


* Number of brothers and sisters



label define sibs_num15 15 "15 or more"
label define sibs_num01 0 "Only child" 1 "15 or more"


egen sibs_num = rowmean (sibs_1a sibs_1b)
clonevar sibs_num15 =  sibs_num
replace  sibs_num15 = 15 if (sibs_num > 15 & sibs_num < 45)

label values sibs_num15 sibs_num15

clonevar sibs_num01 =  sibs_num15
replace sibs_num01 = sibs_num15/15

label values sibs_num01 sibs_num01


label var sibs_num "Number of brothers and sisters"
label var sibs_num15 "Number of brothers and sisters"
label var sibs_num01 "Number of brothers and sisters, 0-1"

tab sibs_num01
tab sibs_num15
tab sibs_num

 



							

************************************************************************************************
************************************************************************************************
*     								*** Religious beliefs  ***                            
************************************************************************************************
************************************************************************************************ 


egen attend18 = rowmean (attend_1a attend_1b attend_2 )
gen attend01 = (attend18-1)/7
label define attend01 0 "Never" 1 "Several times a week"
label values attend01 attend01 
label var attend01 "How often attends religious services"
label var attend18 "How often attends religious services"

* theism_1b	god concerned with human beings personally		{1, strongly agree}...		1,153	1	5

egen godexist16 = rowmean (god_1a god_1b god_2 )
label values godexist16 GOD
gen godexist01 = (godexist16-1)/5
label define godexist01 0 "Does not believe" 1 "No doubts God exists"
label values godexist01 godexist01 
label var godexist01 "No doubts God exists"
label var godexist16 "No doubts God exists"

egen pray16 = rowmean (pray_1a pray_1b pray_2 )
gen pray16_r = (pray16*-1) + 7
gen pray01 = (pray16_r-1)/5
label define pray16 1 "Never" 2 "Less than once a week" 3 "Once a week" 4 "Several times a week" 5 "Once a day"  6 "Several times a day" 
label values pray16 pray16 
label define pray01 0 "Never" 1 "Several times a day" 
label values pray01 pray01
label var pray01  "How often prays"
label var pray16 "How often prays"
tab pray16 
tab pray01 



* Specific beliefs about the nature of religion - is it harmful, too powerful, a relic of the past, 
* Also whether clergy should express political views, 
* whether people feel spiritual - see spiritual01 for a variable that is measured for all people 
* whether people believe their ancestors are have powers, belief in hell 
* These have a low n (only asked in 2018)

* religcon_1b	religions bring more conflict		{1, strongly agree}...		1,144	1	5
* religint_1b	religious people are often too intolerant		{1, strongly agree}...		1,157	1	5
* relpast_1b	in america, religion represents the past and not the future.		{1, strongly agree}...		1,139	1	5
* relrlvnt_1b	in america, religion is just as relevant to life today as it was in the past.		{1, strongly agree}...		1,144	1	5


* Some people say they have experiences of being personally moved, touched, or inspired, while others say they do not have these experiences at all. How often, if at all, do you experience each of the following? 
* sprtconnct_2 Felt like you were connected to world around you. 1-7
* sprtlrgr_2 Felt like you were part of something much larger than yourself.  1-7
* sprtpurp_2 Felt a sense of larger meaning in life 1-7

* godchnge_1b	
* describe your beliefs about god

* heaven_1b	
* belief in heaven

* hell_1b	
* belief in hell

* comfort_1b religion helps people to gain comfort in times of trouble and sorrow
* churhpow_1b	do churches have too much power?
* clergvte_1b	clergy shouldn't try to influence voters

* ancestrs_1b
* relsprt_1b, relmarry_1b feelrel_1b



* govvsrel_1b	governments should not interfere with the attempts of any religion to spread its		{1, strongly agree}...		1,147	1	5



recode fund_1a fund_1b fund_2  (1=3) (2=2) (3=1) (.d = 2)
egen fund13 = rowmean (  fund_1a fund_1b fund_2 )
gen fund01 = (fund13 - 1)/2
label var fund13 "Level of fundamentalism, as coded by GSS-NORC"
label var fund01  "Level of fundamentalism, as coded by GSS-NORC"

recode cofund_1a cofund_1b cofund_2 spfund_1a spfund_1b spfund_2 (1=3) (2=2) (3=1) (.d = 2)
egen partner_fund13 = rowmean (  cofund_1a cofund_1b cofund_2 spfund_1a spfund_1b spfund_2  )
gen partner_fund01 = (partner_fund13 - 1)/2

label var fund13 "Level of fundamentalism, as coded by GSS-NORC"
label var fund01  "Level of fundamentalism, as coded by GSS-NORC"
label values fund13 partner_fund13 fund3
label values fund01 partner_fund01 fund01

tab fund13
tab partner_fund01

* Beliefs about the bible 

recode bible_1a bible_1b bible_2   (1 = 3) (2=2) (3=1) (.d = 2) (4=1) 
label define bible3 1 "Ancient book of fables"  2 "Inspired word of God"  3 "Literal word of god"  
label values bible_1a bible_1b bible_2  bible3
egen bible13 = rowmean (bible_1a bible_1b bible_2  )
label values bible13 bible3 
gen bible01 = (bible13 - 1) /2
label define bible01 0 "Ancient book of fables" 1 "Literal word of god"

label variable bible01  "Belief that the Bible is the literal word of God"

label variable  bible13 "Belief that the Bible is the literal word of God"
label values bible01 bible01
tab bible13
tab bible01

* Note partner_fund01 partner_fund13 must be put to -1 if the person has no life partner 




* Household religion  

egen partner_relig_nom = rowmean (corel_1a corel_1b corel_2 sprel_1a sprel_1b sprel_2)
label values partner_relig_nom  RELIG
tab partner_relig_nom
label variable  partner_relig_nom "Spouse or partner's religion"



egen relig_nom = rowmean (relig_1a relig_1b relig_2 )
label values relig_nom  RELIG
label variable  relig16_nom "Current religion of R"




recode reliten_1a	reliten_1b reliten_2 (1=4) (2=3) (3=2) (4=1) (.d = 1)
egen rel_strong14 = rowmean ( reliten_1a	reliten_1b reliten_2)
label define rel_strong 4 "Strong" 3 "Not very strong"  2 "Somewhat strong"  1 "No religion" 
label values rel_strong14 rel_strong 
gen rel_strong01 = (rel_strong14-1)/3
label define rel_strong01 1 "Strong"   0 "No religion" 
label values rel_strong14 rel_strong 
label variable  rel_strong01 "Strength of R's affiliation"
label variable  rel_strong14 "Strength of R's affiliation"



recode relpersn_1a relpersn_1b relpersn_2 (1=4) (2=3) (3=2) (4=1) (.d = 1)
egen rel_person14 = rowmean ( relpersn_1a relpersn_1b relpersn_2)
label define rel_person 4 "Very religious" 3 "Moderately religious" 2 "Slightly religious" 1 "Not religious at all "
label values rel_person14 rel_person

gen rel_person01 =  (rel_person14 - 1)/3
label define rel_person01 1 "Very religious" 0 "Not religious at all "
label values rel_person01 rel_person01
label variable  rel_person01 "Considers self religious person"
label variable  rel_person14 "Considers self religious person"



egen rel_active_110 = rowmean (relactiv_1a relactiv_1b relactiv_2 )
gen rel_active01 =  (rel_active_110 - 1)/9
label define rel_active01 1 "Everyday" 0 "Never"
label values rel_active01 relactive01
label variable  rel_active01 "Level of religious activity"
label variable  rel_active_110 "Level of religious activity"

label values rel_active_110 RELACTIV

*Attributes of church 

egen num_church_total = rowmean (numcong_1a numcong_1b numcong_2 )




recode sprtprsn_1a sprtprsn_1b sprtprsn_2 (1=4) (2=3) (3=2) (4=1) (.d = 1)
egen spiritual14 = rowmean ( sprtprsn_1a sprtprsn_1b sprtprsn_2)
label define spiritual 4  "Very spiritual"  3  "Moderately spiritual" 2  "Slightly spiritual"   1 "Not spiritual at all"
label values spiritual14 spiritual


gen spiritual01 =  (spiritual14 - 1)/3
label define spiritual01 1 "Very spiritual"  0 "Not spiritual at all"
label values spiritual01 spiritual01
label variable  spiritual14 "R considers self spiritual"
label variable  spiritual01 "R considers self spiritual"

tab spiritual01

* Belief in life after death 


recode 	postlife_1a 	postlife_1b 	postlife_2 	(1=1) (2=0) (.d = .5) 	
egen  	postlife01	  = rowmean (		postlife_1a 	postlife_1b 	postlife_2 					)
label variable 		postlife01		"Belief in life after death"				
label values 		postlife_1a 	postlife_1b 	postlife_2 	postlife01	yes1 


* Has had a 'born again experience 



recode 	reborn_1a 	reborn_1b 	reborn_2 	(1=1) (2=0) (.d = .5) 	
egen  	reborn01	  = rowmean (		reborn_1a 	reborn_1b 	reborn_2 					)
label variable 		reborn01		"Has had a 'born again experience"				
label values 		reborn_1a 	reborn_1b 	reborn_2 	reborn01	yes1 
	
* Owns or displays religious items or read a religious text in the last year 

recode 	relobjct_1b relscrpt_1b 	(1=1) (2=0) (.d = .5) 	
egen  	relobject01	  = rowmean (		relobjct_1b 					)
	
egen  	relscript01	  = rowmean (		relscrpt_1b 					)


label variable 		relobject01		"Has a religious object displayed in home"				

label variable 		relscript01		"Has read a religious script in the last year"				

label values 		relobjct_1b 	relscrpt_1b 	relobject01	relscript01	yes1 


recode savesoul_1a 	savesoul_1b 	savesoul_2  (1=1) (2=0) (.d = .5)
egen tried_save_soul01 = rowmean (  savesoul_1a 	savesoul_1b 	savesoul_2  )
label values tried_save_soul01 yes1 

label variable tried_save_soul01 "Tried to save someone's soul - to accept Jesus"

egen religiosity01 = rowmean (bible01 fund01 rel_person01  postlife01  )
egen  religious_active01 = rowmean (attend01  pray01   rel_active01 )

label var religious_active01 "Religiosity: activities"
label var religiosity01 "Religiosity: fundamentalism"

************************************************************************************************
************************************************************************************************
*     		*** Attitudes regarding sins, traditional values, religious toleration   ***                            
************************************************************************************************
************************************************************************************************ 



recode 	spanking_1a	spanking_1b	spanking_2	(1=4) (2=3) (3=2) (4=1) (.d = 2.5) 	
egen  	spanking14	  = rowmean (		spanking_1a	spanking_1b	spanking_2				)
gen spanking01 =  (spanking14-1)/3
label variable 		spanking14		"Support spanking children to discipline them"				
label variable 		spanking01	"Support spanking children to discipline them"

label values spanking14 agree4
label values spanking01 agree01





recode 	teensex_1a	teensex_1b	teensex_2  (1=4) (2=3) (3=2) (4=1) (.d = 2.5) 	
egen  	teensex14	  = rowmean (		teensex_1a	teensex_1b	teensex_2				)
gen teensex01 =  (teensex14-1)/3
label variable 		teensex14		"Belief that teenage sex is wrong"				
label variable 		teensex01	"Belief that teenage sex is wrong"


label values teensex14 wrong4
label values teensex01 wrong01




recode  xmarsex_1a xmarsex_1b xmarsex_2 xmarsex1_1b (1=4) (2=3) (3=2) (4=1) (.d = 2.5) 
egen  	xmarsex14	  = rowmean (		xmarsex_1a	xmarsex_1b	xmarsex_2				)
gen xmarsex01 =  (xmarsex14-1)/3
label variable 		xmarsex14		"Belief that extramarital sex is wrong"				
label variable 		xmarsex01	"Belief that extramarital sex is wrong"


label values xmarsex14 wrong4
label values xmarsex01 wrong01



recode  premarsx_1a premarsx_1b premarsx_2  (1=4) (2=3) (3=2) (4=1) (.d = 2.5) 
egen  	premarsex14	  = rowmean (		premarsx_1a premarsx_1b premarsx_2			)
gen premarsex01 =  (premarsex14-1)/3
label variable 		premarsex14		"Belief that premarital sex is wrong"				
label variable 		premarsex01	"Belief that premarital sex is wrong"


label values premarsex14 wrong4
label values premarsex01 wrong01




* Risky behaviors - sex, drugs, etc. 

 
egen  	partners19	  = rowmean (		partners_1a partners_1b partners_2 		)
tab partners19

egen  	partners17	  = rowmean (	partners_1a partners_1b partners_2 								)
egen 	nummen0500	  = rowmean (	nummen_1a nummen_1b nummen_2 								)
egen  	numwomen0500	  = rowmean (	numwomen_1a numwomen_1b numwomen_2 								)

replace partners17 = .i if partners19 ==9
replace nummen0500 = .i if nummen0500 > 500


recode numwomen0500 (700=500 ) 
replace numwomen0500 = .i if numwomen0500 > 500



* Specific risky sex 
recode 	acqntsex_1a 	(1=1) (2=0)
recode 	acqntsex_1b 	(1=1) (2=0)
recode 	frndsex_1a 	(1=1) (2=0)
recode 	frndsex_1b 	(1=1) (2=0)
recode 	othersex_1a 	(1=1) (2=0)
recode 	othersex_1b 	(1=1) (2=0)
recode 	paidsex_1a 	(1=1) (2=0)
recode 	paidsex_1b 	(1=1) (2=0)
recode 	matesex_1a 	(1=1) (2=0)
recode 	matesex_1b 	(1=1) (2=0)
recode 	pikupsex_1a 	(1=1) (2=0)
recode 	pikupsex_1b 	(1=1) (2=0)

label values 	acqntsex_1a 	yes1 
label values 	acqntsex_1b 	yes1 
label values 	frndsex_1a 	yes1 
label values 	frndsex_1b 	yes1 
label values 	othersex_1a 	yes1 
label values 	othersex_1b 	yes1 
label values 	paidsex_1a 	yes1 
label values 	paidsex_1b 	yes1 
label values 	matesex_1a 	yes1 
label values 	matesex_1b 	yes1 
label values 	pikupsex_1a 	yes1 
label values 	pikupsex_1b 	yes1 


egen 	riskysex01 = rowmean (	acqntsex_1a 	acqntsex_1b 	frndsex_1a 	frndsex_1b 	othersex_1a 	 /// 
	othersex_1b 	paidsex_1a 	paidsex_1b 	matesex_1a 	matesex_1b 	pikupsex_1a 	pikupsex_1b)

label variable 		riskysex01 "Recent risky sex behaviors (acqntsex frndsex othersex paidsex matesex)"

	

gen partners01 = partners17
egen num_partners0500 = rowtotal ( numwomen0500 nummen0500)
recode num_partners0500 (504=500)

gen num_partners01 = num_partners0500/500
corr num_partners01 partners01

egen life_risky_sex01 = rowmean ( riskysex01 partners01)


recode 	xmovie_1a 	xmovie_1b 	xmovie_2 	(1=1) (2=0) (.d = .5) 	
egen  	xmovie01	  = rowmean (		xmovie_1a 	xmovie_1b 	xmovie_2 					)
label values 		xmovie_1a 	xmovie_1b 	xmovie_2 	xmovie01	yes1 
label variable 		xmovie01		"Seen an X rated movie in the last year"				



	
		
* drugs 


* These only asked of those who said they used crack/IV drugs before n = 100 crack30_1a crack30_1b idu30_1a idu30_1b


recode evcrack_1a evcrack_1b (1=1) (2=0) (.d = 1) 
egen  	ever_crack01	  = rowmean (		evcrack_1a evcrack_1b 					)
label values 		ever_crack01	yes1 
label variable 	ever_crack01 	"Ever used crack cocaine"



recode evidu_1a evidu_1b (1=1) (2=0) (.d = 1) 
egen  	ever_inject_drugs01	  = rowmean (		evidu_1a evidu_1b 					)
label values 		ever_inject_drugs01	yes1 
label variable 	ever_inject_drugs01 	"Ever injected illegal drugs"



recode hivtest_1a hivtest_1b (1=1) (2=0) (.d = 1) 
egen  	ever_hivtest01	  = rowmean (		hivtest_1a hivtest_1b 					)
label values 		ever_hivtest01	yes1 
label variable 	ever_hivtest01 	"Ever had HIV test"

		
		
		
		
		
		

* Should aged people live with their children 




recode aged_1a aged_1b aged_2  agedpar_1a agedpar_1b agedpar_2   (1 = 3) (3=2) (2=1) (.d = 2)
egen aged_childs13 = rowmean (aged_1a aged_1b aged_2  agedpar_1a agedpar_1b agedpar_2 )

label define goodidea3 1 "A bad idea" 2 "Depends" 3 "A good idea"
label variable  aged_childs13 "Aged should live with their children"
label values aged_childs13 goodidea3

gen aged_childs01 = (aged_childs13 - 1) /2
label variable aged_childs01  "Aged should live with their children"
label define goodidea01 0 "A bad idea" 1 "A good idea"
label values aged_childs01 goodidea01
tab aged_childs13
tab aged_childs01

* Prayer in school and sex education 

recode 	prayer_1a 	prayer_1b 	prayer_2 	(1=1) (2=0) (.d = .5) 	
recode 	sexeduc_1a 	sexeduc_1b 	sexeduc_2 	(1=0) (2=1) (.d = .5) 	

egen 	pray_school01 	= rowmean (		prayer_1a 	prayer_1b 	prayer_2 			)
egen  	sexeduc01		= rowmean (		sexeduc_1a 	sexeduc_1b 	sexeduc_2 			)

label values 	pray_school01 	prayer_1a 	prayer_1b 	prayer_2 	approve1 
label values 	sexeduc01 sexeduc_1a 	sexeduc_1b 	sexeduc_2 			notfavor1 

label variable 		pray_school01 	"Approve of prayer in school"	
label variable 		sexeduc01 		"Favor sex education in public schools" 	







*corr pillok01 sexeduc01 pray_school01 teensex01 spanking01

* Support birth control for teens 14-16 even if their parents disapprove 

recode 	pillok_1a pillok_1b	pillok_2  (1=4) (2=3) (3=2) (4=1) (.d = 2.5) 	
egen  	pillok14	  = rowmean (		pillok_1a pillok_1b	pillok_2				)
gen pillok01 =  (pillok14-1)/3
label variable 		pillok14		"Support for teens 14-16 to access birth control without parents"				
label variable 		pillok01	"Support for teens 14-16 to access birth control without parents"


label values pillok14 agree4
label values pillok01 agree01 



* Religious tolerance 


recode buddhsts_1a buddhsts_1b buddhsts_2  hindus_1a hindus_1b hindus_2 christns_1b christns_1a christns_2  /// 
	muslims_1a muslims_1b muslims_2  atheists_1a atheists_1b atheists_2 jews_1a jews_1b jews_2 (1=5) (2=4) (3=3) (4=2) (5=1 )

egen pos_buddhists = 	rowmean ( buddhsts_1a buddhsts_1b buddhsts_2  )
egen pos_hindus = 	rowmean (  hindus_1a hindus_1b hindus_2  )
egen pos_christians = 	rowmean ( christns_1b christns_1a christns_2 )
egen pos_muslims  = 	rowmean ( muslims_1a muslims_1b muslims_2  )
egen pos_atheists = 	rowmean ( atheists_1a atheists_1b atheists_2 )
egen pos_jews  = 	rowmean ( jews_1a jews_1b jews_2  )

gen pos_buddhists01 = (pos_buddhists - 1) / 4
gen pos_hindus01  = (pos_hindus - 1) / 4
gen pos_christians01  = (pos_christians - 1) / 4
gen pos_muslims01   = (pos_muslims - 1) / 4
gen pos_atheists01  = (pos_atheists - 1) / 4
gen pos_jews01   = (pos_jews - 1) / 4

label var pos_buddhists01 "Positive view toward Buddhists"
label var pos_hindus01 "Positive view toward Hindus"
label var pos_christians01 "Positive view toward Christians"
label var pos_muslims01 "Positive view toward Muslims"
label var pos_atheists01 "Positive view toward Atheists"
label var pos_jews01  "Positive view toward Jews"

label define pos1 1 "Very positive"   0 "Very negative"

label values pos_buddhists pos_hindus pos_christians pos_muslims pos_atheists pos_jews pos5
label values pos_buddhists01 pos_hindus01 pos_christians01 pos_muslims01 pos_atheists01 pos_jews01 pos1

egen reltol01 = rowmean (pos_buddhists01 pos_hindus01 pos_christians01 pos_muslims01 pos_atheists01 pos_jews01)
* Feminism
* Two kinds: one that it is ok to work and their working does not harm children
* The other is women are suited for politics equally 



* Because of past discrimination, employers should make special efforts to hire and promote qualified women.							


recode fehire_1a 	fehire_1b 	fehire_2 	 (.d = 3) (1=5) (2=4) (3=3) (4=2) (5=1 ) (.d = 3)	

egen  	fehire15	  = rowmean (		fehire_1a 	fehire_1b 	fehire_2 	 	)
gen fehire01 =  (fehire15-1)/4
label values 		fehire_1a 	fehire_1b 	fehire_2 			 agree5 
label values 		fehire01 		agree01  
label variable 		fehire01		"Employers should make special efforts to hire and promote qualified women"				
label variable 		fehire15		"Employers should make special efforts to hire and promote qualified women"				
tab fehire15
tab fehire01




recode 			fepol_1a 	fepol_1b 	fepol_2 				(1=0) (2=1) (.d = .5) 	
egen  			fepol01	  = rowmean (	fepol_1a 	fepol_1b 	fepol_2 				)
	
label values 	fepol01 	disagree1								
label variable 	fepol01 	"Feminism: Disagree that women not suited for politics"	




recode fechld_1a fechld_1b fechld_2 (1=4) (2=3) (3=2) (4=1) (.d=2.5)
pwcorr  fefam_1a fepresch_1a fechld_1a 

egen fefam14 = rowmean (fefam_1a fefam_1b fefam_2 fechld_1a fechld_1b fechld_2 fepresch_1a fepresch_1b fepresch_2)
gen fefam01 =  (fefam14-1)/3
label var fefam01 "Feminism: Working outside the home ok for children - index from fefam, fepresch, and fechld(recoded)"
label define fefam01 0 "Working women harms children" 1 "Women can work outside of home"

* fefam and fepreschool are in the correct order: disagree should be high 




* These have low n gendereq_1a	gov resp to promote equality

egen gender_res14 = rowmean (discaffm_1a discaffm_1b discaffm_2 discaffw_1a discaffw_1b discaffw_2)
gen gender_res01 =  (gender_res14-1)/3

label var gender_res01 "Resentment about gender equality"

recode fejobaff_1a fejobaff_1b fejobaff_2 (1=4) (2=3) (3=2) (4=1) (.d=2.5)

egen fejobaff14 = rowmean (fejobaff_1a fejobaff_1b fejobaff_2 )
gen fejobaff01 =  (fejobaff14-1)/3
label var fejobaff01 "Feminism: Suport for affirmative action for women"
label values fejobaff01  favor1 


egen not_femres01 = rowmean (fefam01 fepol01)
gen femres01= (not_femres01*-1) +1


* Abortion 

recode 	abany_1a 	abany_1b 	abany_2 	abdefect_1a 	abdefect_1b 	abdefect_2 	abhelp1_1b 	(1=1) (2=0) (.d = .5) 	
recode 	abhelp2_1b 	abhelp3_1b 	abhelp4_1b 	abhlth_1a 	abhlth_1b 	abhlth_2 	abnomore_1a 	(1=1) (2=0) (.d = .5) 	
recode 	abnomore_1b 	abnomore_2 	abpoor_1a 	abpoor_1b 	abpoor_2 	abrape_1a 	abrape_1b 	(1=1) (2=0) (.d = .5) 	
recode 	abrape_2 	absingle_1a 	absingle_1b 	absingle_2 				(1=1) (2=0) (.d = .5) 	
recode 	abinspay_1a abinspay_1b abinspay_2 	(1=1) (2=0) (.d = .5) 	
recode 	geneabrt2_1a geneabrt2_1b geneabrt2_2 	geneself2_1a geneself2_1b geneself2_2  (1=1) (2=0) (.d = .5) 	



recode abmoral_1a abmoral_1b abmoral_2  (1 = 1) (3=2) (2=3) (.d = 2)
label define notmoral3 1 "Morally opposed" 2 "It depends" 3 "Not morally opposed"
egen abmoral13 = rowmean (abmoral_1a abmoral_1b abmoral_2  )
gen abmoral01 = (abmoral13 - 1) /2
label variable abmoral01  "Moral acceptance of abortion"

label variable  abmoral13 "Moral acceptance of abortion"
tab abmoral13
tab abmoral01

recode abstate2_1a abstate2_1b abstate2_2  (1 = 3) (3=2) (2=1) (.d = 2)
label define abeasy_sh3 1 "Make it harder" 2 "Should stay the same" 3 "Should be easier"
egen abeasy_should13 = rowmean (abstate2_1a abstate2_1b abstate2_2  )
gen abeasy_should01 = (abeasy_should13 - 1) /2
label variable abeasy_should01  "Abortion should be easier in R's state"

label variable  abeasy_should13 " Abortion should be easier in R's state "
tab abeasy_should13
tab abeasy_should01






recode abfelegl_1a abfelegl_1b abfelegl_2  abmelegl_1a abmelegl_1b abmelegl_2   (1 = 3) (3=2) (2=1) (.d = 2)
label define support3 1 "Should not" 2 "It depends" 3 "Should"
egen ablegal13 = rowmean (abfelegl_1a abfelegl_1b abfelegl_2  abmelegl_1a abmelegl_1b abmelegl_2 )
gen ablegal01 = (ablegal13 - 1) /2
label variable ablegal01  "Women should be able to have legal abortions"

label variable  ablegal13 "Women should be able to have legal abortions"
tab ablegal13
tab ablegal01

egen  	abany01	  = rowmean (		abany_1a 	abany_1b 	abany_2 					)
egen 	abdefect01	  = rowmean (		abdefect_1a 	abdefect_1b 	abdefect_2 					)
egen  	abhelp01	  = rowmean (		abhelp1_1b 	abhelp2_1b 	abhelp3_1b 	abhelp4_1b 				)
egen 	abhlth01	  = rowmean (		abhlth_1a 	abhlth_1b 	abhlth_2 					)
egen  	abnomore01	  = rowmean (		abnomore_1a 	abnomore_1b 	abnomore_2 					)
egen 	abpoor01	  = rowmean (		abpoor_1a 	abpoor_1b 	abpoor_2 					)
egen  	abrape01	  = rowmean (		abrape_1a 	abrape_1b 	abrape_2 					)
egen  	absingle01	  = rowmean (		absingle_1a 	absingle_1b 	absingle_2 					)
egen  	abinspay01	  = rowmean (		abinspay_1a abinspay_1b abinspay_2 					)


egen  	ifgeneab01	  = rowmean (		geneabrt2_1a geneabrt2_1b geneabrt2_2 				)
egen  	gene_test_fetus01	  = rowmean (		geneself2_1a geneself2_1b geneself2_2 				)



label values 		abany_1a 	abany_1b 	abany_2 	abdefect_1a 	abdefect_1b 	abdefect_2 	abhelp1_1b 		yes1 
label values 		abhelp2_1b 	abhelp3_1b 	abhelp4_1b 	abhlth_1a 	abhlth_1b 	abhlth_2 	abnomore_1a 		yes1 
label values 		abnomore_1b 	abnomore_2 	abpoor_1a 	abpoor_1b 	abpoor_2 	abrape_1a 	abrape_1b 		yes1 
label values 		abrape_2 	absingle_1a 	absingle_1b 	absingle_2 	abinspay01 	abinspay_1a abinspay_1b abinspay_2 			yes1 
label values 		geneabrt2_1a geneabrt2_1b geneabrt2_2  geneself2_1a geneself2_1b geneself2_2  ifgeneab01 gene_test_fetus01	yes1 



label variable 		abany01		"Support for abortion if woman wants for any reason"				
label variable 		abdefect01		"Support for abortion if strong chance of serious defect"				
label variable 		abhelp01		"R would help a friend with abortion related needs"				
label variable 		abhlth01		"Support for abortion if woman's health seriously endangered"				
label variable 		abnomore01		"Support for abortion if married--wants no more children"				
label variable 		abpoor01		"Support for abortion low income--cant afford more children"				
label variable 		abrape01		"Support for abortion pregnant as result of rape"				
label variable 		absingle01		"Support for abortion not married"	
label variable 		abinspay01	   "Support for abortion: people SHOULD be able to use health insurance"			

label variable 		ifgeneab01	   "R would want genetic test done on fetus"			
label variable 		gene_test_fetus01	   "R would want to abort fetus if there were genetic defects"			



* Non-dichotomous abortion support 



egen  	abpoorw14	  = rowmean (		abpoorw_1a abpoorw_1b abpoorw_2 					)
gen  	abpoorw01	  = (abpoorw14 - 1)/3 

egen  	abpoor_w01	  = rowmean (		abpoor01 abpoorw01					)
alpha abany01 abdefect01  abeasy_should01 abhelp01 abhlth01 abinspay01 ablegal01 abmoral01 abnomore01 abpoor_w01 abrape01 absingle01, item 

egen ab_all01 = rowmean ( abany01 abdefect01  abeasy_should01 abhelp01 abhlth01 abinspay01 ablegal01 abmoral01 abnomore01 abpoor_w01 abrape01 absingle01)
	

label values 		abpoorw_1a abpoorw_1b abpoorw_2 	abpoorw14	notwrong14 
label values 		abmoral_1a abmoral_1b abmoral_2  	abmoral13	moralopp13



label variable 	  abpoorw14 "Support for abortion: NOT wrong for woman to get abortion if low income"
label variable 	abpoorw01 "Support for abortion: NOT wrong for woman to get abortion if low income"
label variable 	  abmoral13	"Support for abortion: R has NO moral opposition to abortion"
label variable 	abmoral01	"Support for abortion: R has NO moral opposition to abortion"
label variable 	abeasy_should13 "State should make it easier to have an abortion"
label variable 	abeasy_should01	"State should make it easier to have an abortion"




* perception (NOT SUPPORT!!!!!!!) of how easy it is to get an abortion in respondent's state
* perception (NOT SUPPORT!!!!!!!) of how easy it is to get an abortion in respondent's state
* perception (NOT SUPPORT!!!!!!!) of how easy it is to get an abortion in respondent's state
* perception (NOT SUPPORT!!!!!!!) of how easy it is to get an abortion in respondent's state
* perception (NOT SUPPORT!!!!!!!) of how easy it is to get an abortion in respondent's state
* perception (NOT SUPPORT!!!!!!!) of how easy it is to get an abortion in respondent's state
* perception (NOT SUPPORT!!!!!!!) of how easy it is to get an abortion in respondent's state


recode abstate1_1a abstate1_1b abstate1_2  (1 = 5) (4=2) (3=3) (2=4) (5=1) (.d = 2)
label define easy5 1 "Very hard" 2 "Hard" 3 "Neither easy nor hard" 4 "Easy" 5 "Very easy"
label values abstate1_1a abstate1_1b abstate1_2  easy5
egen abeasy_is15 = rowmean (abstate1_1a abstate1_1b abstate1_2 )
label values abeasy_is15 easy5 
gen abeasy_is01 = (abeasy_is15 - 1) /4
label define easy01 0 "Very hard" 1 "Very easy"

label variable abeasy_is01  "Abortion is easy in R's state"

label variable  abeasy_is15 " Abortion is easy in R's state "
label values abeasy_is01 easy01
tab abeasy_is15
tab abeasy_is01

* Compassionate dying 


recode 	letdie1_1a 	letdie1_1b 	letdie1_2 	letdie1y_1a 	letdie1y_1b 	letdie1y_2 	(1=1) (2=0) (.d = .5) 	
egen  	letdie01	  = rowmean (		letdie1_1a 	letdie1_1b 	letdie1_2 	letdie1y_1a 	letdie1y_1b 	letdie1y_2 					)
label values 		letdie1_1a 	letdie1_1b 	letdie1_2 	letdie1y_1a 	letdie1y_1b 	letdie1y_2 		yes1 
label variable 		letdie01		"Support for compassionate end of life care"				


* I didn't code this because only 5% think it should be legal to all; so little variation

* pornlaw_1a	feelings about pornography laws
* pornlaw_1b	feelings about pornography laws
* pornlaw_2	feelings about pornography laws


* belief that gay relationships are always wrong versus never wrong , never wrong coded high 

* gay_not_wrong 

recode homosex_1a 	homosex_1b 	homosex_2 	homosex1_1b (.d = 2.5)

egen  	gay_not_wrong14	  = rowmean (		homosex_1a 	homosex_1b 	homosex_2 	homosex1_1b 	)
gen gay_not_wrong01 =  (gay_not_wrong14-1)/3
label values 		homosex_1a 	homosex_1b 	homosex_2 	homosex1_1b		 notwrong14 
label values 		gay_not_wrong01 		notwrong01  
label variable 		gay_not_wrong01		"Belief that being gay is not wrong"				
tab gay_not_wrong14
tab gay_not_wrong01


* belief that gay marriage are always wrong versus never wrong , never wrong coded high 

* sup_gaymar 

recode 	marhomo1_1a marhomo1_1b  marhomo_2		(1=5) (2=4) (3=3) (4=2) (5=1 ) (.d = 3)	
egen  	sup_gaymar15	  = rowmean (		marhomo1_1a marhomo1_1b  marhomo_2 	)
gen sup_gaymar01 =  (sup_gaymar15-1)/4
label values 		marhomo1_1a marhomo1_1b  marhomo_2		 agree5 
label values 		sup_gaymar01 		agree01  
label variable 		sup_gaymar01		"Support for gay marriage"				
label values 		sup_gaymar15 		agree5  
label variable 		sup_gaymar15		"Support for gay marriage"
tab sup_gaymar15
tab sup_gaymar01 year_detail




egen supgay01 = rowmean (sup_gaymar01 gay_not_wrong01 )





*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
* 
* You could use these vars to predict who changes on support for gay marriage and belief that 
* being gay is not wrong 
* No one was asked both gay marriage questions, so 
* change measures the increased likelihood of believing gay is not wrong
*
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************


















							
gen  	gay_not_wrong01_16	  =  (		homosex_1a 	-1 	)/4
gen gay_not_wrong01_20 =  (homosex_2 -1)/4
egen gay_not_wrong14_18 = rowmean (homosex_1b homosex1_1b )
gen gay_not_wrong01_18 =  (gay_not_wrong14_18 -1 )/4


gen gay_not_wrongch2 =  gay_not_wrong01_20 - gay_not_wrong01_16
tab gay_not_wrongch2

gen gay_not_wrongch1 = gay_not_wrong01_20 - gay_not_wrong01_18 
tab   gay_not_wrongch1

egen gay_not_wrongch = rowmean (gay_not_wrongch1 gay_not_wrongch2 )
label var gay_not_wrongch "Changed to believe being gay not wrong (neg values changed in other direction)"

tab gay_not_wrongch							
							
							

							
	* Support for gay mariage change 						
							
							
							
							
gen  	sup_gaymar01_16	  =  (		marhomo1_1a 	-1 	)/4
gen sup_gaymar01_20 =  (marhomo_2 -1)/4
gen sup_gaymar01_18 =  (marhomo1_1b -1 )/4


gen sup_gaymarch2 =  sup_gaymar01_20 - sup_gaymar01_16
tab sup_gaymarch2

gen sup_gaymarch1 = sup_gaymar01_20 - sup_gaymar01_18 
tab   sup_gaymarch1

egen sup_gaymarch = rowmean (sup_gaymarch1 sup_gaymarch2 )

tab sup_gaymarch		


* hubbywrk_1b	husb shld work wife shld look after home		{1, strongly agree}...		1,164	1	5
							
* meovrwrk_1a	men hurt family when focus on work too much		{1, strongly agree}...		1,879	1	5
* meovrwrk_1b	men hurt family when focus on work too much		{1, strongly agree}...		1,546	1	5
* meovrwrk_2	men hurt family when focus on work too much		{1, strongly agree}...		1,176	1	5




* Attitudes about nature : these have a low n 


* nataccess_1b	i have easy access to natural environments, such as public parks, gardens or tra
* natactive_1b	natural environments are a good place for physical activity, such as walking, cy
* natlack_1b	there is a lack of interesting activities in natural environments
* natmeet_1b	natural environments are a good place to meet others from the local community
* natnotice_1b	in my everyday life, i take notice of the natural elements around me (trees, wat
* natrelax_1b	natural environments are peaceful and relaxing
* natsat_1b	i am satisfied with my day to day experience of nature
* nattime_1b	usually, i spend time in natural environments, such as public parks, gardens or
* nattimeok_1b	i spend as much time as i would like in natural environments
* natviews_1b	i have views of nature (trees, lawns, gardens, water, etc.) when i am home






* Social trust and volunteering

recode trust_1a trust_1b  trust_2   (1 = 3) (3=2) (2=1) (.d = 2) 
egen  	trust13	  = rowmean (		 trust_1a trust_1b  trust_2  )
gen trust01 = (trust13-1)/2
label values 		 trust_1a trust_1b  trust_2  trust13
label variable 		trust01		"Can trust people"
label variable 		trust13		"Can trust people"				
				
label define trust13 1 "Can't be too careful"  2 "Depends" 3 "Can trust" 					
label define trust01 0 "Can't be too careful"  1 "Can trust" 

label values trust13 trust13
label values trust01 trust01
					
recode helpful_1a helpful_1b helpful_2   (1 = 3) (3=2) (2=1) (.d = 2) 
egen  helpful13	  = rowmean (		 helpful_1a helpful_1b helpful_2  )
gen helpful01 = (helpful13-1)/2

label variable 		helpful01		"People are helpful"
label variable 		helpful13		"People are helpful"				
							
label define helpful13 3 "People are helpful"   1 "People looking out for themselves" 2 "Depends"
label define helpful01 1 "People are helpful"   0 "People looking out for themselves" 
label values helpful13 helpful13
label values helpful01 helpful01

tab helpful01 
tab helpful13 

corr helpful01 trust01

egen trust_help01 = rowmean (helpful01 trust01  )
label var trust_help01 "Trust index: people can be trusted and are helpful"

* hlpoths_1a	importance of helping others in a job		{1, very important}...		1,470		
* hlpsoc_1a	importance of social usefulness in a job		{1, very important}...		1,469	1	5
		
		
* participation in groups 

recode 	partlsc_1b partpart_1b   partvol_1b		(1=5) (2=4) (3=3) (4=2) (5=1 ) (.d = 1)	
label define once_week5 1 "Never" 2 "Once in the past year"  3 "Several times a year" /// 
	4 "One to three times a month"  5  "Once a week or more" 
label define once_week01 0 "Never" 1  "Once a week or more" 

gen  	leisure_part15	  = 		partlsc_1b 	
gen leisure_part01 =  (leisure_part15-1)/4
label values 		leisure_part15	once_week5  
label values 		leisure_part01 		once_week01  
label variable 		leisure_part01		"Group participation: sport/leisure"				
label variable 		leisure_part15		"Group participation: sport/leisure"
tab leisure_part15
tab leisure_part01

gen  	pol_part15	  = 		partpart_1b 	
gen pol_part01 =  (pol_part15-1)/4
label values 		pol_part15	once_week5  
label values 		pol_part15 		once_week01  
label variable 		pol_part01		"Group participation: politics"				
label variable 		pol_part15		"Group participation: politics"
tab pol_part01
tab pol_part15


gen  	relch_part15	  = 		partvol_1b 	
gen relch_part01 =  (relch_part15-1)/4
label values 		relch_part15	once_week5  
label values 		relch_part15 		once_week01  
label variable 		relch_part01		"Group participation: religious or charitable"				
label variable 		relch_part15		"Group participation: religious or charitable"
tab relch_part01
tab relch_part15

egen  	group_part15	  = rowmean (		partlsc_1b partpart_1b   partvol_1b 	)
gen group_part01 =  (group_part15-1)/4
label values 		partlsc_1b partpart_1b   partvol_1b		once_week5  
label values 		group_part01 		once_week01  
label variable 		group_part01		"Group participation: sport/leisure, politics, and charitable/religious"				
label variable 		group_part15		"Group participation: sport/leisure, politics, and charitable/religious"
tab group_part15
tab group_part01


							
							
	* befair_1b						


* Overall happiness 

*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
* 
* Overall happiness, satisfaction with life, marriage, family life, work life
* Not being stressed at work, satisfaction with finances, depression, 
* Life is exciting and not dull 
*
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************



* Life is exciting and not dull

recode life_1a life_1b life_2 (1=3) (2=2) (3=1) (.d =2)
egen  	life13	  = rowmean (	life_1a life_1b life_2)
gen life01 = (life13-1)/2
label var life13 "Life is exciting"
label var life01 "Life is exciting"

label define life13 3 "Exciting" 2 "Routine" 1 "Dull"
label define life01 1 "Exciting" 0 "Dull"

label values life13 life13
label values life01 life01

tab life01 





														
label define lifenowlater01 0 "Worst possible state" 10 "Best possible state"
gen lifenow01 = lifenow_1b/10
gen lifein501 = lifein5_1b/10
gen life_better_in5 = lifein501 - lifenow01
label values lifenow01 lifein501  lifenowlater01
label var lifein501 "Rating of life overall in five years"  
label var lifenow01 "Rating of life overall now"


gen satlife17 = satlife_1b
recode satlife17 (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 ) (.d = 4)
gen satlife01 = (satlife17-1)/6
label var satlife01 "Satisfaction with life"
label define sat7  7 "Completely satisfied"   6 "Mostly satisfied"   5 "Somewhat satisfied" ///
	4 "Neither satisfied nor dissatisfied"   3 "Somewhat dissatisfied"   2 "Mostly disatisfied"   1 "Completely disatisfied"  
label values satlife17 sat7 

label define sat01  1 "Completely satisfied"   0 "Completely disatisfied"  

label values satlife01 sat01



label define qual_life15 5 "Excellent" 4 "Very good" 3 "Good" 2 "Fair" 1 "Poor" 
label define qual_life101 1 "Excellent" 0 "Poor" 

gen qual_life15 = quallife_1b
recode qual_life15 (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
gen qual_life01 = (qual_life15-1)/4
label var qual_life01 "Quality of life"


label values qual_life15 qual_life15 

label values qual_life01 qual_life101

tab qual_life01
tab satlife01



label define happy13 3 "Very happy" 2  "Pretty happy" 1 "Not too happy" 
label define happy1 1 "Very happy"  0 "Not too happy" 

recode happy_1a happy_1b happy_2 (1=3) (2=2) (3=1) (.d=2) 
egen happy13 = rowmean (happy_1a happy_1b happy_2 )
gen happy01 = (happy13-1)/2
label var happy01 "General happiness - happy"

label values happy13 happy13 

label values happy01 happy1

tab happy01 

* Satisfaction with home life 

 


gen satfam17 = satfam7_1b
recode satfam17 (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 ) (.d = 4)
gen satfam01 = (satfam17-1)/6
label var satfam01 "Satisfaction with family life"

label values satfam17 sat7 

label values satfam01 sat01

tab satfam01 


recode  hapmar_1a hapmar_1b hapmar_2 hapcohab_1a hapcohab_1b hapcohab_2 (1=3) (2=2) (3=1) (.d =2)
egen  	happy_partner13	  = rowmean (	hapmar_1a hapmar_1b hapmar_2 hapcohab_1a hapcohab_1b hapcohab_2)
gen happy_partner01 = (happy_partner13-1)/2
label var happy_partner13 "Happiness with spouse or partner"
label var happy_partner01 "Happiness with spouse or partner"
 
label define happy_partner13 3 "Very happy" 2 "Pretty happy" 1 "Not too happy"
label define happy_partner01 1 "Very happy" 0 "Not too happy"

label values happy_partner13 happy_partner13
label values happy_partner01 happy_partner01


egen sat_homelife01 = rowmean ( happy_partner01 satfam01)
label var sat_homelife01 "Satisfaction with home life and life partner"


* Work satisfaction 
tab satjob1_1a
tab satjob_1a
tab satjobhv_1a

recode satjob1_1a satjob1_1b satjob1_2 satjob_1a satjob_1b satjob_2 satjobhv_1a satjobhv_1b satjobhv_2   (1=4) (2=3) (3=2) (4=1) 
egen satjob14 = rowmean (satjob1_1a satjob1_1b satjob1_2 satjob_1a satjob_1b satjob_2 satjobhv_1a satjobhv_1b satjobhv_2 )
label define satjob14 4 "Very satisfied" 3 "Moderately satisfied" 2 "A little dissatisfied" 1 "Not at all satisfied"

gen satjob01 = (satjob14-1)/3
label var satjob01 "Satisfaction with job - satjob"

label values satjob14 satjob14 

label values satjob01 sat01

tab satjob01 
tab satjob14


recode jobsat_1a jobsat_1b jobsat_2 (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 ) (.d = 4)


egen jobsat17 = rowmean (jobsat_1a jobsat_1b jobsat_2)
gen jobsat01 = (jobsat17-1)/6
label var jobsat01 "Satisfaction with job - jobsat"

label values jobsat17 sat7 

label values jobsat01 sat01

tab jobsat01 

egen satjobgen01 = rowmean (jobsat01 satjob01)
tab satjobgen01
label values satjobgen01 sat01 
label var satjobgen01 "General work satisfaction jobsat satjob satjob1 satjobhv"


* Satisfaction with financial situation 
* We are interested in how people are getting along financially these days. So far as you and your family are concerned, would you say that you are pretty well satisfied with your present financial situation, more or less satisfied, or not satisfied at all?										


label define satfin13 3 "Pretty well satisfied" 2 "More or less satisfied" 1 "not satisfied at all"
label define satfin01 1 "Pretty well satisfied" 0 "Not satisfied at all"


recode satfin_1a	 satfin_1b  satfin_2 (1=3) (2=2) (3=1) (.d=2)
egen  satfin13 = rowmean ( satfin_1a	 satfin_1b  satfin_2	 )
label values satfin13 satfin13
label var satfin13 "Satisfaction with financial situation
gen satfin01 = (satfin13-1)/2
label values satfin01 satfin01
label var satfin01 "Satisfaction with financial situation
tab  satfin13 
tab satfin01 


* Work stress 

label define never15 1 "Always" 2 "Often" 3 "Sometimes" 4 "Hardly ever" 5 "Never" 

recode stress_1a stress_1b (.d = 3)
egen not_stress_work15 = rowmean (stress_1a stress_1b )
label var not_stress_work15 "How often does r find work stressful"
gen not_stress_work01 = (not_stress_work15-1)/4
label var not_stress_work01 "Satisfaction with life"

label values not_stress_work15 never15 
label values not_stress_work01 never01


* Stress in the last two weeks 

label define not_stress_work14 1 "A lot of stress" 2 "A moderate amount of stress"  ///
	3 "Relatively little stress"  4 "Almost no stress at all"
label define not_stress_work01 0 "A lot of stress" 1 "Almost no stress at all"
	
recode stresswk_1a stresswk_1b stresswk_2	(.d = 2.5)			
								
egen not_stress_work2_weeks14 = rowmean (stresswk_1a stresswk_1b stresswk_2 )
label var not_stress_work2_weeks14 "Work has not been stressful in the last two weeks"
gen not_stress_work2_weeks01 = (not_stress_work2_weeks14-1)/3
label var not_stress_work2_weeks01 "Work has not been stressful in the last two weeks"

label values not_stress_work2_weeks14 not_stress_work14 
label values not_stress_work2_weeks01 not_stress_work01
tab not_stress_work2_weeks14
tab not_stress_work2_weeks01

tab not_stress_work15
tab not_stress_work01

pwcorr not_stress_work01 not_stress_work2_weeks01, obs 

egen not_stress_work_gen01 = rowmean (not_stress_work01 not_stress_work2_weeks01 )
label var not_stress_work_gen01 "Work not stressful in general stresswk and stress"
label values not_stress_work_gen01 not_stress_work01
tab not_stress_work_gen01



egen happy_rating_gen01 = rowmean (lifenow01  satlife01 qual_life01 happy01)
label var happy_rating_gen01 "Happiness and satisfaction with life in general"




* regr happy_rating_gen01  life01	satjobgen01  satfin01 satfam01 happy_partner01 

* regr happy_rating_gen01  life01	satjobgen01  satfin01  sat_homelife01





* Overall happiness with life and satisfaction with everything in life, put together 

egen  	happy_all01	  = rowmean (lifenow01 lifein501  satlife01 qual_life01 happy01  life01 satjobgen01  satfin01 satfam01 happy_partner01	)
label var happy_all01 "Life happiness - all kinds - general, excitement, work, family, partner, financial, future"
tab happy_all01

* the thing that predicted happy_rating_gen01 most was family life - especially marriage or partnership 


alpha  satlife01 qual_life01 happy01  life01 satjobgen01  satfin01  happy_partner01, item


pwcorr  satlife01 qual_life01 happy01 
pwcorr  life01 satjobgen01  satfin01  happy_partner01, obs



* Worry about COVID 

* worry about being able to pay bills is less correlated with worrying about becoming sick.
* weird as hell: worrying about becoming sick IS NOT CORRELATED WITH AGE

label define concern5 5 "Extremely concerned" 4  "Very concerned" 3 "Somewhat concerned" 2 "Not very concerned" 1 "Not at all concerned" 
label define concern01 1 "Extremely concerned" 0 "Not at all concerned" 

recode wrycovid_2 wrypaybills_2 wrygetsick_2 (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen worry_covid15 = rowmean (wrycovid_2 wrygetsick_2 )
gen worry_covid01 = (worry_covid15-1)/4
gen worry_covid_bills01 = (wrypaybills_2-1)/4

label values worry_covid15 wrypaybills_2 concern5
label values worry_covid01 worry_covid_bills01 concern01

label var worry_covid01 "Worry about COVID general and getting sick"
label var worry_covid_bills01 "Worry about COVID paying bills"

label var worry_covid15 "Worry about COVID general and getting sick"

tab worry_covid15
tab worry_covid01
tab worry_covid_bills01






									
* xhaustn_1a	how often does work exhaust r		{1, always}...		933	1	5		
									
									
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
* 
* Overall health, physical health, pain, mental health, depression, fatigue, diagnoses 
*
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************

									
									
* depression scale 

 

recode cesd3_1a cesd3_1b cesd3_2 (1=4) (2=3) (3=2) (4=1) (.d = 2.5)

egen  	depress14	  = rowmean (	cesd1_1a cesd1_1b cesd1_2 cesd2_1a cesd2_1b  /// 
	cesd2_2 cesd4_1a cesd4_1b cesd4_2 cesd5_1a cesd5_1b cesd5_2 cesd3_1a cesd3_1b cesd3_2)


	
recode unhappy_1b hapunhap_1b (.d = 3)
egen unhappy15 = rowmean (unhappy_1b hapunhap_1b)
gen unhappy01 =   (unhappy15-1)/4
tab unhappy01

label define cesd4 1 "None or almost none"  2 "Some of the time" 3  "Most of the time" 4  "All or almost all of the time"
label values depress14 cesd4


gen depress01 =   (depress14-1)/3
gen hapunhap01 = (hapunhap_1b-1)/3
label define cesd01 0 "None or almost none"  1 "All or almost all of the time"
label values depress01 cesd01

egen dep_unhap01 = rowmean ( depress01 hapunhap01 )



recode hlthmntl_1b   (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
gen poor_mental_health01 = (hlthmntl_1b-1)/4
label var poor_mental_health01 "Poor mental health, mood, and ability to think"

recode hlthmntl_1b   (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
gen good_mental_health01 = (hlthmntl_1b-1)/4
label values good_mental_health01 health01 


egen mental_health_days30 = rowmean (mntlhlth_1a  mntlhlth_1b)
tab mental_health_days30
gen mental_health_days01 =  mental_health_days30/30
tab mental_health_days01
label var mental_health_days30 "Days of poor mental health"
label var mental_health_days01 "Days of poor mental health"

gen mental_health_days01_r = (mental_health_days01*-1) + 1
tab mental_health_days01_r
label var mental_health_days01_r "Days of poor mental health: recoded so that 30 days is lowest"


* Mental health diagnosis 

recode 	diagnosd_1b 							(1=1) (2=0) (.d = .5) 	
recode 	depress_1b 							(1=1) (2=0) (.d = .5) 	
recode 	evbrkdwn_1a 							(1=1) (2=0) (.d = .5) 
egen  	ment_health_diag01 	  = rowmean (		diagnosd_1b 	depress_1b 	evbrkdwn_1a 					)
label variable ment_health_diag01 "R diagnosed with mental health prob, depression, or nervous breakdown (diagnosd evbrkdwn depress)"
gen not_ment_health_diag01 = (ment_health_diag01*-1)+1





egen poor_ment_health_gen01 = rowmean ( depress01 unhappy01 poor_mental_health01 mental_health_days01 ment_health_diag01)
tab poor_ment_health_gen01

gen good_ment_health_gen01 = (poor_ment_health_gen01*-1)+1
tab good_ment_health_gen01

label var poor_ment_health_gen01 "Depression, unhappiness: hapunhap_1b, unhappy_1b, cesd, mntlhlth_1a "




* Condition of sleep and fatigue  

* slpprblm_1b trouble sleeping last 12 months







label define not_severe15 5 "None" 4 "Mild" 3 "Moderate" 2 "Severe" 1 "Very severe" 
label define not_severe01 0 "Very severe" 1  "None" 
 
clonevar  	fatigue15	  = 		fatigue_1b 
recode fatigue15 (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)	

gen not_fatigue01 =  (fatigue15-1)/4

label values 		fatigue15	not_severe15   
label values 		not_fatigue01 		not_severe01  
label variable 		not_fatigue01		"Fatigue is not is a problem"
tab not_fatigue01


gen not_sleep_prob01 =  (slpprblm_1b-1)/4

label variable 		not_sleep_prob01		"Sleep is not a problem"
tab not_sleep_prob01

corr not_fatigue01 not_sleep_prob01

egen sleep_good01 = rowmean (not_fatigue01 not_sleep_prob01 )


recode hlthstrt_1a hlthstrt_1b hlthstrt_2 health_1a health_1b health_2 rhlthend_1a rhlthend_1b (1=4) (2=3) (3=2) (4=1) (.d = 2.5)
egen health14 = rowmean (hlthstrt_1a hlthstrt_1b hlthstrt_2 health_1a health_1b health_2 rhlthend_1a rhlthend_1b )
label define health4 4 "Excellent" 3 "Good" 2 "Fair" 1 "Poor" 
gen health01 =   (health14-1)/3
label define health01 1 "Excellent"  0 "Poor" 

 label define health5 5 "Excellent" 4 "Very good" 3 "Good" 2 "Fair" 1 "Poor" 

 
recode   hlthphys_1b (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)

gen phys_health01 = (hlthphys_1b-1)/4
label values hlthphys_1b   health5
label values phys_health01  health01 
label var phys_health01 "Physical health"



egen physical01 = rowmean (health01 phys_health01 not_fatigue01   not_hyperdiab01)
 

egen physical_pain01 = rowmean (physical01 pain_gen01)




recode 	painarms_1b 							(1=1) (2=0) (.d = .5) 	
recode 	arthrtis_1b 							(1=1) (2=0) (.d = .5) 	
recode 	backpain_1b 							(1=1) (2=0) (.d = .5) 	
recode 	diabetes_1b 							(1=1) (2=0) (.d = .5) 	
	
recode 	hyperten_1b 							(1=1) (2=0) (.d = .5) 	


  clonevar pain10 = ratepain_1b
  gen pain01 = pain10/10
label var pain01 "In the past 7 days, r's average pain"
tab pain01 

label values  painarms_1b 	arthrtis_1b 	backpain_1b 	diabetes_1b 	diagnosd_1b 	depress_1b 	evbrkdwn_1a 	hyperten_1b yes1 

label variable 		painarms_1b 	"R has arm pain"
label variable 		arthrtis_1b 	"R told have arthritis or rheumatism"
label variable 		backpain_1b 	"R had back pain in the past 12 months"
label variable 		diabetes_1b 	"R told have diabetes"
label variable 		diagnosd_1b 	"R ever diagnosed with mh problem"
label variable 		depress_1b 	"R told have depression"
label variable 		evbrkdwn_1a 	"R ever felt going to have a nervous breakdown?"
label variable 		hyperten_1b 	"R told have hypertension or high blood pressure"

egen  	pain_spec01	  = rowmean (		painarms_1b 	arthrtis_1b 	backpain_1b 					)
egen 	hyperdiab01 	  = rowmean (		diabetes_1b 	hyperten_1b 						)

label variable pain_spec01 "R has had pain in arms, arthritis, backpain (painarms arthrtis backpain"
label variable hyperdiab01 "R diagnosed with hypertension or diabetes (diabetes hyperten)"

tab pain01
tab pain_spec01
tab hyperdiab01



corr pain01 pain_spec01

egen pain_gen01 = rowmean ( pain01 pain_spec01)
label var pain_gen01 "High rating of pain, combined with painarms arthrtis backpain"

gen not_pain_gen01 = (pain_gen01*-1)+1
gen not_hyperdiab01 = (hyperdiab01*-1)+1









* pwcorr health01 phys_health01 good_ment_health_gen01 not_fatigue01   not_pain_gen01  not_hyperdiab01

egen genhealth_all_forms01 = rowmean (health01 phys_health01 good_ment_health_gen01 not_fatigue01   not_pain_gen01  not_hyperdiab01 )
label var genhealth_all_forms01 "All forms of good health: physical, mental, sleep"
 


* Acquainted with someone who ... 



recode 	mhdiagno_1b 		(1=1) (2=0) (.d = .5) 	
egen  	ac_mhdiag01 	  = rowmean (		mhdiagno_1b 					)
label values 	ac_mhdiag01	mhdiagno_1b 		yes1 
label variable 		ac_mhdiag01		"Knows someone who has been diagnosed with a mental health problem"				


		
					




* Suicide 

* suinum_1a	people r knows suicide over lifetime		None		1,432	0	95




recode 	suicide1_1a 	suicide1_1b 	suicide1_2 	(1=1) (2=0) (.d = .5) 	
egen  	suic_sick01	  = rowmean (		suicide1_1a 	suicide1_1b 	suicide1_2 					)
label values 		suicide1_1a 	suicide1_1b 	suicide1_2 	suic_sick01	yes1 
label variable 		suic_sick01		"Would commit suicide if incurable disease"				

recode 	suicide2_1a 	suicide2_1b 	suicide2_2 	(1=1) (2=0) (.d = .5) 	
egen  	suic_bank01	  = rowmean (		suicide2_1a 	suicide2_1b 	suicide2_2 					)
label values 		suicide2_1a 	suicide2_1b 	suicide2_2 	suic_bank01	yes1 
label variable 		suic_bank01		"Would commit suicide if bankrupt"				

recode 	suicide3_1a 	suicide3_1b 	suicide3_2 	(1=1) (2=0) (.d = .5) 	
egen  	suic_fam01	  = rowmean (		suicide3_1a 	suicide3_1b 	suicide3_2 					)
label values 		suicide3_1a 	suicide3_1b 	suicide3_2 	suic_fam01 yes1 
label variable 		suic_fam01		"Would commit suicide if dishonored family"				

recode 	suicide4_1a 	suicide4_1b 	suicide4_2 	(1=1) (2=0) (.d = .5) 	
egen  	suic_tired01	  = rowmean (		suicide4_1a 	suicide4_1b 	suicide4_2 					)
label values 		suicide4_1a 	suicide4_1b 	suicide4_2 	suic_tired01 yes1 
label variable 		suic_tired01		"Would commit suicide if tired of living"				






*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
* 
								* Views of the economy  
*
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************




recode econlast_2  econstat_2 (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
 
gen econ_past_soc15 = econlast_2
gen econ_past_soc01 = (econ_past_soc15-1)/4
label define econ_past_soc15 5 "Gotten much better"  4 "Gotten somewhat better" /// 
	3 "Stayed the same" 2 "Gotten Somewhat worse" 1 "Gotten much worse"
label define econ_past_soc01 1 "Gotten much better" 0 "Gotten much worse"
label values  econ_past_soc15 econ_past_soc15
label values  econ_past_soc01 econ_past_soc01 




gen econstat15 = econstat_2
gen econstat01 = (econstat15-1)/4
label define verygood5 1 "Very bad" 2 "Bad" 3 "Neither" 4 "Good" 5 "Very good"
label define verygood01 0 "Very bad" 1 "Very good"
label values  econstat15 verygood5
label values  econstat01 verygood01 
tab   econstat01
tab   econstat15

* Views of personal economics 
* The way things are in America, people like me and my family have a good chance of improving our standard of living -- do you agree or disagree?
recode goodlife_1a (1=5) (2=4) (3=3) (4=2) (5=1) 

gen econ_future_self15 = goodlife_1a
gen econ_future_self01 = (econ_future_self15-1)/4

label values  econ_future_self15 agree5
label values  econ_future_self01 agree01 
 

 
egen fam_inc15 = rowmean (finrela_1a finrela_1b finrela_2)
gen fam_inc01  = (fam_inc15-1)/4
 
label values fam_inc15 FINRELA
label define fam_inc01 0 "Far below average" 1 "Far above average"

* parsol 
* Compared to your parents when they were the age you are now, Do you think your own standard of living now is much better, somewhat better, about the same, somewhat worse, or much worse than theirs was?

* kidsol 
* When your children are at the age you are now, do you think their standard of living will be much better, somewhat better, about the same, somewhat worse, or much worse than yours is now?

recode parsol_1a parsol_1b parsol_2  kidssol_1a kidssol_1b kidssol_2 (1=5) (2=4) (3=3) (4=2) (5=1) (6 = .i)
 
egen parsol15 = rowmean (parsol_1a parsol_1b parsol_2 )
egen kidsol15 = rowmean (kidssol_1a kidssol_1b kidssol_2 )
gen parsol01 = (parsol15-1)/4
gen kidsol01 = (kidsol15-1)/4
label define parkids_sol15 5 "Much better"  4 "Somewhat better" 3 "Stayed the same" 2 "Somewhat worse" 1 "Gotten much worse"
label define parkids_sol01  1 "Much better"  0 "Gotten much worse"

label values  parsol15  kidsol15 parkids_sol15
label values  parsol01  kidsol01 parkids_sol01
 
tab  parsol15
tab  parsol01
 
tab  kidsol15
tab  kidsol01

pwcorr econ_future_self01 kidsol01 opt01 fear01 lifein501 kidssol_1a goodlife_1a
 

  pwcorr econ_future_self01 kidsol01   lifein501  opt01 , obs
egen opt_future01 = rowmean (econ_future_self01 kidsol01   lifein501  opt01)









*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************

********************************************************************************
*     *** Scientific attitudes: knowledge, confidence in science  ***                               
********************************************************************************

*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************









 
********************************************************************************
*     *** 					* Scientific knowledge  ***                               
********************************************************************************

 

recode 		condrift_1a 	condrift_1b 					(1=1) (2=0) (.d = .5) 	
recode 		bigbang_1a 	bigbang_1b 	bigbang1_1a 	bigbang1_1b 	bigbang2_1a 	bigbang2_1b 	(1=1) (2=0) (.d = .5) 
recode 		boyorgrl_1a 	boyorgrl_1b 					(1=1) (2=0) (.d = .5) 	
recode 		earthsun_1a 	earthsun_1b 					(1=1) (2=0) (.d = .5) 	
recode 		electron_1a 	electron_1b 					(1=1) (2=0) (.d = .5) 	
recode 		evolved_1a 	evolved_1b 				 	(1=1) (2=0) (.d = .5) 	
recode 		evolved2_1a 	evolved2_1b 					(1=1) (2=0) (.d = .5) 	
recode 		hotcore_1a 	hotcore_1b 					(1=1) (2=0) (.d = .5) 
	
recode 		lasers_1a 	lasers_1b 					(1=0) (2=1) (.d = .5) 	
recode 		radioact_1a 	radioact_1b 					(1=0) (2=1) (.d = .5) 	
recode 		viruses_1a 	viruses_1b 					(1=0) (2=1) (.d = .5) 	
recode 		expdesgn_1a 	expdesgn_1b 					(1=0) (2=1) (.d = .5) 	

label values 	condrift_1a 	condrift_1b 		 /// 
					bigbang_1a 	bigbang_1b 	bigbang1_1a 	bigbang1_1b 	bigbang2_1a 	bigbang2_1b  /// 
					boyorgrl_1a 	boyorgrl_1b  /// 
					earthsun_1a 	earthsun_1b 	   /// 
					electron_1a 	electron_1b  /// 
					evolved_1a 	evolved_1b evolved2_1a 	evolved2_1b  /// 
					hotcore_1a 	hotcore_1b true_correct 
				
label values 	lasers_1a 	lasers_1b 		 /// 
					radioact_1a 	radioact_1b 	viruses_1a 	viruses_1b 	///
				expdesgn_1a 	expdesgn_1b false_correct 

egen exptext_continuous19 = rowmean (exptext_1a exptext_1b)
gen exptext_continuous01 = (exptext_continuous19-1)/8	
gen exptext_correct01 = (exptext_continuous01*-1)+1
			
recode solarrev_1a solarrev_1b solarrev_2 (1/2 =0) (3=1) ( 4/8 = 0)
tab solarrev_1a
egen solarrev01 = rowmean ( solarrev_1a solarrev_1b solarrev_2)
label values solarrev01 correct1 
tab solarrev01




egen  		condrift01 	  = rowmean (	condrift_1a 	condrift_1b 					)
egen 		bigbang01	  = rowmean (	bigbang_1a 	bigbang_1b 	bigbang1_1a 			 /// 
											bigbang1_1b 	bigbang2_1a 	bigbang2_1b 		)
egen  		boyorgirl01   = rowmean (	boyorgrl_1a 	boyorgrl_1b 					)
egen  		earthsun01	  = rowmean (	earthsun_1a 	earthsun_1b 					)
egen  		electron01	  = rowmean (	electron_1a 	electron_1b 					)
egen  		evolved_hum01 = rowmean (	evolved_1a 	evolved_1b 					)
egen  		hotcore01	  = rowmean (	hotcore_1a 	hotcore_1b 					)
egen  		lasers01	  = rowmean (	lasers_1a 	lasers_1b 					)
egen  		radioact01	  = rowmean (	radioact_1a 	radioact_1b 					)
egen  		viruses01 	  = rowmean (	viruses_1a 	viruses_1b 					)
egen  		evolved01	  = rowmean (	evolved2_1a 	evolved2_1b 					)
egen  		exp_control01 = rowmean (	expdesgn_1a 	expdesgn_1b 					)
 
 
label values 	condrift01 	bigbang01	boyorgirl01 	earthsun01	electron01	evolved_hum01	hotcore01 ///
				evolved01		true_correct
										
label values 	lasers01	radioact01	viruses01 		false_correct			

egen sci_know01 = rowmean (condrift01 	bigbang01	boyorgirl01 	earthsun01	electron01	evolved_hum01	hotcore01 ///
				evolved01 lasers01	radioact01	viruses01  exp_control01 exptext_correct01)
tab sci_know01

pwcorr condrift01 	bigbang01	boyorgirl01 	earthsun01	electron01	evolved_hum01	hotcore01 ///
				evolved01 lasers01	radioact01	viruses01  exp_control01 exptext_correct01

label variable 	condrift01 		"Sci knowledge: the continents have been moving"	
label variable 	bigbang01		"Sci knowledge: universe expanding since it began"	
label variable 	boyorgirl01 	"Sci knowledge: father gene decides sex of baby"	
label variable 	earthsun01		"Sci knowledge: the earth goes around the sun"	
label variable 	electron01		"Sci knowledge: electrons are smaller than atoms"	
label variable 	evolved01		"Sci knowledge: human beings developed from animals"	
label variable 	hotcore01		"Sci knowledge: the center of earth is very hot"	
label variable 	lasers01		"Sci knowledge: lasers work by focusing sound waves"	
label variable 	radioact01		"Sci knowledge: all radioactivity is man-made"	
label variable 	viruses01 		"Sci knowledge: antibiotics kill viruses as well as bacteria"	

label variable 	exp_control01	    "Sci knowledge: A medical experiment need a control (expdesgn)"	
label variable 	exptext_correct01	"Sci knowledge: Understanding of why to expdesgn"	

egen sun01 = rowmean (earthsun01 solarrev01)
egen evolution01 = rowmean (evolved01 evolved_hum01)
egen hypomed_test01 = rowmean (exp_control01 exptext_correct01)


 
 * pwcorr condrift01 	bigbang01	sun01 	evolution01	electron01	  boyorgirl01	hotcore01 ///
				* lasers01	radioact01	viruses01  hypomed_test01
				
				
 
 * alpha condrift01 	bigbang01	sun01 	evolution01		  	 ///
				* lasers01	radioact01	viruses01  , item 
 
********************************************************************************
*     *** 			Number of science classes taken                                
********************************************************************************

 

 
 
recode hsphys_1a 	hsphys_1b 	 hschem_1a 	hschem_1b 	hsbio_1a 	hsbio_1b (1=1) (2=0) (.d = 0) 
egen  hs_science01 = rowmean (hsphys_1a 	hsphys_1b 	 hschem_1a 	hschem_1b 	hsbio_1a 	hsbio_1b)
label values 	hsphys_1a 	hsphys_1b 	 hschem_1a 	hschem_1b 	hsbio_1a 	hsbio_1b  hs_science01 yes1

recode  astrolgy_1a 	astrolgy_1b 	 	(1=1) (2=0) (.d = 0) 
egen  astrol01 =	rowmean (astrolgy_1a 	astrolgy_1b 	)
label values 	astrolgy_1a 	astrolgy_1b 	astrol01  yes1
	 
	 

recode colsci_1a 	colsci_1b (1=1) (2=0) (.d = 0) 
egen  col_science01 = rowmean (colsci_1a 	colsci_1b)
label values 	 colsci_1a 	colsci_1b col_science01 yes1
	tab col_science01
	
recode	colscinm_1a colscinm_1b colscinm_2  (10/100 = 10)
replace colscinm_1a = 0 if colsci_1a ==0
replace colscinm_1b = 0 if colsci_1b ==0
egen  colsci_num = rowtotal (colscinm_1a colscinm_1b colscinm_2 )


egen school_scinum01 = rowmean (hs_science01	hsphys_1b 	 hschem_1a 	hschem_1b 	hsbio_1a 	hsbio_1b)
	
	
********************************************************************************
*     *** 			* Subjective science understanding                                 
********************************************************************************

	
	
recode scistudy_1a	 scistudy_1b  scistudy_2 (1=3) (2=2) (3=1) (.d=1)
egen  scistudy_know13 = rowmean ( scistudy_1a	 scistudy_1b  scistudy_2	 )
 tab  scistudy_know13
  gen scistudy_know01 = (scistudy_know13-1)/2
label define scistudy_know13 1 "Little understanding" 2 "General sense" 3 "Clear understanding"
label values scistudy_know13 scistudy_know13
 label define scistudy_know01 0 "Little understanding"  1 "Clear understanding"

label values 	scistudy_know01	scistudy_know01
tab scistudy_know13
tab scistudy_know01

label var scistudy_know13 "Subjective understanding of science"
label var scistudy_know01 "Subjective understanding of science"


********************************************************************************
*     *** 			* Mathematical understanding of probability                                  
********************************************************************************

	
 
 
recode odds1_1a 	odds1_1b  (1=0) (2=1) (.d = 0) 
recode odds2_1a 	odds2_1b  (1=1) (2=0) (.d = 0) 
 
egen  math_ability01 = rowmean (odds1_1a 	odds1_1b odds2_1a 	odds2_1b )
label values 	odds1_1a 	odds1_1b odds2_1a 	odds2_1b correct

label var math_ability01 "Correct answers to two probabilities logic questions"

 
* pwcorr odds1_1a 	odds1_1b odds2_1a 	odds2_1b 


* pwcorr scistudy_know01 school_scinum01 sci_know01 math_ability01 exptext_correct01, obs


* exptext_1a	why is it better to test drug this way		{1, correct - control group}...		1,341	1	9
* exptext_1b	why is it better to test drug this way		{1, correct - control group}...		1,136	1	9
 

********************************************************************************
*     *** 			* * Support for science                                  
********************************************************************************



 

* These are two weird items that do not hang together with the other support for science items 
* They are "science is moving too fast" and "scientists are odd and peculiar" which I feel that scientists would often agree with that"

* trustsci_1b	we trust too much in science		{1, strongly agree}...		1,145	1	5

sum advfront_1a advfront_1b advfront_2  /// 
	nextgen_1a nextgen_1b nextgen_2  scientbe_1a scientbe_1b scientbe_2 scientgo_1a scientgo_1b scientgo_2 ///
	scienthe_1a scienthe_1b scienthe_2

recode   advfront_1a advfront_1b advfront_2  /// 
	nextgen_1a nextgen_1b nextgen_2  scientbe_1a scientbe_1b scientbe_2 scientgo_1a scientgo_1b scientgo_2 ///
	scienthe_1a scienthe_1b scienthe_2 (1=4) (2=3) (3=2) (4=1) (.d = 2.5 )

egen toofast14 = rowmean (toofast_1a toofast_1b toofast_2)
egen scientod14 = rowmean (scientod_1a scientod_1b scientod_2)

tab advfront_1a advfront_1b 
tab advfront_1b advfront_2

tab advfront_1a advfront_2

egen advfront14 = rowmean (advfront_1a advfront_1b advfront_2)
egen nextgen14 = rowmean (nextgen_1a nextgen_1b nextgen_2)
egen scientbe14 = rowmean (scientbe_1a scientbe_1b scientbe_2)
egen scientgo14 = rowmean (scientgo_1a scientgo_1b scientgo_2)
egen scienthe14 = rowmean (scienthe_1a scienthe_1b scienthe_2)

 
 pwcorr advfront14 nextgen14 toofast14 scientbe14 scientgo14 scienthe14 scientod14 trustsci_1b
 * toofast not related and scientists being odd and peculiar does not hang together 

 
 
 
* Complex variable: belief that science benefits or harms 

label define benharm04 0 "Strongly harmful" 1 "Slightly harmful" 2  "Equally beneficial and harmful"  /// 
	 3 "Slightly beneficial" 4 "Strongly beneficial" 

label define benharm01 0 "Strongly harmful" 1 "Strongly beneficial" 
 
 
recode  scibnfts_1a (1 = 3 ) ( 2 .d = 2) (3=1) , gen (sci_ben04_1a )
recode  scibnfts_1b (1 = 3 ) ( 2 .d = 2) (3=1) , gen (sci_ben04_1b )




replace sci_ben04_1a = 0 if balneg_1a == 1
replace sci_ben04_1b = 0 if balneg_1b == 1

replace sci_ben04_1a = 4 if balpos_1a == 1
replace sci_ben04_1b = 4 if balpos_1b == 1

label values 	sci_ben04_1a  sci_ben04_1b benharm04

tab sci_ben04_1a
tab sci_ben04_1b

egen  sci_ben04 = rowmean (sci_ben04_1a sci_ben04_1b)
gen sci_ben01 = sci_ben04/4

gen sci_ben01ab = sci_ben01

label values sci_ben04	sci_ben04_1a  sci_ben04_1b benharm04
label values sci_ben01	 benharm01






********************************************************************************
*           *** General belief in science and support for science ***                               
********************************************************************************


*pwcorr advfront14 nextgen14  scientbe14 scientgo14 scienthe14 sci_ben01, obs
gen advfront01 = (advfront14-1)/3
gen nextgen01 = (nextgen14-1)/3
gen scientbe01 = (scientbe14-1)/3
gen scientgo01 = (scientgo14-1)/3
gen scienthe01 = (scienthe14-1)/3

sum advfront01 nextgen01 scientbe01 scientgo01 scienthe01 sci_ben01

egen sup_sci01 = rowmean ( advfront01 nextgen01 scientbe01 scientgo01 scienthe01 sci_ben01	 )
 
label define sup_sci01 0 "Science not good" 2 "Science is beneficial"
label values sup_sci01 sup_sci01
 
label var sup_sci01 "Belief that science is good for humanity"




*Benefit of nanotechnology 

* nanowill_1a	benefit of nanotechnology outweigh harmful results
* nanowill_1b	benefit of nanotechnology outweigh harmful results




*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*
********************************************************************************
*                       *** Basic political variables ***                               
********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************






********************************************************************************
*              *** Whether a person generally votes or voted  ***                               
********************************************************************************




recode 	whovote1_2	(1=1) (3=1) (2=1)  (.d = 0)	(4=0), gen (willvote01)



recode 	vote12_1a	(1=1) (3=.5) (2=0)  (.d = .5)	
recode 	vote12_1b	(1=1) (3=.5) (2=0)  (.d = .5)	
recode 	vote16_1b	(1=1) (3=.5) (2=0)  (.d = .5)	
recode 	vote16_2	(1=1) (3=.5) (2=0)  (.d = .5)	

label var vote12_1a "Voted in 2012"
label var vote12_1b "Voted in 2012"
label var vote16_1b "Voted in 2016"
label var vote16_2 "Voted in 2016"
label var willvote01  "Intends to vote in 2020"

sum lkelyvot_2 willvote01

pwcorr  lkelyvot_2 willvote01, obs
recode lkelyvot_2 (1=4) (2=3) (3=2) (4=1) (.d = 1)
gen likely_vote01 = (lkelyvot_2-1)/4
egen vote_2020_01 = rowmean (willvote01 likely_vote01 )

sum vote12_1a vote12_1b vote16_1b vote16_2 vote_2020_01

egen vote12 = rowmean (vote12_1a vote12_1b )
egen vote16 = rowmean (vote16_1b vote16_2 )
tab vote12
tab vote16 


egen votes_01 = rowmean (vote12_1a vote12_1b vote16_1b vote16_2 vote_2020_01)
label var votes_01 "Generally votes; middle values changed answer"

********************************************************************************
*              *** How a person generally votes or voted  ***                               
********************************************************************************



* how people voted in the elections of 12, 16, and 20

tab pres12_1a
tab pres12_1b
tab pres16_1b
tab pres16_2
tab whovote1_2

recode pres12_1a (1 = 1 "Obama" ) (2=0 "Romney" ) (3/4 = .5 ) (.d = .5), gen(demvote12_1601)
recode pres12_1b (1 = 1 "Obama" ) (2=0 "Romney" ) (3/4 = .5 ) (.d = .5), gen(demvote12_1801)
recode pres16_1b (1 = 1 "Clinton" ) (2=0 "Trump" ) (3/4 = .5 ) (.d = .5), gen(demvote16_1801)
recode pres16_2 (1 = 1 "Clinton" ) (2=0 "Trump" ) (3/4 = .5 ) (.d = .5), gen(demvote16_2001)

recode whovote1_2 (1 = 1 "Biden" ) (2=0 "Trump" ) (3/4 = .5 ) (.d = .5), gen(demvote20_01)


egen demvote12_01 = rowmean ( demvote12_1601 demvote12_1801 )

egen demvote16_01 = rowmean ( demvote16_1801 demvote16_2001 )

egen demvote1620_01 = rowmean (demvote16_1801 demvote16_2001 )

egen demvote12_16_20_01  = rowmean (demvote12_1601 demvote12_1801 demvote16_1801 demvote16_2001 demvote20_01)

label var demvote12_01 "Voted for Obama"
label var demvote16_01 "Voted for Clinton"
label var demvote20_01 "Will vote for Biden"

label var demvote12_16_20_01  "Generally voted for the Dem pres. candidate; middle indicates change"
replace demvote12_16_20_01 = (demvote12_16_20_01*-1) + 1




gen repvote16_20_01 = (demvote1620_01*-1) + 1

tab demvote12_01
tab demvote16_01
tab demvote12_16_2 

tab if16who_2
tab if12who_1a 
tab if12who_1b 
tab if12who_2 
tab if16who_1a 
tab if16who_1b 
tab if16who_2


recode if12who_1a (1 = 1 "Obama" ) (2=0 "Romney" ) (3/4 = .5 ) (.d = .5), gen(ifdemvote12_1601)
recode if12who_1b (1 = 1 "Obama" ) (2=0 "Romney" ) (3/4 = .5 ) (.d = .5), gen(ifdemvote12_1801)

recode if16who_1b (1 = 1 "Clinton" ) (2=0 "Trump" ) (3/4 = .5 ) (.d = .5), gen(ifdemvote16_1801)
recode if16who_2 (1 = 1 "Obama" ) (2=0 "Romney" ) (3/4 = .5 ) (.d = .5), gen(ifdemvote16_2001)





* The logic here is to use the ifwho vars to put people into the category, but only if they are consistent across survey waves
replace demvote12_01 = 1 if (ifdemvote12_1601 == 1 & ifdemvote12_1801 ==1 )
replace demvote12_01 = 0 if (ifdemvote12_1601 == 0 & ifdemvote12_1801 ==0 )
   
replace demvote16_01 = 1 if (ifdemvote16_1801 == 1 & ifdemvote16_2001 ==1 )
replace demvote16_01 = 0 if (ifdemvote16_1801 == 0 & ifdemvote16_2001 ==0 )
 


replace demvote12_16_2  = 1 if (ifdemvote12_1601 == 1 & ifdemvote12_1801 ==1 )
replace demvote12_16_2  = 0 if (ifdemvote12_1601 == 0 & ifdemvote12_1801 ==0 )
   
replace demvote12_16_2  = 1 if (ifdemvote16_1801 == 1 & ifdemvote16_2001 ==1 )
replace demvote12_16_2  = 0 if (ifdemvote16_1801 == 0 & ifdemvote16_2001 ==0 )



egen demvote_if_12_16_20_01  = rowmean ( demvote12_16_20_01 demvote12_01 demvote16_01 demvote12_16_2  )


label var demvote_if_12_16_20_01  "Generally voted for the Dem pres. candidate; middle indicates change, includes ifvoted"









********************************************************************************
*     *** Ideology, party identification, attention to the news, interest   ***                               
********************************************************************************











recode partyid_1a partyid_1b  partyid_2 (7=4)
egen rep_id06 = rowmean 	(partyid_1a partyid_1b  partyid_2 )
gen rep_id01 = rep_id06/6
label values rep_id06 PARTYID
label define rep_id01 0 "Strong Democrat" 1 "Strong Republican"
label values rep_id01 rep_id01 

recode polviews_1a polviews_1b  polviews_2 (7=4)
egen cons_ideo06 = rowmean 	(partyid_1a partyid_1b  partyid_2 )
gen cons_ideo01 = cons_ideo06/6

label values cons_ideo06 POLVIEWS
label define cons_ideo01 0 "Extremely liberal" 1 "Extremely conservative"
label values cons_ideo01 cons_ideo01
	
	

	
	


********************************************************************************
*     *** Interest, efficacy (internal and external)   ***                               
********************************************************************************



	
* Attention to the news 
	

* Interested in campaign - political interest 

recode polintrst_2 (1=3) (2=2) (3=1) (.d = 1)

gen polintrst_2_01 = (polintrst_2-1)/2
label define polint13 3 "Very interested" 2 "Somewhat interested"  1 "Not interested"
label define polint01 1 "Very interested"   0 "Not interested"

label values polintrst_2 polint13

label var polintrst_2_01 "Interested in the 2020 campaign"

recode polint_1a  (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 1)
	
gen polint_1_01 = (polint_1a-1)/4	
egen polint01 = rowmean (polint_1_01 polintrst_2_01) 	

label values polintrst_2_01 polint_1_01 polint01 polint01
tab polint01	


* attention to the news 
	
recode news_1a  news_1b news_2  poleff13_1a (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 1)
egen news_att15 = rowmean (news_1a  news_1b news_2 ) 
gen news_att01 = (news_att15-1)/4
tab news_att01

gen poleff_understand_15 =  poleff13_1a 
gen poleff_understand01 = (poleff_understand_15-1)/4
tab poleff_understand01

	* corr news_att01 polint01 poleff_understand01



egen polint_eff_news01 = rowmean (news_att01 polint01 poleff_understand01)
 
label define news_att01  1 "Everyday" 0 "Never"
label values news_att01  news_att01




label var news_att01 "Attention to the news"
label var poleff_understand01 "Has a good understanding of political issues"
label var  poleff_understand01 "Internal political efficacy: has a good understanding of politics"
 
label var polint_eff_news01 "Index of attention, interest, and understanding of the issues"

 
 
 
 * External political efficacy 
 pwcorr poleff11_1a 	poleff11_1b poleff16_1a poleff17_1a
 
 
recode poleff16_1a poleff17_1a 	(1=5) (2=4) (3=3) (4=2) (5=1) (.d = 1)
egen poleff15 = rowmean (poleff11_1a 	poleff11_1b poleff16_1a poleff17_1a ) 					
gen poleff_ext01 = (poleff15-1)/4

label var poleff_ext01 "External political efficacy"
label var poleff15 "External political efficacy"

tab poleff_ext01

tab poleff11_1a 	
tab poleff11_1b 
tab poleff16_1a 
tab poleff17_1a

* newsfrom_1a	main source of information about events in the news		{1, newspaper}...		1,386	1	10	
* newsfrom_1b	main source of information about events in the news		{1, newspaper}...		1,174	1	10	
								
								

corr ratechall1_2 ratechall2_2
egen rate_dem_chal100 = rowmean (ratechall1_2 ratechall2_2)
gen rate_dem_chal01 = rate_dem_chal100/100
 
label var rate_dem_chal01 "Rating of Biden and Harris"
label var rate_dem_chal100 "Rating of Biden and Harris"
  
  





********************************************************************************
*              *** 		Support for government aid   ***                               
********************************************************************************




* prvdschl_1a	who provides school educ		{1, government}...		1,349	1	5


* helpfrds_1b	should better off ppl help less well-off friend		{1, strongly agree}...		1,160	1	5

							
* taxmid_1a	taxes on middle income people too high		{1, much too high}...		1,353	1	5
* taxpoor_1a	taxes on low income people too high		{1, much too high}...		1,349	1	5
* taxrich_1a	taxes on high income people too high		{1, much too high}...		1,334	1	5
							




label define defshould4 4 "Definitely should be" 3 "Probably should be" 2 "Probably should not be" 1 "Definitely should not be"

recode aidcol_1a aidhouse_1a aidindus_1a aidold_1a aidold_1a aidunemp_1a pricecon_1a  /// 
	hlthcare_1a equalize_1a jobsall_1a grnlaws_1a	(1=4) (2=3) (3=2) (4=1) (.d = 2.5 )
 
 

 

egen  	aidcol14	  = rowmean (		aidcol_1a 							)
egen 	aidhouse14	  = rowmean (		aidhouse_1a 							)
egen  	aidindus14	  = rowmean (		aidindus_1a 							)
egen 	aidold14	  = rowmean (		aidold_1a 							)
egen  	aidunemp14	  = rowmean (		aidunemp_1a 							)
egen 	equalize14	  = rowmean (		equalize_1a 							)
egen  	jobsall14	  = rowmean (		jobsall_1a 							)
egen  	pricecon14	  = rowmean (		pricecon_1a 							)
egen  	grnlaws_14	  = rowmean (		grnlaws_1a 							)


label values aidcol_1a aidhouse_1a aidindus_1a aidold_1a aidold_1a aidunemp_1a pricecon_1a  /// 
	hlthcare_1a equalize_1a jobsall_1a  grnlaws_1a ///
aidcol14	aidhouse14	aidindus14	aidold14	 /// 
	aidunemp14	equalize14	jobsall14	pricecon14 grnlaws_14 defshould4 

 

gen	aidcol01	  = 	(	aidcol14	  -1)/3
gen	aidhouse01	  = 	(	aidhouse14	  -1)/3
gen	aidindus01 	  = 	(	aidindus14	  -1)/3
gen	aidold01	  = 	(	aidold14	  -1)/3
gen	aidunemp01	  = 	(	aidunemp14	  -1)/3
gen	equalize01	  = 	(	equalize14	  -1)/3
gen	jobsall01	  = 	(	jobsall14	  -1)/3
gen	pricecon01	  = 	(	pricecon14	  -1)/3
 
 gen	greenlaws01	  = 	(	grnlaws_14	  -1)/3

 
label define defshould01 1 "Definitely should be"  0 "Definitely should not be"
label values aidcol01	aidhouse01	aidindus01 	aidold01	aidunemp01	 /// 
	 equalize01	jobsall01	pricecon01 greenlaws01 defshould01

 



label variable 		aidcol01	  "Gov. should assist low-income college student"		
label variable 		aidhouse01	  "Gov. should provide housing to poor"		
label variable 		aidindus01 	  "Govts resp: assist industrial growth"		
label variable 		aidold01	  "Govts resp: provide for the elderly"		
label variable 		aidunemp01	  "Govts resp: provide for the unemployed"		
label variable 		equalize01	  "Govts resp: reduce income differences"		
label variable 		jobsall01	  "Govts resp: provide jobs"		
label variable 		pricecon01	  "Govts resp: regulate prices"		
label variable 		greenlaws01	  "Govts resp: reduce ind damage to env"	

						
label variable 		aidcol14	  "Gov. should assist low-income college student"		
label variable 		aidhouse14	  "Gov. should provide housing to poor"		
label variable 		aidindus14	  "Govts resp: assist industrial growth"		
label variable 		aidold14	  "Govts resp: provide for the elderly"		
label variable 		aidunemp14	  "Govts resp: provide for the unemployed"		
label variable 		equalize14	  "Govts resp: provide hlth care for sick"		
label variable 		jobsall14	  "Govts resp: reduce income differences"		
label variable 		pricecon14	  "Govts resp: provide jobs for all"	
label variable 		grnlaws_14  "Govts resp: reduce ind damage to env"	



pwcorr aidcol01	aidhouse01	aidindus01 	aidold01	aidunemp01	equalize01	jobsall01	pricecon01 greenlaws01, obs
	
egen gov_reg_poor01 = rowmean (aidcol01	aidhouse01	aidindus01 	aidold01	aidunemp01	 /// 
	equalize01	jobsall01)

label values gov_reg_poor01 defshould01 

tab gov_reg_poor01

* Support for gov regulate economy for jobs and industry 

recode savejobs_1a makejobs_1a (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen gov_jobs15 = rowmean (savejobs_1a makejobs_1a )
gen gov_jobs01 = (gov_jobs15-1)/4
egen govaid_jobs01 = rowmean (aidindus01 jobsall01)
egen gov_jobs_gen01 = rowmean (govaid_jobs01 gov_jobs01)

label define gov_help15 1 "Government does too much" 5 "Government should do more"
label define gov_help17 1 "Government does too much" 7 "Government should do more"

label define gov_help01 0 "Government does too much" 1 "Government should do more"
label values gov_jobs01 gov_jobs_gen01 gov_help01
label values gov_jobs15 gov_help15

	


* corr smallgap_1b incgap_1b goveqinc_1b

recode eqwlth_1a eqwlth_1b eqwlth_2 (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 ) (.d = 4)
egen gov_wealth17 = rowmean (eqwlth_1a eqwlth_1b eqwlth_2 )
gen gov_wealth01 = (gov_wealth17-1)/6
label values gov_wealth01 gov_help01
label values gov_wealth17 gov_help17
label var  gov_wealth01 "Government should do more to equalize wealth"


recode smallgap_1b incgap_1b goveqinc_1b (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen gov_inc15 = rowmean (smallgap_1b incgap_1b goveqinc_1b )
gen gov_inc01 = (gov_inc15-1)/4
label var  gov_inc01 "Government should do more to equalize incomes"

label values gov_inc01  gov_help01
label values gov_inc15 gov_help15

egen gov_equal_wealth_inc01 = rowmean (gov_inc01 gov_wealth01 )
egen gov_aid_eq01 = rowmean (pricecon01 equalize01 )
egen gov_equal_gen01 = rowmean  (gov_equal_wealth_inc01 gov_aid_eq01 )


label values gov_wealth01 gov_equal_gen01 gov_equal_wealth_inc01 gov_help01

label var  gov_equal_wealth_inc01 "Government should do more to equalize wealth and incomes"
label var  gov_equal_gen01 "Government should do more to equalize income and wealth, reg prices, aid to equalize"


* This is to get a sense of whether people are just answering differently about their 2012 vote 
gen random = 0 if demvote12_01 == 0 | demvote12_01 == 1
replace random = 1 if demvote12_01 == .5 

gen sexeduc_lib01 = (sexeduc01*-1) + 1
tab sexeduc_lib01

gen sexeduc_lib01_16 = sexeduc_lib01 if  year_1a ==2016
gen sexeduc_lib01_18 = sexeduc_lib01 if  year_1b ==2018
gen sexeduc_lib01_20 = sexeduc_lib01 if  year_2 ==2020



gen dem_id01 = (rep_id01* -1)+1
gen lib_ideo01 = (cons_ideo01* -1)+1











********************************************************************************
*              *** 		Support for government aid for groups in need  ***                               
********************************************************************************







recode helpblk_1a helpblk_1b helpblk_2  (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen gov_help_black15 = rowmean (helpblk_1a helpblk_1b helpblk_2 )
gen gov_help_black01 = (gov_help_black15-1)/4
label define gov_help_black01 1 "Government should help" 0 "No special treatment" 
label define gov_help_black15 5 "Government should help" 1 "No special treatment" 

label values gov_help_black01 gov_help_black01
label values gov_help_black15 gov_help_black15

tab gov_help_black15
tab gov_help_black01

* pwcorr helpnot_1a helpnot_1b helpnot_2 cutgovt_1a lessreg_1a

recode helpnot_1a helpnot_1b helpnot_2   (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen gov_gen_help15 = rowmean (helpnot_1a helpnot_1b helpnot_2 cutgovt_1a lessreg_1a )
gen gov_gen_help01 = (gov_gen_help15-1)/4

label values gov_gen_help01 gov_help01
label values gov_gen_help15 gov_help15

label var  gov_gen_help01 "Government should help in general"
label var  gov_gen_help15 "Government should help in general"




							
recode helppoor_1a helppoor_1b helppoor_2   (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen gov_poor15 = rowmean (helppoor_1a helppoor_1b helppoor_2  )
gen gov_poor01 = (gov_poor15-1)/4
egen gov_aid_poor01 = rowmean (aidcol01 aidhouse01 aidunemp01  )
egen gov_poor_gen01 = rowmean (gov_poor01 gov_aid_poor01 )
label values gov_poor01 gov_aid_poor01 gov_poor_gen01 gov_help01
label values gov_poor15 gov_help15


label var    gov_poor01 "Government should help the poor"
label var    gov_poor15 "Government should help the poor"
label var   gov_aid_poor01 "Government should help the poor"
label var   gov_poor_gen01 "Government should help the poor: index"






recode helpsick_1a helpsick_1b helpsick_2 prvdhlth_1a prvdhlth_1b  (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen gov_sick15 = rowmean (helpsick_1a helpsick_1b helpsick_2 prvdhlth_1a prvdhlth_1b )
gen gov_sick01 = (gov_gen_help15-1)/4

label values gov_sick01 gov_help01
label values gov_sick15 gov_help15


label var   gov_sick01 "Government should help those who are sick"
label var   gov_sick15 "Government should help those who are sick"








********************************************************************************
*              *** 		Approval of Trump  ***                               
********************************************************************************

* COVID attitudes 

* covopen_2	opinion of covid reopening speed

* Approval of Trump 



recode aprvcovid_2 aprvecon_2 aprvpres_2 (1=4) (2=3) (3=2) (4=1) (.d = 2.5 )

label define approve4 4 "Strongly approve" 3 "Approve" 2 "Disapprove" 1 "Strongly disapprove"
label values aprvcovid_2 aprvecon_2 aprvpres_2 approve4

egen app_trump14 = rowmean ( aprvcovid_2 aprvecon_2 aprvpres_2)
gen app_trump01 = (app_trump14-1)/3
gen trump_rate100 = rateincumb_2
gen trump_rate01= rateincumb_2/100

egen app_trump_gen01 = rowmean (app_trump01 trump_rate01 )

label var app_trump01 "Approval of Trump, gen, econ, and COVID"
label var app_trump14 "Approval of Trump, gen, econ, and COVID"
label var app_trump_gen01 "Approval of Trump, gen, econ, and COVID"

label values app_trump01 app_trump_gen01 approve1
 

egen sup_trump01 = rowmean (repvote16_20_01 trump_rate01 app_trump_gen01 )
 
 
 
 alpha repvote16_20_01 trump_rate01 app_trump_gen01, item 
 
 
 
********************************************************************************
*              *** 		* Attitues toward business  ***                               
********************************************************************************

 
 
 
 
 


* brlawfl_1a	do private companies comply with regulations
* brnotax_1a	do private companies avoid taxes

 
* taxbylaw_1a	do authorities tax legally
* taxpaid_1a	do authorities ensure taxes are paid
 
recode indusgen_1a  indusgen_1b nukegen_1a nukegen_1b watergen_1a watergen_1b tempgen_1a tempgen_1b (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen env_dang15 = rowmean   (indusgen_1a  indusgen_1b nukegen_1a nukegen_1b watergen_1a watergen_1b tempgen_1a tempgen_1b)
gen env_dang01 = (env_dang15-1)/4
 
label define dang01 1 "Extremely dangerous" 0 "Not dangerous at all"
label values env_dang01 dang01

 * pwcorr indusgen_1a  indusgen_1b nukegen_1a nukegen_1b watergen_1a watergen_1b tempgen_1a tempgen_1b
	


************************************************************************************************
*     				***  Democratic values: later socialization   ***                               
************************************************************************************************





* Civil liberties - protection from gov overreach 

* govtinfo_1a	should govt info be public		{0, 0 - all government information should be publically available, even if this meant a risk to public security}...		1,358	0	10


label define defshould_not4 1 "Definitely should be" 2 "Probably should be" 3 "Probably should not be" 4 "Definitely should not be"

label define defshould_not01 1 "Definitely should not be"  0 "Definitely should  be"

recode 	cctv_1a 	emonitor_1a	givinffor_1a	givinfusa_1a	stoprndm_1a	tapphone_1a	wotrial_1a		 (1=4) (2=3) (3=2) (4=1) (.d = 2.5)		
label values cctv_1a 	emonitor_1a	givinffor_1a	givinfusa_1a	stoprndm_1a	tapphone_1a	wotrial_1a defshould_not4
 
egen  	civlib_video14	  = rowmean (		cctv_1a 							)
egen 	civlib_email14	  = rowmean (		emonitor_1a							)
egen  	civlib_foreigners14	  = rowmean (		givinffor_1a							)
egen 	civlib_citizens14	  = rowmean (		givinfusa_1a							)
egen  	civlib_stopfrisk14	  = rowmean (		stoprndm_1a							)
egen 	civlib_phone14	  = rowmean (		tapphone_1a							)
egen  	civlib_detain_notrial14	  = rowmean (		wotrial_1a							)


gen	civlib_video01	  = 	(	civlib_video14	  -1)/3
gen	civlib_email01	  = 	(	civlib_email14	  -1)/3
gen	civlib_foreigners01	  = 	(	civlib_foreigners14	  -1)/3
gen	civlib_citizens01	  = 	(	civlib_citizens14	  -1)/3
gen	civlib_stopfrisk01	  = 	(	civlib_stopfrisk14	  -1)/3
gen	civlib_phone01	  = 	(	civlib_phone14	  -1)/3
gen	civlib_detain_notrial01	  = 	(	civlib_detain_notrial14	  -1)/3

label values civlib_video01	civlib_email01	civlib_foreigners01	civlib_citizens01 ///
	civlib_stopfrisk01	civlib_phone01	civlib_detain_notrial01	defshould_not01
	
	
 * corr  civlib_video01	civlib_email01	civlib_foreigners01	civlib_citizens01	civlib_stopfrisk01	civlib_phone01	civlib_detain_notrial01


* alpha civlib_video01	civlib_email01	civlib_foreigners01	civlib_citizens01	civlib_stopfrisk01	civlib_phone01	civlib_detain_notrial01, item

egen civlib01 =  rowmean ( civlib_video01	civlib_email01	civlib_foreigners01	civlib_citizens01 ///
	civlib_stopfrisk01	civlib_phone01	civlib_detain_notrial01	) 

label variable 		civlib01 "Support for restricting gov interference - 4th and 5th Amendments), index of 7 items"
label variable 		civlib_video01	  "	Govt should NOT use video surveillance"	
label variable 		civlib_email01	  "	Govt should NOT monitor emails"	
label variable 		civlib_foreigners01	  "	Govt should NOT collect foreigner info without knowledge"	
label variable 		civlib_citizens01	  "	Govt should NOT collect citizen info without knowledge"	
label variable 		civlib_stopfrisk01	  "	Govt should NOT search ppl in the street"	
label variable 		civlib_phone01	  "	Govt should NOT tap phone conver'sation"	
label variable 		civlib_detain_notrial01	  "Govt should NOT detain the suspected with no trial"
	
					
					
label variable 		civlib_video14	  "	Govt should NOT use video surveillance"	
label variable 		civlib_email14	  "	Govt should NOT monitor emails"	
label variable 		civlib_foreigners14	  "	Govt should NOT collect foreigner info without knowledge"	
label variable 		civlib_citizens14	  "	Govt should NOT collect citizen info without knowledge"	
label variable 		civlib_stopfrisk14	  "	Govt should NOT search ppl in the street"	
label variable 		civlib_phone14	  "	Govt should NOT tap phone conver'sation"	
label variable 		civlib_detain_notrial14	  "	Govt should NOT detain the suspected with no trial"
	
 



* Support for the right to protest and other tolerance with a range of 3 

recode 	protest1_1a  protest3_1a relext1_1b relext3_1b revpub_1a  revspeak_1a		 (1=4) (2=3) (3=2) (4=1) (.d = 2.5)		
label values protest1_1a  protest3_1a relext1_1b relext3_1b revpub_1a  revspeak_1a defshould4
 
label values protest1_1a  protest3_1a relext1_1b relext3_1b revpub_1a  revspeak_1a defshould4




egen  	protest_meetings14  	  = rowmean (		protest1_1a  		)
egen 	protest_demon14 	  = rowmean (		protest3_1a 		)
egen  	relext_meetings14 	  = rowmean (		relext1_1b 		)
egen 	relext_web14	  = rowmean (		relext3_1b 		)
egen  	revpub14  	  = rowmean (		revpub_1a  		)
egen 	revspeak14	  = rowmean (		revspeak_1a		)

gen	protest_meetings01  	  = 	(	protest_meetings14  	  -1)/3
gen	protest_demon01	  = 	(	protest_demon14 	  -1)/3
gen	relext_meetings01	  = 	(	relext_meetings14 	  -1)/3
gen	relext_web01	  = 	(	relext_web14	  -1)/3
gen	revpub01	  = 	(	revpub14  	  -1)/3
gen	revspeak01	  = 	(	revspeak14	  -1)/3

label values  protest_meetings14  	protest_demon14 	relext_meetings14 	relext_web14	revpub14  	revspeak14 defshould4
label values  protest_meetings01  	protest_demon01	relext_meetings01	relext_web01	revpub01	revspeak01 defshould1
 
 
 

	 

label variable 		protest_meetings14  	  "Allow public meetings protesting govt"
label variable 		protest_demon14 	  "Allow demonstrations protesting govt"

label variable 		protest_meetings01  	  "Allow public meetings protesting govt"		
label variable 		protest_demon01	  "Allow demonstrations protesting govt"		


egen sup_prot01 = rowmean (protest_meetings01 protest_demon01  )



label variable 		relext_meetings14 	  "Religious extremists should be allowed to hold public meeting to express views"
label variable 		relext_web14	  "Religious extremists should be allowed to publish their views on the internet"
label variable 		revpub14  	  "Allow revolutionaries to publish books"
label variable 		revspeak14	  "Allow revolutionary public meetings"


label variable 		relext_meetings01	  "Religious extremists should be allowed to hold public meeting to express views"		
label variable 		relext_web01	  "Religious extremists should be allowed to publish their views on the internet"		
label variable 		revpub01	  "Allow revolutionaries to publish books"		
label variable 		revspeak01	  "Allow revolutionary public meetings"		

egen poltol_relext_rev01 = rowmean (relext_meetings01 relext_web01 revpub01 revspeak01)

label var poltol_relext_rev01 "Political tolerance for religious extremists and revolutationaries"






*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*
********************************************************************************
*                       *** * Political tolerance ***                               
********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************




* Political tolerance dichotomous 1-2 

recode 	libath_1a 	libath_1b 	libath_2 	libathy_1a 	libathy_1b 	libathy_2 		(1=1) (2=0) (.d = .5) 			
recode 	libcom_1a 	libcom_1b 	libcom_2 	libcomy_1a 	libcomy_1b 	libcomy_2 		(1=1) (2=0) (.d = .5) 			
recode 	libhomo_1a 	libhomo_1b 	libhomo_2 	libhomoy_1a 	libhomoy_1b 	libhomoy_2 		(1=1) (2=0) (.d = .5) 			
recode 	libmil_1a 	libmil_1b 	libmil_2 	libmily_1a 	libmily_1b 	libmily_2 		(1=1) (2=0) (.d = .5) 			
recode 	libmslm_1a 	libmslm_1b 	libmslm_2 	libmslmy_1a 	libmslmy_1b 	libmslmy_2 		(1=1) (2=0) (.d = .5) 			
recode 	librac_1a 	librac_1b 	librac_2 	libracy_1a 	libracy_1b 	libracy_2 		(1=1) (2=0) (.d = .5) 			

recode 	spkcom_1a 	spkcom_1b 	spkcom_2 	spkcomy_1a 	spkcomy_1b 	spkcomy_2 		(1=0) (2=1) (.d = .5) 			
recode 	spkhomo_1a 	spkhomo_1b 	spkhomo_2 	spkhomoy_1a 	spkhomoy_1b 	spkhomoy_2 		(1=0) (2=1) (.d = .5) 			
recode 	spkmil_1a 	spkmil_1b 	spkmil_2 	spkmily_1a 	spkmily_1b 	spkmily_2 		(1=0) (2=1) (.d = .5) 			
recode 	spkrac_1a 	spkrac_1b 	spkrac_2 	spkracy_1a 	spkracy_1b 	spkracy_2 		(1=0) (2=1) (.d = .5) 			
recode 	spkmslm_1a 	spkmslm_1b 	spkmslm_2 	spkmslmy_1a 	spkmslmy_1b 	spkmslmy_2 		(1=0) (2=1) (.d = .5) 			

recode 	spkath_1a 	spkath_1b 	spkath_2 	spkathy_1a 	spkathy_1b 	spkathy_2 		(1=0) (2=1) (.d = .5) 			
											
											
egen  	libath01	  = rowmean (		libath_1a 	libath_1b 	libath_2 	libathy_1a 	libathy_1b 	libathy_2 		)
egen 	libcom01	  = rowmean (		libcom_1a 	libcom_1b 	libcom_2 	libcomy_1a 	libcomy_1b 	libcomy_2 		)
egen  	libhomo01	  = rowmean (		libhomo_1a 	libhomo_1b 	libhomo_2 	libhomoy_1a 	libhomoy_1b 	libhomoy_2 		)
egen 	libmil01	  = rowmean (		libmil_1a 	libmil_1b 	libmil_2 	libmily_1a 	libmily_1b 	libmily_2 		)
egen  	libmus01	  = rowmean (		libmslm_1a 	libmslm_1b 	libmslm_2 	libmslmy_1a 	libmslmy_1b 	libmslmy_2 		)
egen 	librac01	  = rowmean (		librac_1a 	librac_1b 	librac_2 	libracy_1a 	libracy_1b 	libracy_2 		)

								
egen  	spkcom01	  = rowmean (		spkcom_1a 	spkcom_1b 	spkcom_2 	spkcomy_1a 	spkcomy_1b 	spkcomy_2 		)
egen  	spkhomo01	  = rowmean (		spkhomo_1a 	spkhomo_1b 	spkhomo_2 	spkhomoy_1a 	spkhomoy_1b 	spkhomoy_2 		)
egen  	spkmil01	  = rowmean (		spkmil_1a 	spkmil_1b 	spkmil_2 	spkmily_1a 	spkmily_1b 	spkmily_2 		)
egen  	spkrac01	  = rowmean (		spkrac_1a 	spkrac_1b 	spkrac_2 	spkracy_1a 	spkracy_1b 	spkracy_2 		)
egen  	spkmus01	  = rowmean (		spkmslm_1a 	spkmslm_1b 	spkmslm_2 	spkmslmy_1a 	spkmslmy_1b 	spkmslmy_2		)
egen  	spkath01	  = rowmean (		spkath_1a 	spkath_1b 	spkath_2 	spkathy_1a 	spkathy_1b 	spkathy_2 		)

							
											
label values 		libath_1a 	libath_1b 	libath_2 	libathy_1a 	libathy_1b 	libathy_2 	libath01		notremove1
label values 		libcom_1a 	libcom_1b 	libcom_2 	libcomy_1a 	libcomy_1b 	libcomy_2 	libcom01		notremove1
label values 		libhomo_1a 	libhomo_1b 	libhomo_2 	libhomoy_1a 	libhomoy_1b 	libhomoy_2 	libhomo01		notremove1
label values 		libmil_1a 	libmil_1b 	libmil_2 	libmily_1a 	libmily_1b 	libmily_2 	libmil01		notremove1
label values 		libmslm_1a 	libmslm_1b 	libmslm_2 	libmslmy_1a 	libmslmy_1b 	libmslmy_2 	libmus01		notremove1
label values 		librac_1a 	librac_1b 	librac_2 	libracy_1a 	libracy_1b 	libracy_2 	librac01		notremove1

label values 		spkcom_1a 	spkcom_1b 	spkcom_2 	spkcomy_1a 	spkcomy_1b 	spkcomy_2 	spkcom01		allow1
label values 		spkhomo_1a 	spkhomo_1b 	spkhomo_2 	spkhomoy_1a 	spkhomoy_1b 	spkhomoy_2 	spkhomo01		allow1
label values 		spkmil_1a 	spkmil_1b 	spkmil_2 	spkmily_1a 	spkmily_1b 	spkmily_2 	spkmil01		allow1
label values 		spkrac_1a 	spkrac_1b 	spkrac_2 	spkracy_1a 	spkracy_1b 	spkracy_2 	spkrac01		allow1
label values 		spkmslm_1a 	spkmslm_1b 	spkmslm_2 	spkmslmy_1a 	spkmslmy_1b 	spkmslmy_2 	spkmus01		allow1
label values 		spkath_1a 	spkath_1b 	spkath_2 	spkathy_1a 	spkathy_1b 	spkathy_2 	spkath01		allow1
										
										
										
label variable 	libath01	"Political tolerance: allow anti-religious book in library"								
label variable 	libcom01	"Political tolerance: allow communists book in library"								
label variable 	libhomo01	"Political tolerance: allow homosexuals book in library"								
label variable 	libmil01	"Political tolerance: allow militarists book in library"								
label variable 	libmus01	"Political tolerance: allow anti-american muslim clergymen's books in library"								
label variable 	librac01	"Political tolerance: allow racists book in library"								
label variable 	spkath01	"Political tolerance: allow anti-religionist to speak"								
label variable 	spkcom01	"Political tolerance: allow communist to speak"								
label variable 	spkhomo01	"Political tolerance: allow homosexual to speak"								
label variable 	spkmil01	"Political tolerance: allow militarist to speak"								
label variable 	spkrac01	"Political tolerance: allow racist to speak"								
label variable 	spkmus01	"Political tolerance: allow muslim clergymen preaching hatred of the us"		





															
 
recode 	colcomy_1a 	colcomy_1b 	colcomy_2 					(1=0) (2=1) (.d = .5) 			
recode 	colcom_1a colcom_1b colcom_2 							(4=0) (5=1) (.d = .5) 			
egen  	colcom01	  = rowmean (		colcomy_1a 	colcomy_1b 	colcomy_2 	colcom_1a colcom_1b colcom_2 				)
label values 		colcomy_1a 	colcomy_1b 	colcomy_2 	colcom_1a colcom_1b colcom_2 			colcom01		notfired1	
											
label variable 	colcom01	"Political tolerance: communist teacher should NOT be fired"									


recode 	colath_1a	colath_1b	colath_2	(4=1) (5=0) (.d = .5) 
recode 	colhomo_1a	colhomo_1b	colhomo_2	(4=1) (5=0) (.d = .5) 
recode 	colmil_1a	colmil_1b	colmil_2	(4=1) (5=0) (.d = .5) 
recode 	colmslm_1a	colmslm_1b	colmslm_2	(4=1) (5=0) (.d = .5) 
recode 	colrac_1a	colrac_1b	colrac_2	(4=1) (5=0) (.d = .5) 

label values 	colath_1a	colath_1b	colath_2	allow1 
label values 	colhomo_1a	colhomo_1b	colhomo_2	allow1 
label values 	colmil_1a	colmil_1b	colmil_2	allow1 
label values 	colmslm_1a	colmslm_1b	colmslm_2	allow1 
label values 	colrac_1a	colrac_1b	colrac_2	allow1 

egen  	colath01	  = rowmean (		colath_1a	colath_1b	colath_2	)
egen 	colgay01	  = rowmean (		colhomo_1a	colhomo_1b	colhomo_2	)
egen  	colmil01	  = rowmean (		colmil_1a	colmil_1b	colmil_2	)
egen 	colmus01	  = rowmean (		colmslm_1a	colmslm_1b	colmslm_2	)
egen  	colrac01	  = rowmean (		colrac_1a	colrac_1b	colrac_2	)

label values 	colath01			allow1 
label values 	colgay01			allow1 
label values 	colmil01			allow1 
label values 	colmus01			allow1 
label values 	colrac01			allow1 

label variable 	colath01	"Allow anti-religionist to teach"
label variable 	colgay01	"Not allow communist teacher be fired"
label variable 	colmil01	"Allow gay person to teach"
label variable 	colmus01	"Allow militarist to teach"
label variable 	colrac01	"Allow anti-american muslim clergymen teaching in college"









*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*
********************************************************************************
*       *** * Racial tolerance and general attitudes related to xenophobia ***                               
********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************





* Opposing marrying people because of their race or ethnicity 


recode marasian_1a marasian_1b marasian_2  (.d = 3)
egen opp_marasian15 = rowmean (marasian_1a marasian_1b marasian_2)
gen opp_marasian01 = (opp_marasian15-1)/4

recode marblk_1a marblk_1b  marblk_2 (.d = 3)
egen opp_marblack15 = rowmean (marblk_1a marblk_1b  marblk_2)
gen opp_marblack01 = (opp_marblack15-1)/4


recode marhisp_1a marhisp_1b marhisp_2 (.d = 3)
egen opp_marhisp15 = rowmean (marhisp_1a marhisp_1b marhisp_2)
gen opp_marhisp01 = (opp_marhisp15-1)/4



recode marwht_1a marwht_1b marwht_2  (.d = 3)
egen opp_marwhite15 = rowmean (marwht_1a marwht_1b marwht_2 )
gen opp_marwhite01 = (opp_marwhite15-1)/4


label values opp_marhisp01 opp_marblack01 opp_marasian01 opp_marwhite01 oppose1


label var opp_marhisp01 "Oppose relative marrying someone of Hispanic descent"
label var opp_marasian01 "Oppose relative marrying someone of Asian descent"
label var opp_marblack01 "Oppose relative marrying a Black person"
label var opp_marwhite01 "Oppose marrying someone white"


pwcorr opp_marhisp01 opp_marblack01 opp_marasian01 opp_marwhite01

* Note that opposing marrying a white person ispositively correlated with the others 



* Support for immigration 

recode aprvdaca_2 (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 ) (.d = 4)
gen daca01 = (aprvdaca_2-1)/6

recode letin1a_1a letin1a_1b letin1a_2 (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen sup_imm15 = rowmean (letin1a_1a letin1a_1b letin1a_2 ) 
gen sup_imm01 = (sup_imm15-1)/4

egen sup_imm_gen01 = rowmean (sup_imm01  daca01)
label var sup_imm_gen01 "General immigation support"


tab aprvdaca_2 letin1a_2 


gen open_not_rights = daca01 - sup_imm01



* This is a weird variable 

recode liveblks_1a liveblks_1b liveblks_2 (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen live_blacks15 = rowmean (liveblks_1a liveblks_1b liveblks_2 )
gen live_blacks01 = (live_blacks15-1)/4
label var live_blacks01 "Favor living in a neighborhood that is half black"



* Racial resentment 

recode wrkwayup_1a wrkwayup_1b wrkwayup_2 (1=5) (2=4) (3=3) (4=2) (5=1) (.d = 3)
egen work_way_blacks15 = rowmean (wrkwayup_1a wrkwayup_1b wrkwayup_2 )
gen work_way_blacks01 = (work_way_blacks15-1)/4
label var work_way_blacks01 "Blacks should overcome prejudice without favors"
						
						
						

	
	
	
	
* Symbolic racism  
						
label define unintelligent7	1 "Intelligent" 7 "Not intelligent"					
label define unintelligent01	0 "Intelligent" 1 "Not intelligent"					
						

recode intlblks_1a intlblks_1b intlblks_2 intlhsps_1b (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 ) (.d = 4)
egen poc_not_int17 = rowmean (intlblks_1a intlblks_1b intlblks_2 intlhsps_1b )
gen poc_not_int01 = (poc_not_int17-1)/6
label var poc_not_int01 "Perception that people of color are NOT intelligent"

recode intlwhts_1a intlwhts_1b intlwhts_2  (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 ) (.d = 4)
egen whites_not_int17 = rowmean (intlwhts_1a intlwhts_1b intlwhts_2 )
gen whites_not_int01 = (whites_not_int17-1)/6
label var whites_not_int01 "Perception that white people are NOT intelligent"

label values intlblks_1a intlblks_1b intlblks_2 intlhsps_1b poc_not_int17 whites_not_int17 /// 
	intlwhts_1a intlwhts_1b intlwhts_2 unintelligent7

	


label values  poc_not_int01 whites_not_int01 unintelligent01

* sum intlblks_1a marhisp_1a
*NOte intlblks_1a shoudl be different ; marhisp_1a should be the same 


label define notclose9 9 "Not at all close" 5 "Neither one or the other"  1 "Very close"
label define notclose01 1 "Not at all close" 0 "Very close"

* Feeloing close to people based on their race 


recode closeblk_1a  (.d =5)   (1=9) (2=8) (3=7) (4=6) (5=5) (6=4) (7=3) (8=2) (9=1)
recode closewht_1a  (.d =5)   (1=9) (2=8) (3=7) (4=6) (5=5) (6=4) (7=3) (8=2) (9=1)

label values closeblk_1a closewht_1a notclose9





gen not_close_white01 = (closewht_1a-1)/8
gen not_close_black01 = (closeblk_1a-1)/8
label var not_close_white01 "Feeling not close to white people"
label var not_close_black01 "Feeling not close to black people"


* pwcorr work_way_blacks01	live_blacks01	poc_int01	poc_not_int01 whites_not_int01 	not_close_white01	not_close_black01



* Traditional racism 

* pwcorr poc_not_int01 whites_not_int01 not_close_black01 not_close_white01

	
recode wlthwhts_1b wlthwhts_2   (.d = 4)
egen whites_poor17 = rowmean (wlthwhts_1b wlthwhts_2 )
gen whites_poor01 = (whites_poor17-1)/6
label var whites_poor01 "Perception that white people are poor"


recode wlthblks_1a wlthblks_1b wlthblks_2  wlthhsps_1b wlthhsps_1a  (7=1) (6=2) (5=3) (4=4)  (3=5)  (2=6)  (1=7 ) (.d = 4)   
egen poc_poor17 = rowmean (wlthblks_1a wlthblks_1b wlthblks_2  wlthhsps_1b wlthhsps_1a )
gen poc_poor01 = (poc_poor17-1)/6
label var poc_poor1 "Perception that people of color are poor"




recode workwhts_1b workwhts_2  (.d = 4) 
egen whites_lazy17 = rowmean (workwhts_1b workwhts_2 )
gen whites_lazy01 = (whites_lazy17-1)/6
label var whites_lazy01 "Perception that white people are lazy"


recode workblks_1a workblks_1b workblks_2  workhsps_1b workhsps_1a    (.d = 4)   
egen poc_lazy15 = rowmean (workblks_1a workblks_1b workblks_2  workhsps_1b workhsps_1a )
gen poc_lazy01 = (poc_lazy15-1)/6
label var poc_lazy01 "Perception that people of are color are lazy"

							
corr valsci_better01 valsci_life01 valsci_morals01 valsci_opp01
alpha  valsci_better01 valsci_life01  valsci_opp01, item 





* racethas_1a	points assigned to asian american		None		959	0	10
* racethbl_1a	points assigned to black/african american		None		959	0	10
* racethhi_1a	points assigned to hispanic/latino		None		959	0	10
* racethna_1a	points assigned to native american/american indian		None		959	0	10
* racethot_1a	points assigned to other		None		959	0	10
* racethwh_1a	points assigned to white		None		961	0	10



* Affirmative action 
recode 	affrmact_1a	affrmact_1b	affrmact_2	(1=4) (2=3) (3=2) (4=1) (.d = 2.5) 

label values 	affrmact_1a	affrmact_1b	affrmact_2	fav_opp4 

egen  	affact_race14	  = rowmean (		affrmact_1a	affrmact_1b	affrmact_2	)
gen affact_race01 =  (affact_race14-1)/3

label values 	affact_race14			fav_opp4 
label values 	affact_race01			favor1 


label variable 	affact_race14	"Support for affirmative action"
label variable 	affact_race01	"Support for affirmative action"


* Housing discrimination  
recode 	racopen_1a	racopen_1b	racopen_2	racopeny_2 (1=0) (2=1) (3=.5)  (.d = .5) 


egen  	housing_race01	  = rowmean (		racopen_1a	racopen_1b	racopen_2 racopeny_2	)
label values racopeny_2	racopen_1a	racopen_1b	racopen_2 housing_race01	favor1 




label variable 	racopen_1a	"Would vote for law prohibiting racial housing discrimination"
label variable 	racopen_1b	"Would vote for law prohibiting racial housing discrimination"
label variable 	racopen_2	"Would vote for law prohibiting racial housing discrimination"

label variable 	housing_race01	"Would vote for law prohibiting racial housing discrimination"



 








* Perception of reasons there are racial differences 



										
										
recode 	racdif3_1a 	racdif3_1b 	racdif3_2 						(1=0) (2=1) (.d = .5) 	
egen racdif_educ01	= rowmean (		racdif3_1a 	racdif3_1b 	racdif3_2 					)
label values racdif3_1a 	racdif3_1b 	racdif3_2  racdif_educ01 no1

recode 	racdif1_1a 	racdif1_1b 	racdif1_2 						(1=0) (2=1) (.d = .5) 		
egen racdif_disc01	= rowmean (		racdif1_1a 	racdif1_1b 	racdif1_2 					)
label values racdif1_1a 	racdif1_1b 	racdif1_2  racdif_disc01 no1
										
recode 	racdif2_1a 	racdif2_1b 	racdif2_2 					(1=1) (2=0) (.d = .5) 		
egen 	racdif_born01 = rowmean (		racdif2_1a 	racdif2_1b 	racdif2_2 					)
label values racdif2_1a 	racdif2_1b 	racdif2_2  racdif_born01 yes1


recode 	racdif4_1a 	racdif4_1b 	racdif4_2 					(1=1) (2=0) (.d = .5) 		
egen 	racdif_will01 = rowmean (		racdif4_1a 	racdif4_1b 	racdif4_2 					)
label values racdif4_1a 	racdif4_1b 	racdif4_2  racdif_will01 yes1
 



label variable  racdif_educ01 "Belief that racial differences due to lack of education - racdif3"
label variable racdif_disc01  "Belief that racial differences due to discrimination - racdif1"

label variable racdif_born01 "Belief that racial differences due to in-born learning ability - racdif2"
label variable racdif_will01 "Belief that racial differences due to lack of will - racdif4"




* How much racial integration in neighborhood and at work 

recode raclive_1a 	raclive_1b 	raclive_2 					(1=1) (2=0) (.d = .5) 		
recode racwork_1a 	racwork_1b 	racwork_2 					 (.d = 3) 		
egen racwork15 = rowmean (racwork_1a 	racwork_1b 	racwork_2  )
gen racwork01 = (racwork15-1)/4



egen raclive01	= rowmean (		raclive_1a 	raclive_1b 	raclive_2 					)
label values raclive_1a 	raclive_1b 	raclive_2  raclive01 yes1
	
label variable raclive01 "Are there any opp. race in neighborhood"
egen racdiv01 = rowmean (racwork01 raclive01 )
label variable racdiv01 "Racial diversity exposure"







*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*
********************************************************************************
*   *** * Criminal justice attitudes: punitiveness, police, law and order ***                               
********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************









 


 
 * Gun laws and weed law 
 
 
recode 	gunlaw_1a 	gunlaw_1b 	gunlaw_2 	(1=1) (2=0) (.d = .5) 	
egen  	gunlaw01	  = rowmean (		gunlaw_1a 	gunlaw_1b 	gunlaw_2 					)
label values 		gunlaw_1a 	gunlaw_1b 	gunlaw_2  gunlaw01	favor1  
label variable 		gunlaw01		"Support gun control: requirement to obtain a police permit before buying gun"				

 
 
label define legal1 0 "Not legal" 1 "Legal"

recode 	grass_1a 	grass_1b 	grass_2 	(1=1) (2=0) (.d = .5) 	
egen  	grass01	  = rowmean (		grass_1a 	grass_1b 	grass_2 					)
label values 		grass_1a 	grass_1b 	grass_2  grass01	legal1  
label variable 		grass01		"Support cannabis legalization"				

			
		



* Support for the police 


* Support for police violence (is it ok for a police officer to strike a citizen?)

recode 				polmurdr_1a 	polmurdr_1b 	polmurdr_2 	(1=1) (2=0) (.d = .5)
					
recode 				polescap_1a 	polescap_1b 	polescap_2 	(1=1) (2=0) (.d = .5)
				
recode 				polabuse_1a 	polabuse_1b 	polabuse_2 	polabusey_1a 	 /// 
						polabusey_1b 	polabusey_2 	(1=1) (2=0) (.d = .5) 	

recode 				polhitok_1a 	polhitok_1b 	polhitok_2 	polhitoky_1a ///
					polhitoky_1b 	polhitoky_2 	(1=1) (2=0) (.d = .5) 	

recode 				polattak_1a 	polattak_1b 	polattak_2 	polattaky_1a ///
					polattaky_1b 	polattaky_2 	(1=1) (2=0) (.d = .5)
	
		
egen polm = rowmean	(polmurdr_1a 	polmurdr_1b 	polmurdr_2 	)
egen pole = rowmean	(polescap_1a 	polescap_1b 	polescap_2 	)
egen pola = rowmean (polabuse_1a 	polabuse_1b 	polabuse_2 )
egen poly = rowmean ( polabusey_1a polabusey_1b polabusey_2)

egen polok = rowmean (polhitok_1a 	polhitok_1b 	polhitok_2)
egen poloky = rowmean (polhitoky_1a polhitoky_1b 	polhitoky_2 )
egen polat = rowmean (polattak_1a 	polattak_1b 	polattak_2 )
egen polaty = rowmean (polattaky_1a polattaky_1b 	polattaky_2 )
				
egen 			polabuse01 	  = rowmean (	polabuse_1a 	polabuse_1b 	polabuse_2 	polabusey_1a ///
											polabusey_1b 	polabusey_2 	)
egen  			polhitok01	  = rowmean (	polhitok_1a 	polhitok_1b 	polhitok_2 	polhitoky_1a ///
											polhitoky_1b 	polhitoky_2 	)
egen 			polattak01	  = rowmean (	polattak_1a 	polattak_1b 	polattak_2 	polattaky_1a 	///
											polattaky_1b 	polattaky_2 	)
egen 			polmurd01	  = rowmean (	polmurdr_1a 	polmurdr_1b 	polmurdr_2 	)
egen 			polescap01	  = rowmean (	polescap_1a 	polescap_1b 	polescap_2 	)

 
label values 	polabuse_1a 	polabuse_1b 	polabuse_2 	polabusey_1a polabusey_1b 	polabusey_2 	yes1 	
label values 	polhitok_1a 	polhitok_1b 	polhitok_2 	polhitoky_1a ///
				polhitoky_1b 	polhitoky_2 	yes1 	
label values 	polattak_1a 	polattak_1b 	polattak_2 	polattaky_1a ///
				polattaky_1b 	polattaky_2 	yes1
label values 		polmurdr_1a 	polmurdr_1b 	polmurdr_2 	yes1 	
label values 		polescap_1a 	polescap_1b 	polescap_2 	yes1 	
				
label values 	polabuse01 	polhitok01	polattak01	polmurd01 polescap01	yes1 	

label variable 	polabuse01 		"Support for police hitting if citizen said vulgar or obscene things"	
label variable 	polhitok01		"Support for police hitting a citizen - ever"	
label variable 	polattak01		"Support for police hitting if citizen attacking policeman with fists"	
label variable 	polmurd01		"Support for police hitting a murder suspect"	
label variable 	polescap01		"Support for police hitting if citizen trying to escape"	
 
 
 



* Perception of police fairness, but high values (there are only a few) means that police treat poc better than whites 
		
recode poltrthsp_2 poltrtblk_2	(.d = 4)
egen pol_fair_poc7 = rowmean ( poltrthsp_2 poltrtblk_2)
gen pol_fair_poc01 = (pol_fair_poc7-1)/6
label var pol_fair_poc7 "Police treat people of color fairly"
label var pol_fair_poc01 "Police treat people of color fairly"


label define pol_fair_poc7 1 "Treat whites much better than people of color" 7 "Treat people of color better than whites"
label define pol_fair_poc01 0 "Treat whites much better than people of color" 1 "Treat people of color better than whites"
label values pol_fair_poc7 pol_fair_poc7
label values pol_fair_poc01 pol_fair_poc01





* Oppose defunding the police 
* see spend_police01

				
recode defund_2  (1=0) (2=1) (.d = .5) 
gen not_defund01 = defund_2  
label values 		not_defund01	oppose1  
label variable 		not_defund01		"Oppose defunding police to support social services"				



* What is most important? Reducing bias, let a guilty person go free 




clonevar 	reduce_bias01 = 				strvbias_2 
tab reduce_bias01

corr not_defund01 	reduce_bias01



label define verdict 0 "Convict an innocent person" 1 "Let a guilty person go free"

recode verdict_1a verdict_1b verdict_2  (1=0) (2=1)  (.d = .5) 
egen  	pun_guilty_free01	  = rowmean (		verdict_1a verdict_1b verdict_2 					)
label values 		verdict_1a verdict_1b verdict_2  pun_guilty_free01	favor1  
label variable 		pun_guilty_free01		"Worst judicial mistake: let a guilty person go free (verdict)"				




label define  reduce_bias01 0 "Strengthening law and order" 1 "Reducing bias against minorities"
label values reduce_bias01 reduce_bias01
tab reduce_bias01			
				
recode cappun_1a cappun_1b cappun_2  (1=1) (2=0)  (.d = .5) 
egen  	cappun01	  = rowmean (		cappun_1a cappun_1b cappun_2 					)
label values 		cappun_1a cappun_1b cappun_2  cappun01	favor1  
label variable 		cappun01		"Favor capital punishment"				
				
				
				
label define obeylaw1 0 "Obey conscience" 1 "Obey law"
					
recode 	obeylaw_1a obeylaw_1b obeylaw_2 	(1=1) (2=0) (.d = .5) 	
egen  	obeylaw01	  = rowmean (		obeylaw_1a obeylaw_1b obeylaw_2 					)
label values 		obeylaw_1a obeylaw_1b obeylaw_2  obeylaw01	obeylaw1 
label variable 		obeylaw01		"Obey law not conscience"				
				

label define expwar1 0 "No war" 1 "Expect war"
					
					
recode 	uswar_1a 	uswary_1a 	uswary_1b 	uswary_2 	(1=1) (2=0) (.d = .5) 	
egen  	uswar01	  = rowmean (		uswar_1a 	uswary_1a 	uswary_1b 	uswary_2 					)
label values 		uswar_1a 	uswary_1a 	uswary_1b 	uswary_2  uswar01	expwar1 
label variable 		uswar01		"Expect US war in 10 years"				
					
					








*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*
********************************************************************************
*   *** * 					Curiosity about issues  ***                               
********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************




label define veryinterested13 1 "Not at all interested" 2 "Somewhat interested" 3 "Very interested"
label define veryinterested01 0 "Not at all interested" 1 "Very interested"

recode intecon_1a intecon_1b (1=3) (2=2) (3=1) (.d = 1)
egen intecon13 =  rowmean (intecon_1a intecon_1b )
gen intecon01 =  (intecon13-1)/2 
label values intecon13 veryinterested13
label values intecon01 veryinterested01



recode inteduc_1a inteduc_1b (1=3) (2=2) (3=1) (.d = 1)
egen inteduc13 =  rowmean (inteduc_1a inteduc_1b )
gen inteduc01 =  (inteduc13-1)/2 
label values inteduc13 veryinterested13
label values inteduc01 veryinterested01

recode intenvir_1a intenvir_1b (1=3) (2=2) (3=1) (.d = 1)
egen intenv13 =  rowmean (intenvir_1a intenvir_1b )
gen intenv01 =  (intenv13-1)/2 
label values intenv13 veryinterested13
label values intenv01 veryinterested01

recode intfarm_1a intfarm_1b (1=3) (2=2) (3=1) (.d = 1)
egen intfarm13 =  rowmean (intfarm_1a intfarm_1b )
gen intfarm01 =  (intfarm13-1)/2 
label values intfarm13 veryinterested13
label values intfarm01 veryinterested01



recode intintl_1a  intintl_1b (1=3) (2=2) (3=1) (.d = 1)
egen intfor13 =  rowmean (intintl_1a  intintl_1b )
gen intfor01 =  (intfor13-1)/2 
label values intfor13 veryinterested13
label values intfor01 veryinterested01

recode intmed_1a intmed_1b (1=3) (2=2) (3=1) (.d = 1)
egen intmed13 =  rowmean (intmed_1a intmed_1b )
gen intmed01 =  (intmed13-1)/2 
label values intmed13 veryinterested13
label values intmed01 veryinterested01

recode intmil_1a intmil_1b (1=3) (2=2) (3=1) (.d = 1)
egen intmil13 =  rowmean (intmil_1a intmil_1b )
gen intmil01 =  (intmil13-1)/2 
label values intmil13 veryinterested13
label values intmil01 veryinterested01

recode intsci_1a intsci_1b (1=3) (2=2) (3=1) (.d = 1)
egen intsci13 =  rowmean (intsci_1a intsci_1b )
gen intsci01 =  (intsci13-1)/2 
label values intsci13 veryinterested13
label values intsci01 veryinterested01

recode intspace_1a intspace_1b (1=3) (2=2) (3=1) (.d = 1)
egen intspace13 =  rowmean (intspace_1a intspace_1b )
gen intspace01 =  (intspace13-1)/2 
label values intspace13 veryinterested13
label values intspace01 veryinterested01

recode inttech_1a inttech_1b (1=3) (2=2) (3=1) (.d = 1)
egen inttech13 =  rowmean (inttech_1a inttech_1b )
gen inttech01 =  (inttech13-1)/2 
label values inttech13 veryinterested13
label values inttech01 veryinterested01



label var intecon13	"Interested in economic issues"	
label var inteduc13	"Interested in local school issues"	
label var intenv13		"Interested in environmental issues"	
label var intfarm13		"Interested in farm issues"	
label var intfor13		"Interested in international issues"	
label var intmed13		"Interested in medical discoveries"	
label var intmil13		"Interested in military policy"	
label var intsci13		"Interested in new scientific discoveries"	
label var intspace13		"Interested in space exploration"		
label var inttech13		"Interested in technologies"	

label var intecon01	"Interested in economic issues"	
label var inteduc01	"Interested in local school issues"	
label var intenv01		"Interested in environmental issues"	
label var intfarm01		"Interested in farm issues"	
label var intfor01		"Interested in international issues"	
label var intmed01		"Interested in medical discoveries"	
label var intmil01		"Interested in military policy"	
label var intsci01		"Interested in new scientific discoveries"	
label var intspace01		"Interested in space exploration"		
label var inttech01		"Interested in technologies"	



egen curiosity01 = rowmean (intecon01 inteduc01 intenv01 intfarm01 intfor01 intmed01 intmil01 intsci01 intspace01 inttech01 polint01)


*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*
********************************************************************************
*   *** * 	Support for spending more on...  ***                               
********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************

recode nataid_1a nataid_1b nataid_2 nataidy_1a nataidy_1b nataidy_2 /// 
natarms_1a natarms_1b natarms_2 natarmsy_1a natarmsy_1b natarmsy_2 /// 
natchld_1a natchld_1b natchld_2  /// 
natcity_1a natcity_1b natcity_2 natcityy_1a natcityy_1b natcityy_2 /// 
natcrime_1a natcrime_1b natcrime_2 natcrimy_1a natcrimy_1b natcrimy_2 /// 
natdrug_1a natdrug_1b natdrug_2 natdrugy_1a natdrugy_1b natdrugy_2 /// 
nateduc_1a nateduc_1b nateduc_2 nateducy_1a nateducy_1b nateducy_2 /// 
natenrgy_1a natenrgy_1b natenrgy_2  /// 
natenvir_1a natenvir_1b natenvir_2 natenviy_1a natenviy_1b natenviy_2 /// 
natfare_1a natfare_1b natfare_2 natfarey_1a natfarey_1b natfarey_2 /// 
natheal_1a natheal_1b natheal_2 nathealy_1a nathealy_1b nathealy_2 /// 
natmass_1a natmass_1b natmass_2  /// 
natpark_1a natpark_1b natpark_2  /// 
natrace_1a natrace_1b natrace_2 natracey_1a natracey_1b natracey_2 /// 
natroad_1a natroad_1b natroad_2  /// 
natsci_1a natsci_1b natsci_2  /// 
natsoc_1a natsoc_1b natsoc_2  /// 
natspac_1a natspac_1b natspac_2 natspacy_1a natspacy_1b natspacy_2  (3=1) (2 .d = 2) (1=3) 



label define notenough3 3 "Too little" 2  "About right"  1 "Too much" 
label define notenough01 1 "Too little"   0 "Too much" 


egen nataid13 = rowmean (nataid_1a nataid_1b nataid_2 nataidy_1a nataidy_1b nataidy_2)
gen nataid01 =  (nataid13-1)/2 
label values nataid13 notenough3
label values nataid01 notenough01
label var nataid01	"Too little funding for foreign aid"
label var nataid13	"Too little funding for foreign aid"
tab nataid13
tab nataid01 




* See spend_arms01  

egen natarms13 = rowmean (natarms_1a natarms_1b natarms_2 natarmsy_1a natarmsy_1b natarmsy_2)
gen natarms01 =  (natarms13-1)/2 
label values natarms13 notenough3
label values natarms01 notenough01
label var natarms01	"Too little funding for the military"
label var natarms13	"Too little funding for the military"
tab natarms13
tab natarms01 

egen natcity13 = rowmean (natcity_1a natcity_1b natcity_2 natcityy_1a natcityy_1b natcityy_2)
gen natcity01 =  (natcity13-1)/2 
label values natcity13 notenough3
label values natcity01 notenough01
label var natcity01	"Too little funding for cities"
label var natcity13	"Too little funding for cities"
tab natcity13
tab natcity01 

* see defund01 spend_police01 

egen natcrime13 = rowmean (natcrime_1a natcrime_1b natcrime_2 natcrimy_1a natcrimy_1b natcrimy_2)
gen natcrime01 =  (natcrime13-1)/2 
label values natcrime13 notenough3
label values natcrime01 notenough01
label var natcrime01	"Too little funding for crime"
label var natcrime13	"Too little funding for crime"
tab natcrime13
tab natcrime01 

egen natdrug13 = rowmean (natdrug_1a natdrug_1b natdrug_2 natdrugy_1a natdrugy_1b natdrugy_2)
gen natdrug01 =  (natdrug13-1)/2 
label values natdrug13 notenough3
label values natdrug01 notenough01
label var natdrug01	"Too little funding for solving the drug problem"
label var natdrug13	"Too little funding for solving the drug problem"
tab natdrug13
tab natdrug01 

* see spend_school01
egen nateduc13 = rowmean (nateduc_1a nateduc_1b nateduc_2 nateducy_1a nateducy_1b nateducy_2)
gen nateduc01 =  (nateduc13-1)/2 
label values nateduc13 notenough3
label values nateduc01 notenough01
label var nateduc01	"Too little funding for education"
label var nateduc13	"Too little funding for education"
tab nateduc13
tab nateduc01 



 
* see  spend_env01
egen natenvir13 = rowmean (natenvir_1a natenvir_1b natenvir_2 natenviy_1a natenviy_1b natenviy_2)
gen natenvir01 =  (natenvir13-1)/2 
label values natenvir13 notenough3
label values natenvir01 notenough01
label var natenvir01	"Too little funding for the environment"
label var natenvir13	"Too little funding for the environment"
tab natenvir13
tab natenvir01 

egen natfare13 = rowmean (natfare_1a natfare_1b natfare_2 natfarey_1a natfarey_1b natfarey_2)
gen natfare01 =  (natfare13-1)/2 
label values natfare13 notenough3
label values natfare01 notenough01
label var natfare01	"Too little funding for welfare"
label var natfare13	"Too little funding for welfare"
tab natfare13
tab natfare01 



* See spend_health01 
egen natheal13 = rowmean (natheal_1a natheal_1b natheal_2 nathealy_1a nathealy_1b nathealy_2)
gen natheal01 =  (natheal13-1)/2 
label values natheal13 notenough3
label values natheal01 notenough01
label var natheal01	"Too little funding for health care"
label var natheal13	"Too little funding for health care"
tab natheal13
tab natheal01 

egen natrace13 = rowmean (natrace_1a natrace_1b natrace_2 natracey_1a natracey_1b natracey_2)
gen natrace01 =  (natrace13-1)/2 
label values natrace13 notenough3
label values natrace01 notenough01
label var natrace01	"Too little funding for helping black people"
label var natrace13	"Too little funding for people black people"
tab natrace13
tab natrace01 


egen natspac13 = rowmean (natspac_1a natspac_1b natspac_2 natspacy_1a natspacy_1b natspacy_2)
gen natspac01 =  (natspac13-1)/2 
label values natspac13 notenough3
label values natspac01 notenough01
label var natspac01	"Too little funding for space"
label var natspac13	"Too little funding for space"
tab natspac13
tab natspac01 









egen natenrgy13 = rowmean (natenrgy_1a natenrgy_1b natenrgy_2 )
gen natenrgy01 =  (natenrgy13-1)/2 
label values natenrgy13 notenough3
label values natenrgy01 notenough01
label var natenrgy01	"Too little funding for energy"
label var natenrgy13	"Too little funding for energy"
tab natenrgy13
tab natenrgy01 




egen natchld13 = rowmean (natchld_1a natchld_1b natchld_2 )
gen natchld01 =  (natchld13-1)/2 
label values natchld13 notenough3
label values natchld01 notenough01
label var natchld01	"Too little funding for children"
label var natchld13	"Too little funding for children"
tab natchld13
tab natchld01 




egen natmass13 = rowmean (natmass_1a natmass_1b natmass_2 )
gen natmass01 =  (natmass13-1)/2 
label values natmass13 notenough3
label values natmass01 notenough01
label var natmass01	"Too little funding for mass transit"
label var natmass13	"Too little funding for mass transit"
tab natmass13
tab natmass01 







egen natpark13 = rowmean (natpark_1a natpark_1b natpark_2 )
gen natpark01 =  (natpark13-1)/2 
label values natpark13 notenough3
label values natpark01 notenough01
label var natpark01	"Too little funding for parks and recreation"
label var natpark13	"Too little funding for parks and recreation"
tab natpark13
tab natpark01 





egen natroad13 = rowmean (natroad_1a natroad_1b natroad_2 )
gen natroad01 =  (natroad13-1)/2 
label values natroad13 notenough3
label values natroad01 notenough01
label var natroad01	"Too little funding for roads"
label var natroad13	"Too little funding for roads"
tab natroad13
tab natroad01 


* see spend_retire01 
egen natsoc13 = rowmean (natsoc_1a natsoc_1b natsoc_2 )
gen natsoc01 =  (natsoc13-1)/2 
label values natsoc13 notenough3
label values natsoc01 notenough01
label var natsoc01	"Too little funding for social security"
label var natsoc13	"Too little funding for social security"
tab natsoc13
tab natsoc01 



egen natsci13 = rowmean (natsci_1a natsci_1b natsci_2 )
gen natsci01 =  (natsci13-1)/2 
label values natsci13 notenough3
label values natsci01 notenough01
label var natsci01	"Too little funding for science"
label var natsci13	"Too little funding for science"
tab natsci13
tab natsci01 



label define spendmore5 5 "Spend much more"  4 "Spend more" 3 "Spend same" 2 "Spend less" 1 "Spend much less"
label define spendmore01 1 "Spend much more"  0 "Spend much less"


recode sparms_1a sparts_1a spenviro_1a sphlth_1a sppolice_1a spretire_1a spschool_1a spunemp_1a (5=1) (4=2) (3 .d = 3) (2=4) (1=5)

gen 	 spend_arms01	 = ( 	sparms_1a	 -1)/4 
gen 	 spend_arts01	 = ( 	sparts_1a	 -1)/4 
gen 	 spend_env01	 = ( 	spenviro_1a	 -1)/4 
gen 	 spend_health01	 = ( 	sphlth_1a	 -1)/4 
gen 	 spend_police01	 = ( 	sppolice_1a	 -1)/4 
gen 	 spend_retire01	 = ( 	spretire_1a	 -1)/4 
gen 	 spend_school01	 = ( 	spschool_1a	 -1)/4 
gen 	 spend_unemp01	 = ( 	spunemp_1a	 -1)/4 

label values spend_arms01  /// 
 spend_arts01  /// 
 spend_env01  /// 
 spend_health01  /// 
 spend_police01  /// 
 spend_retire01  /// 
 spend_school01  /// 
 spend_unemp01  spendmore01 

label values sparms_1a  /// 
sparts_1a  /// 
spenviro_1a  /// 
sphlth_1a  /// 
sppolice_1a  /// 
spretire_1a  /// 
spschool_1a  /// 
spunemp_1a  spendmore5

label var  sparms_1a	"Spend much more on defense"
label var  sparts_1a	"Spend much more on culture and the arts"
label var  spenviro_1a	"Spend much more on environment"
label var  sphlth_1a	"Spend much more on health"


label var  sppolice_1a	"Spend much more on law enforcement"
label var  spretire_1a	"Spend much more on retirement benefits"
label var  spschool_1a	"Spend much more on education"
label var  spunemp_1a	"Spend much more on unemployment benefits"

label var  spend_arms01	"Spend much more on defense"
label var  spend_arts01	"Spend much more on culture and the arts"
label var  spend_env01	"Spend much more on environment"
label var  spend_health01	"Spend much more on health"


label var  spend_police01	"Spend much more on law enforcement"
label var  spend_retire01	"Spend much more on retirement benefits"
label var  spend_school01	"Spend much more on education"
label var  spend_unemp01	"Spend much more on unemployment benefits"







*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*
********************************************************************************
*   *** * 	Confidence in institutions ...  ***                               
********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************
*********************************************************************************












label define conf13 3 "A great deal" 2 "Only some" 1 "Hardly any"
label define conf01 1 "A great deal" 0 "Hardly any"

recode conarmy_1a conarmy_1b conarmy_2 (3=1) (2=2) (.d=2)  (1=3)
egen conarmy13 = rowmean (conarmy_1a conarmy_1b conarmy_2 )
gen conarmy01 =  (conarmy13-1)/2 
label values conarmy13 conf13
label values conarmy01 conf01
label var conarmy01	"Confidence in the military"
label var conarmy13	"Confidence in the military"
tab conarmy13
tab conarmy01 






recode conbus_1a conbus_1b conbus_2 (3=1) (2=2) (.d=2)  (1=3)
egen conbus13 = rowmean (conbus_1a conbus_1b conbus_2 )
gen conbus01 =  (conbus13-1)/2 
label values conbus13 conf13
label values conbus01 conf01
label var conbus01	"Confidence in business"
label var conbus13	"Confidence in business"
tab conbus13
tab conbus01 

recode conclerg_1a conclerg_1b conclerg_2 (3=1) (2=2) (.d=2)  (1=3)
egen conclerg13 = rowmean (conclerg_1a conclerg_1b conclerg_2 )
gen conclerg01 =  (conclerg13-1)/2 
label values conclerg13 conf13
label values conclerg01 conf01
label var conclerg01	"Confidence in clergy"
label var conclerg13	"Confidence in clergy"
tab conclerg13
tab conclerg01 

recode coneduc_1a coneduc_1b coneduc_2 (3=1) (2=2) (.d=2)  (1=3)
egen coneduc13 = rowmean (coneduc_1a coneduc_1b coneduc_2 )
gen coneduc01 =  (coneduc13-1)/2 
label values coneduc13 conf13
label values coneduc01 conf01
label var coneduc01	"Confidence in education"
label var coneduc13	"Confidence in education"
tab coneduc13
tab coneduc01 
	





recode confed_1a confed_1b confed_2 (3=1) (2=2) (.d=2)  (1=3)
egen confed13 = rowmean (confed_1a confed_1b confed_2 )
gen confed01 =  (confed13-1)/2 
label values confed13 conf13
label values confed01 conf01
label var confed01	"Confidence in the federal government"
label var confed13	"Confidence in the federal government"
tab confed13
tab confed01 

recode confinan_1a confinan_1b confinan_2 (3=1) (2=2) (.d=2)  (1=3)
egen confinan13 = rowmean (confinan_1a confinan_1b confinan_2 )
gen confinan01 =  (confinan13-1)/2 
label values confinan13 conf13
label values confinan01 conf01
label var confinan01	"Confidence in banks"
label var confinan13	"Confidence in banks"
tab confinan13
tab confinan01 

recode conjudge_1a conjudge_1b conjudge_2 (3=1) (2=2) (.d=2)  (1=3)
egen conjudge13 = rowmean (conjudge_1a conjudge_1b conjudge_2 )
gen conjudge01 =  (conjudge13-1)/2 
label values conjudge13 conf13
label values conjudge01 conf01
label var conjudge01	"Confidence in the judiciary"
label var conjudge13	"Confidence in the judiciary"
tab conjudge13
tab conjudge01 





recode conlabor_1a conlabor_1b conlabor_2 (3=1) (2=2) (.d=2)  (1=3)
egen conlabor13 = rowmean (conlabor_1a conlabor_1b conlabor_2 )
gen conlabor01 =  (conlabor13-1)/2 
label values conlabor13 conf13
label values conlabor01 conf01
label var conlabor01	"Confidence in labor"
label var conlabor13	"Confidence in labor"
tab conlabor13
tab conlabor01 


recode conlegis_1a conlegis_1b conlegis_2 (3=1) (2=2) (.d=2)  (1=3)
egen conlegis13 = rowmean (conlegis_1a conlegis_1b conlegis_2 )
gen conlegis01 =  (conlegis13-1)/2 
label values conlegis13 conf13
label values conlegis01 conf01
label var conlegis01	"Confidence in Congress"
label var conlegis13	"Confidence in Congress"
tab conlegis13
tab conlegis01 

recode conpress_1a conpress_1b conpress_2 (3=1) (2=2) (.d=2)  (1=3)
egen conpress13 = rowmean (conpress_1a conpress_1b conpress_2 )
gen conpress01 =  (conpress13-1)/2 
label values conpress13 conf13
label values conpress01 conf01
label var conpress01	"Confidence in the press"
label var conpress13	"Confidence in the press"
tab conpress13
tab conpress01 

	

recode consci_1a consci_1b consci_2 (3=1) (2=2) (.d=2)  (1=3)
egen consci13 = rowmean (consci_1a consci_1b consci_2 )
gen consci01 =  (consci13-1)/2 
label values consci13 conf13
label values consci01 conf01
label var consci01	"Confidence in science"
label var consci13	"Confidence in science"
tab consci13
tab consci01 

* corr consci01 conmedic01



recode conmedic_1a conmedic_1b conmedic_2 (3=1) (2=2) (.d=2)  (1=3)
egen conmedic13 = rowmean (conmedic_1a conmedic_1b conmedic_2 )
gen conmedic01 =  (conmedic13-1)/2 
label values conmedic13 conf13
label values conmedic01 conf01
label var conmedic01	"Confidence in medicine"
label var conmedic13	"Confidence in medicine"
tab conmedic13
tab conmedic01 

recode contv_1a contv_1b contv_2 (3=1) (2=2) (.d=2)  (1=3)
egen contv13 = rowmean (contv_1a contv_1b contv_2 )
gen contv01 =  (contv13-1)/2 
label values contv13 conf13
label values contv01 conf01
label var contv01	"Confidence in television"
label var contv13	"Confidence in television"
tab contv13
tab contv01 



pwcorr  consci01 conmedic01 sci_ben01, obs
egen conscimed01 = rowmean (conmedic01  consci01)





* Confidence - unusual or experimental scales 1-5 or 0-10 
* See below for indexes with these scales and the related ones above 


recode trbigbus_1b trcourts_1b (.d = 5)
gen trbigbus01 = (trbigbus_1b)/10
gen trcourts01 = (trcourts_1b)/10

recode conbiz_1b conchurh_1b   concong_1b  concourt_1b   conschls_1b  (1=5) (2=4) (3=3) (4=2) (5=1 ) (.d = 3)
 
gen conbiz01 = (conbiz_1b -1)/4
gen conchurh01 =  (conchurh_1b   -1)/4 
gen concong01 =  (concong_1b   -1)/4
gen concourt01 =  (concourt_1b  -1)/4  
gen conschls01 =  (conschls_1b -1)/4



label define conf5 5 "Complete confidence"  4 "A great deal of confidence" /// 
	3 "Some confidence" 2 "Very little confidence" 1 "No confidence at all"


* trust that government is not corrupt 

label define notcorrupt5 5 "Almost none"    4 "A few" 3 "Some" 4 "Quite a lot" 1 "Almost all"
label define notcorrupt01 1 "Almost none"    0 "Almost all"

recode corrupt1_1a corrupt2_1a     (1=5) (2=4) (3=3) (4=2) (5=1 ) (.d = 3)
gen not_corrupt101 = (corrupt1_1a-1)/4
gen not_corrupt201 = (corrupt2_1a-1)/4


egen notcorrupt01 = rowmean (not_corrupt101 not_corrupt201)
label values notcorrupt01 notcorrupt01

egen conbigbiz01 = rowmean (trbigbus01 conbiz01)
label values conbigbiz01 conf01

egen conbusiness01 = rowmean ( conbus01 conbigbiz01)
label var conbusiness01 "Confidence in big business and business"
label values conbusiness01 conf01

egen conchurch01 = rowmean (conchurh01 conclerg01 )
label var conchurch01 "Confidence in church and clergy"
label values conchurch01 conf01

egen conschool01 = rowmean (coneduc01  conschls01 )
label var conschool01 "Confidence in schools and the education system"
label values conschool01 conf01

egen concongress01 = rowmean (concong01 conlegis01   )
label var concongress01 "Confidence in Congress and the legislative branch"
label values concongress01 conf01

egen congov01 = rowmean (concongress01  confed01  notcorrupt01 )
label var congov01 "Confidence in Congress, federal, and belief that government is not corrupt"
label values congov01 conf01

egen conjudiciary01 = rowmean (concourt01 trcourts01 conjudge01)
label values conjudiciary01 conf01

sum concourt01 trcourts01 conjudge01


* Errata 


label variable  radioact_2 "All radio-activity is man-made"
label variable  radioact_1b  "All radio-activity is man-made"
label variable  radioact_1b "All radio-activity is man-made"
label variable  radioact_1a "All radio-activity is man-made"
label variable  radioact_2  "All radio-activity is man-made"
label variable  radioact_1a "All radio-activity is man-made"





drop year_1a id_1a mar1_1a mar2_1a mar3_1a mar4_1a mar5_1a mar6_1a mar7_1a mar8_1a mar9_1a mar10_1a mar11_1a mar12_1a mar13_1a mar14_1a artatt_1a artatt1_1a artatt2_1a artatt3_1a artatt4_1a artatt5_1a artcost_1a artexbt_1a artfree_1a artgst_1a artint_1a artloc_1a artmostoth_1a artothr_1a arttime_1a arttrvl_1a artwhy1_1a artwhy2_1a artwhy3_1a artwhy4_1a artwhy5_1a artwhy6_1a artwhy7_1a artwhy8_1a artwhy9_1a askhelp_1a appemps_1a artatt_1a artatt1_1a artatt2_1a artatt3_1a artatt4_1a artatt5_1a artcost_1a artexbt_1a artfree_1a artgst_1a artint_1a artloc_1a artmostoth_1a artothr_1a arttime_1a arttrvl_1a artwhy1_1a artwhy2_1a artwhy3_1a artwhy4_1a artwhy5_1a artwhy6_1a artwhy7_1a artwhy8_1a artwhy9_1a askhelp_1a astrolgy_1a astrosci_1a away1_1a away11_1a away13_1a away2_1a away3_1a away4_1a away5_1a away6_1a away7_1a bossemps_1a cesd1_1a cesd2_1a cesd3_1a cesd4_1a cesd5_1a chemgen_1a cohrs1_1a cohrs2_1a coind10_1a  condom_1a     crack30_1a cuthours_1a dailywrk_1a dateintv_1a decidwrk_1a dipged_1a earnrs_1a emailhr_1a emailmin_1a emonitor_1a evbrkdwn_1a feelevel_1a feeused_1a flickr_1a frndsex_1a fucitzn_1a gender1_1a gender10_1a gender11_1a gender12_1a gender13_1a gender14_1a gender2_1a gender3_1a gender4_1a gender5_1a gender6_1a gender7_1a gender8_1a gender9_1a gender1_1a gender10_1a gender11_1a gender12_1a gender13_1a gender14_1a gender2_1a gender3_1a gender4_1a gender5_1a gender6_1a gender7_1a gender8_1a gender9_1a getjob_1a gvinflu1_1a gvinflu2_1a hiinc_1a hivtest_1a hivtest1_1a hivtest2_1a hlphitec_1a hlpoths_1a hlpsoc_1a hrs1_1a hrs2_1a hrsmoney_1a hunt_1a hunt1_1a idu30_1a instagrm_1a intage_1a intecon_1a inteduc_1a intenvir_1a intethn_1a intfarm_1a inthisp_1a intid_1a intintl_1a intjob_1a  intmbile_1a intmed_1a intmil_1a intrace1_1a intrace2_1a intrace3_1a intrecnt_1a fbaccess_1a intsci_1a intsex_1a intspace_1a inttech_1a intuse_1a intwkdyh_1a intwkdym_1a intwkenh_1a intwkenm_1a intyrs_1a jobeasy_1a jobfind_1a joborfam_1a lasers_1a leasthrs_1a leavejob_1a lessreg_1a linkedin_1a lngthinv_1a localnum_1a lookjob_1a lowpay_1a mode_1a mortravl_1a mosthrs_1a moveaway_1a moveinus_1a nanoben_1a nanoharm_1a nanowill_1a newskill_1a nogo_1a nogo1_1a nounemp1_1a nounemp2_1a nounemp3_1a nounemp4_1a nounemp5_1a nounemp6_1a nukegen_1a numemps_1a old1_1a old10_1a old11_1a old12_1a old13_1a old14_1a old2_1a old3_1a old4_1a old5_1a old6_1a old7_1a old8_1a old9_1a oth16_1a other_1a othersex_1a othlang_1a othlang1_1a othlang2_1a owngun_1a paidhow_1a paidsex_1a partfull_1a pikupsex_1a pillok_1a pinterst_1a pistol_1a prfmatt_1a prfmatt1_1a prfmatt2_1a prfmatt3_1a prfmatt4_1a prfmatt5_1a prfmcost_1a prfmdan_1a prfmfree_1a prfmgst_1a prfmint_1a prfmloc_1a prfmmostoth_1a prfmmus_1a prfmnce_1a prfmothr_1a prfmthe_1a prfmtime_1a prfmtrvl_1a prfmwhy0_1a prfmwhy1_1a prfmwhy2_1a prfmwhy3_1a prfmwhy4_1a prfmwhy5_1a prfmwhy6_1a prfmwhy7_1a prfmwhy8_1a prfmwhy9_1a priagncy_1a pricecon_1a prideorg_1a promotn_1a proudwrk_1a prvdhlth_1a prvdold_1a prvdschl_1a pubagncy_1a relate1_1a relate10_1a relate11_1a relate12_1a relate13_1a relate14_1a relate2_1a relate3_1a relate4_1a relate5_1a relate6_1a relate7_1a relate8_1a relate9_1a relatsex_1a relhh1_1a relhh10_1a relhh11_1a relhh12_1a relhh13_1a relhh14_1a relhh2_1a relhh3_1a relhh4_1a relhh5_1a relhh6_1a relhh7_1a relhh8_1a relhh9_1a relhhd1_1a relhhd10_1a relhhd11_1a relhhd12_1a relhhd13_1a relhhd14_1a relhhd2_1a relhhd3_1a relhhd4_1a relhhd5_1a relhhd6_1a relhhd7_1a relhhd8_1a relhhd9_1a relsp1_1a relsp10_1a relsp11_1a relsp12_1a relsp2_1a relsp3_1a relsp4_1a relsp5_1a relsp6_1a relsp7_1a relsp8_1a relsp9_1a rhlpsoc_1a richwork_1a rifle_1a rplace_1a sexeduc_1a shotgun_1a skltrain_1a snapchat_1a snsmfrst_1a snsmnew_1a snsmot2a_1a snsmot2b_1a snsmot2c_1a snsmoth1_1a sparts_1a sphrs1_1a sphrs2_1a suicide1_1a suicide2_1a suicide3_1a suicide4_1a suiclse1_1a suiclse2_1a suimths1_1a suimths2_1a suineg1_1a suineg2_1a suinum_1a suinum1_1a suirel1_1a suirel2_1a suitime1_1a suitime2_1a suiyrs1_1a suiyrs2_1a supervis_1a tempwork_1a tumblr_1a twitter_1a useskill_1a usewww_1a usualhrs_1a vine_1a visitors_1a visnhist_1a visnhist_1a vissci_1a viszoo_1a wantads_1a wantjob1_1a wantjob2_1a webmob_1a weekswrk_1a whatsapp_1a whencol_1a whenhs_1a where1_1a where11_1a where13_1a where2_1a where3_1a where4_1a where5_1a where7_1a whoelse1_1a whoelse2_1a whoelse3_1a whoelse4_1a whoelse5_1a whoelse6_1a whydisc5_1a whyjbend_1a widowed_1a wkathome_1a wkpersnl_1a wksub_1a wksub1_1a wksubs_1a wksubs1_1a wksup_1a wksup1_1a wksups_1a wksups1_1a wkwkends_1a worda_1a wordb_1a wordc_1a wordd_1a worde_1a wordf_1a wordg_1a wordh_1a wordi_1a wordj_1a wrkearn_1a wrkenjoy_1a wrkgovt_1a wrkindp_1a wrkshift_1a wrkslf_1a wrkstat_1a wtss_1a wwwhr_1a wwwmin_1a xhaustn_1a xmarsex_1a xmovie_1a intstart_1a snsmyear_1a hlthstrt_1a huadd_1a huaddwhy_1a dwellpre_1a kidsinhh_1a prfmothr1_1a racethmn_1a sector_1a eftotlt_1a barate_1a gradtounder_1a spsector_1a speftotlt_1a spbarate_1a spgradtounder_1a cosector_1a coeftotlt_1a cobarate_1a cogradtounder_1a abfelegl_1a abhelp1_1a abhelp2_1a abhelp3_1a abhelp4_1a adminconsent_1a afraidof_1a afterlif_1a ancestrs_1a arthrtis_1a atheists_1a bird_1a birdb4_1a breakdwn_1a cat_1a catb4_1a charactr_1a closeto1_1a closeto2_1a closeto3_1a closeto4_1a closeto5_1a conf2f_1a dangoth1_1a dangoth2_1a dangoth3_1a dangoth4_1a dangoth5_1a dangroth_1a dangrslf_1a dangslf1_1a dangslf2_1a dangslf3_1a dangslf4_1a dangslf5_1a decmoney_1a dectreat_1a deptperf_1a diabetes_1a diagnosd_1a dog_1a dogb4_1a fish_1a fishb4_1a fringeok_1a geneabrt2_1a genegoo2_1a geneself2_1a genetics_1a genetst1_1a goat_1a goatb4_1a godchnge_1a godmeans_1a godswill_1a goveqinc_1a govlazy_1a govvsrel_1a handmove_1a hlpadvce_1a hlpdown_1a hlpequip_1a hlphome_1a hlpjob_1a hlploan_1a hlppaper_1a hlpresde_1a hlpsick_1a hlpsickr_1a hlpsococ_1a hlthdays_1a hlthmntl_1a hlthphys_1a homosex1_1a horse_1a horseb4_1a hrsrelax_1a hubbywrk_1a hurtatwk_1a hurtoth_1a hurtself_1a hvylift_1a hyperten_1a knwmw1_1a knwmw2_1a knwmw3_1a knwmw4_1a knwmw5_1a knwnurse_1a knwtcher_1a learnnew_1a madenkid_1a makefrnd_1a maleornt_1a manvsemp_1a marelkid_1a mcsds1_1a mcsds2_1a mcsds3_1a mcsds4_1a mcsds5_1a mcsds6_1a mcsds7_1a meddoc_1a mentldoc_1a mentlhos_1a mentlill_1a mentloth_1a mhdiagno_1a mhp1r1_1a mhp1r2_1a mhp2r1_1a mhp2r2_1a mhp3r1_1a mhp3r2_1a mhp4r1_1a mhp4r2_1a mhp5r1_1a mhp5r2_1a mhtreat1_1a mhtreat2_1a mhtreat3_1a mhtreat4_1a mhtreat5_1a mhtreatd_1a mhunsure_1a miracles_1a misswork_1a mnthsusa_1a moredays_1a muslims_1a mustdoc_1a musthosp_1a mustmed_1a mustwork_1a mygoals_1a myprobs1_1a myprobs2_1a myprobs3_1a myprobs4_1a myprobs5_1a myskills_1a mywaygod_1a nataccess_1a natactive_1a natlack_1a natmeet_1a natnotice_1a natrelax_1a natsat_1a nattime_1a nattimeok_1a natviews_1a newfrds_1a numpets_1a opdevel_1a otcmed_1a othmhneg_1a othpet_1a othpetb4_1a overwork_1a ownstock_1a padenkid_1a painarms_1a parelkid_1a partlsc_1a partpart_1a partteam_1a partvol_1a petb4_1a petb4cmfrt_1a petb4fam_1a petb4ply_1a petcmfrt_1a petfam_1a petplay_1a phyeffrt_1a physacts_1a physhlth_1a physill_1a pig_1a pigb4_1a pilingup_1a smammal_1a smammalb4_1a vigfrnd_1a viggrp_1a viglabel_1a vigmar_1a vignei_1a vigsoc_1a vigversn_1a vigwork_1a yousup_1a whatslf2_1a selfems_1a spwrkslf1_1a spwrkslf2_1a year_1b id_1b mar1_1b mar2_1b mar3_1b mar4_1b mar5_1b mar6_1b mar7_1b mar8_1b mar9_1b mar10_1b mar11_1b mar12_1b mar13_1b mar14_1b artatt_1b artatt1_1b artatt2_1b artatt3_1b artatt4_1b artatt5_1b artcost_1b artexbt_1b artfree_1b artgst_1b artint_1b artloc_1b artmostoth_1b artothr_1b arttime_1b arttrvl_1b artwhy1_1b artwhy2_1b artwhy3_1b artwhy4_1b artwhy5_1b artwhy6_1b artwhy7_1b artwhy8_1b artwhy9_1b askhelp_1b appemps_1b artatt_1b artatt1_1b artatt2_1b artatt3_1b artatt4_1b artatt5_1b artcost_1b artexbt_1b artfree_1b artgst_1b artint_1b artloc_1b artmostoth_1b artothr_1b arttime_1b arttrvl_1b artwhy1_1b artwhy2_1b artwhy3_1b artwhy4_1b artwhy5_1b artwhy6_1b artwhy7_1b artwhy8_1b artwhy9_1b askhelp_1b astrolgy_1b astrosci_1b away1_1b away11_1b away13_1b away2_1b away3_1b away4_1b away5_1b away6_1b away7_1b bossemps_1b cesd1_1b cesd2_1b cesd3_1b cesd4_1b cesd5_1b chemgen_1b cohrs1_1b cohrs2_1b coind10_1b  condom_1b     crack30_1b cuthours_1b dailywrk_1b dateintv_1b decidwrk_1b dipged_1b earnrs_1b emailhr_1b emailmin_1b emonitor_1b evbrkdwn_1b feelevel_1b feeused_1b flickr_1b frndsex_1b fucitzn_1b gender1_1b gender10_1b gender11_1b gender12_1b gender13_1b gender14_1b gender2_1b gender3_1b gender4_1b gender5_1b gender6_1b gender7_1b gender8_1b gender9_1b gender1_1b gender10_1b gender11_1b gender12_1b gender13_1b gender14_1b gender2_1b gender3_1b gender4_1b gender5_1b gender6_1b gender7_1b gender8_1b gender9_1b getjob_1b gvinflu1_1b gvinflu2_1b hiinc_1b hivtest_1b hivtest1_1b hivtest2_1b hlphitec_1b hlpoths_1b hlpsoc_1b hrs1_1b hrs2_1b hrsmoney_1b hunt_1b hunt1_1b idu30_1b instagrm_1b intage_1b intecon_1b inteduc_1b intenvir_1b intethn_1b intfarm_1b inthisp_1b intid_1b intintl_1b intjob_1b  intmbile_1b intmed_1b intmil_1b intrace1_1b intrace2_1b intrace3_1b intrecnt_1b fbaccess_1b intsci_1b intsex_1b intspace_1b inttech_1b intuse_1b intwkdyh_1b intwkdym_1b intwkenh_1b intwkenm_1b intyrs_1b jobeasy_1b jobfind_1b joborfam_1b lasers_1b leasthrs_1b leavejob_1b lessreg_1b linkedin_1b lngthinv_1b localnum_1b lookjob_1b lowpay_1b mode_1b mortravl_1b mosthrs_1b moveaway_1b moveinus_1b nanoben_1b nanoharm_1b nanowill_1b newskill_1b nogo_1b nogo1_1b nounemp1_1b nounemp2_1b nounemp3_1b nounemp4_1b nounemp5_1b nounemp6_1b nukegen_1b numemps_1b old1_1b old10_1b old11_1b old12_1b old13_1b old14_1b old2_1b old3_1b old4_1b old5_1b old6_1b old7_1b old8_1b old9_1b oth16_1b other_1b othersex_1b othlang_1b othlang1_1b othlang2_1b owngun_1b paidhow_1b paidsex_1b partfull_1b pikupsex_1b pillok_1b pinterst_1b pistol_1b prfmatt_1b prfmatt1_1b prfmatt2_1b prfmatt3_1b prfmatt4_1b prfmatt5_1b prfmcost_1b prfmdan_1b prfmfree_1b prfmgst_1b prfmint_1b prfmloc_1b prfmmostoth_1b prfmmus_1b prfmnce_1b prfmothr_1b prfmthe_1b prfmtime_1b prfmtrvl_1b prfmwhy0_1b prfmwhy1_1b prfmwhy2_1b prfmwhy3_1b prfmwhy4_1b prfmwhy5_1b prfmwhy6_1b prfmwhy7_1b prfmwhy8_1b prfmwhy9_1b priagncy_1b pricecon_1b prideorg_1b promotn_1b proudwrk_1b prvdhlth_1b prvdold_1b prvdschl_1b pubagncy_1b relate1_1b relate10_1b relate11_1b relate12_1b relate13_1b relate14_1b relate2_1b relate3_1b relate4_1b relate5_1b relate6_1b relate7_1b relate8_1b relate9_1b relatsex_1b relhh1_1b relhh10_1b relhh11_1b relhh12_1b relhh13_1b relhh14_1b relhh2_1b relhh3_1b relhh4_1b relhh5_1b relhh6_1b relhh7_1b relhh8_1b relhh9_1b relhhd1_1b relhhd10_1b relhhd11_1b relhhd12_1b relhhd13_1b relhhd14_1b relhhd2_1b relhhd3_1b relhhd4_1b relhhd5_1b relhhd6_1b relhhd7_1b relhhd8_1b relhhd9_1b relsp1_1b relsp10_1b relsp11_1b relsp12_1b relsp2_1b relsp3_1b relsp4_1b relsp5_1b relsp6_1b relsp7_1b relsp8_1b relsp9_1b rhlpsoc_1b richwork_1b rifle_1b rplace_1b sexeduc_1b shotgun_1b skltrain_1b snapchat_1b snsmfrst_1b snsmnew_1b snsmot2a_1b snsmot2b_1b snsmot2c_1b snsmoth1_1b sparts_1b sphrs1_1b sphrs2_1b suicide1_1b suicide2_1b suicide3_1b suicide4_1b suiclse1_1b suiclse2_1b suimths1_1b suimths2_1b suineg1_1b suineg2_1b suinum_1b suinum1_1b suirel1_1b suirel2_1b suitime1_1b suitime2_1b suiyrs1_1b suiyrs2_1b supervis_1b tempwork_1b tumblr_1b twitter_1b useskill_1b usewww_1b usualhrs_1b vine_1b visitors_1b visnhist_1b visnhist_1b vissci_1b viszoo_1b wantads_1b wantjob1_1b wantjob2_1b webmob_1b weekswrk_1b whatsapp_1b whencol_1b whenhs_1b where1_1b where11_1b where13_1b where2_1b where3_1b where4_1b where5_1b where7_1b whoelse1_1b whoelse2_1b whoelse3_1b whoelse4_1b whoelse5_1b whoelse6_1b whydisc5_1b whyjbend_1b widowed_1b wkathome_1b wkpersnl_1b wksub_1b wksub1_1b wksubs_1b wksubs1_1b wksup_1b wksup1_1b wksups_1b wksups1_1b wkwkends_1b worda_1b wordb_1b wordc_1b wordd_1b worde_1b wordf_1b wordg_1b wordh_1b wordi_1b wordj_1b wrkearn_1b wrkenjoy_1b wrkgovt_1b wrkindp_1b wrkshift_1b wrkslf_1b wrkstat_1b wtss_1b wwwhr_1b wwwmin_1b xhaustn_1b xmarsex_1b xmovie_1b intstart_1b snsmyear_1b hlthstrt_1b huadd_1b huaddwhy_1b dwellpre_1b kidsinhh_1b prfmothr1_1b racethmn_1b sector_1b eftotlt_1b barate_1b gradtounder_1b spsector_1b speftotlt_1b spbarate_1b spgradtounder_1b cosector_1b coeftotlt_1b cobarate_1b cogradtounder_1b abfelegl_1b abhelp1_1b abhelp2_1b abhelp3_1b abhelp4_1b adminconsent_1b afraidof_1b afterlif_1b ancestrs_1b arthrtis_1b atheists_1b bird_1b birdb4_1b breakdwn_1b cat_1b catb4_1b charactr_1b closeto1_1b closeto2_1b closeto3_1b closeto4_1b closeto5_1b conf2f_1b dangoth1_1b dangoth2_1b dangoth3_1b dangoth4_1b dangoth5_1b dangroth_1b dangrslf_1b dangslf1_1b dangslf2_1b dangslf3_1b dangslf4_1b dangslf5_1b decmoney_1b dectreat_1b deptperf_1b diabetes_1b diagnosd_1b dog_1b dogb4_1b fish_1b fishb4_1b fringeok_1b geneabrt2_1b genegoo2_1b geneself2_1b genetics_1b genetst1_1b goat_1b goatb4_1b godchnge_1b godmeans_1b godswill_1b goveqinc_1b govlazy_1b govvsrel_1b handmove_1b hlpadvce_1b hlpdown_1b hlpequip_1b hlphome_1b hlpjob_1b hlploan_1b hlppaper_1b hlpresde_1b hlpsick_1b hlpsickr_1b hlpsococ_1b hlthdays_1b hlthmntl_1b hlthphys_1b homosex1_1b horse_1b horseb4_1b hrsrelax_1b hubbywrk_1b hurtatwk_1b hurtoth_1b hurtself_1b hvylift_1b hyperten_1b knwmw1_1b knwmw2_1b knwmw3_1b knwmw4_1b knwmw5_1b knwnurse_1b knwtcher_1b learnnew_1b madenkid_1b makefrnd_1b maleornt_1b manvsemp_1b marelkid_1b mcsds1_1b mcsds2_1b mcsds3_1b mcsds4_1b mcsds5_1b mcsds6_1b mcsds7_1b meddoc_1b mentldoc_1b mentlhos_1b mentlill_1b mentloth_1b mhdiagno_1b mhp1r1_1b mhp1r2_1b mhp2r1_1b mhp2r2_1b mhp3r1_1b mhp3r2_1b mhp4r1_1b mhp4r2_1b mhp5r1_1b mhp5r2_1b mhtreat1_1b mhtreat2_1b mhtreat3_1b mhtreat4_1b mhtreat5_1b mhtreatd_1b mhunsure_1b miracles_1b misswork_1b mnthsusa_1b moredays_1b muslims_1b mustdoc_1b musthosp_1b mustmed_1b mustwork_1b mygoals_1b myprobs1_1b myprobs2_1b myprobs3_1b myprobs4_1b myprobs5_1b myskills_1b mywaygod_1b nataccess_1b natactive_1b natlack_1b natmeet_1b natnotice_1b natrelax_1b natsat_1b nattime_1b nattimeok_1b natviews_1b newfrds_1b numpets_1b opdevel_1b otcmed_1b othmhneg_1b othpet_1b othpetb4_1b overwork_1b ownstock_1b padenkid_1b painarms_1b parelkid_1b partlsc_1b partpart_1b partteam_1b partvol_1b petb4_1b petb4cmfrt_1b petb4fam_1b petb4ply_1b petcmfrt_1b petfam_1b petplay_1b phyeffrt_1b physacts_1b physhlth_1b physill_1b pig_1b pigb4_1b pilingup_1b smammal_1b smammalb4_1b vigfrnd_1b viggrp_1b viglabel_1b vigmar_1b vignei_1b vigsoc_1b vigversn_1b vigwork_1b yousup_1b whatslf2_1b selfems_1b spwrkslf1_1b spwrkslf2_1b year_2 id_2 mar1_2 mar2_2 mar3_2 mar4_2 mar5_2 mar6_2 mar7_2 mar8_2 mar9_2 mar10_2 mar11_2 mar12_2 mar13_2 mar14_2 artatt_2 artatt1_2 artatt2_2 artatt3_2 artatt4_2 artatt5_2 artcost_2 artexbt_2 artfree_2 artgst_2 artint_2 artloc_2 artmostoth_2 artothr_2 arttime_2 arttrvl_2 artwhy1_2 artwhy2_2 artwhy3_2 artwhy4_2 artwhy5_2 artwhy6_2 artwhy7_2 artwhy8_2 artwhy9_2 askhelp_2 appemps_2 artatt_2 artatt1_2 artatt2_2 artatt3_2 artatt4_2 artatt5_2 artcost_2 artexbt_2 artfree_2 artgst_2 artint_2 artloc_2 artmostoth_2 artothr_2 arttime_2 arttrvl_2 artwhy1_2 artwhy2_2 artwhy3_2 artwhy4_2 artwhy5_2 artwhy6_2 artwhy7_2 artwhy8_2 artwhy9_2 askhelp_2 astrolgy_2 astrosci_2 away1_2 away11_2 away13_2 away2_2 away3_2 away4_2 away5_2 away6_2 away7_2 bossemps_2 cesd1_2 cesd2_2 cesd3_2 cesd4_2 cesd5_2 chemgen_2 cohrs1_2 cohrs2_2 coind10_2  condom_2     crack30_2 cuthours_2 dailywrk_2 dateintv_2 decidwrk_2 dipged_2 earnrs_2 emailhr_2 emailmin_2 emonitor_2 evbrkdwn_2 feelevel_2 feeused_2 flickr_2 frndsex_2 fucitzn_2 gender1_2 gender10_2 gender11_2 gender12_2 gender13_2 gender14_2 gender2_2 gender3_2 gender4_2 gender5_2 gender6_2 gender7_2 gender8_2 gender9_2 gender1_2 gender10_2 gender11_2 gender12_2 gender13_2 gender14_2 gender2_2 gender3_2 gender4_2 gender5_2 gender6_2 gender7_2 gender8_2 gender9_2 getjob_2 gvinflu1_2 gvinflu2_2 hiinc_2 hivtest_2 hivtest1_2 hivtest2_2 hlphitec_2 hlpoths_2 hlpsoc_2 hrs1_2 hrs2_2 hrsmoney_2 hunt_2 hunt1_2 idu30_2 instagrm_2 intage_2 intecon_2 inteduc_2 intenvir_2 intethn_2 intfarm_2 inthisp_2 intid_2 intintl_2 intjob_2  intmbile_2 intmed_2 intmil_2 intrace1_2 intrace2_2 intrace3_2 intrecnt_2 fbaccess_2 intsci_2 intsex_2 intspace_2 inttech_2 intuse_2 intwkdyh_2 intwkdym_2 intwkenh_2 intwkenm_2 intyrs_2 jobeasy_2 jobfind_2 joborfam_2 lasers_2 leasthrs_2 leavejob_2 lessreg_2 linkedin_2 lngthinv_2 localnum_2 lookjob_2 lowpay_2 mode_2 mortravl_2 mosthrs_2 moveaway_2 moveinus_2 nanoben_2 nanoharm_2 nanowill_2 newskill_2 nogo_2 nogo1_2 nounemp1_2 nounemp2_2 nounemp3_2 nounemp4_2 nounemp5_2 nounemp6_2 nukegen_2 numemps_2 old1_2 old10_2 old11_2 old12_2 old13_2 old14_2 old2_2 old3_2 old4_2 old5_2 old6_2 old7_2 old8_2 old9_2 oth16_2 other_2 othersex_2 othlang_2 othlang1_2 othlang2_2 owngun_2 paidhow_2 paidsex_2 partfull_2 pikupsex_2 pillok_2 pinterst_2 pistol_2 prfmatt_2 prfmatt1_2 prfmatt2_2 prfmatt3_2 prfmatt4_2 prfmatt5_2 prfmcost_2 prfmdan_2 prfmfree_2 prfmgst_2 prfmint_2 prfmloc_2 prfmmostoth_2 prfmmus_2 prfmnce_2 prfmothr_2 prfmthe_2 prfmtime_2 prfmtrvl_2 prfmwhy0_2 prfmwhy1_2 prfmwhy2_2 prfmwhy3_2 prfmwhy4_2 prfmwhy5_2 prfmwhy6_2 prfmwhy7_2 prfmwhy8_2 prfmwhy9_2 priagncy_2 pricecon_2 prideorg_2 promotn_2 proudwrk_2 prvdhlth_2 prvdold_2 prvdschl_2 pubagncy_2 relate1_2 relate10_2 relate11_2 relate12_2 relate13_2 relate14_2 relate2_2 relate3_2 relate4_2 relate5_2 relate6_2 relate7_2 relate8_2 relate9_2 relatsex_2 relhh1_2 relhh10_2 relhh11_2 relhh12_2 relhh13_2 relhh14_2 relhh2_2 relhh3_2 relhh4_2 relhh5_2 relhh6_2 relhh7_2 relhh8_2 relhh9_2 relhhd1_2 relhhd10_2 relhhd11_2 relhhd12_2 relhhd13_2 relhhd14_2 relhhd2_2 relhhd3_2 relhhd4_2 relhhd5_2 relhhd6_2 relhhd7_2 relhhd8_2 relhhd9_2 relsp1_2 relsp10_2 relsp11_2 relsp12_2 relsp2_2 relsp3_2 relsp4_2 relsp5_2 relsp6_2 relsp7_2 relsp8_2 relsp9_2 rhlpsoc_2 richwork_2 rifle_2 rplace_2 sexeduc_2 shotgun_2 skltrain_2 snapchat_2 snsmfrst_2 snsmnew_2 snsmot2a_2 snsmot2b_2 snsmot2c_2 snsmoth1_2 sparts_2 sphrs1_2 sphrs2_2 suicide1_2 suicide2_2 suicide3_2 suicide4_2 suiclse1_2 suiclse2_2 suimths1_2 suimths2_2 suineg1_2 suineg2_2 suinum_2 suinum1_2 suirel1_2 suirel2_2 suitime1_2 suitime2_2 suiyrs1_2 suiyrs2_2 supervis_2 tempwork_2 tumblr_2 twitter_2 useskill_2 usewww_2 usualhrs_2 vine_2 visitors_2 visnhist_2 visnhist_2 vissci_2 viszoo_2 wantads_2 wantjob1_2 wantjob2_2 webmob_2 weekswrk_2 whatsapp_2 whencol_2 whenhs_2 where1_2 where11_2 where13_2 where2_2 where3_2 where4_2 where5_2 where7_2 whoelse1_2 whoelse2_2 whoelse3_2 whoelse4_2 whoelse5_2 whoelse6_2 whydisc5_2 whyjbend_2 widowed_2 wkathome_2 wkpersnl_2 wksub_2 wksub1_2 wksubs_2 wksubs1_2 wksup_2 wksup1_2 wksups_2 wksups1_2 wkwkends_2 worda_2 wordb_2 wordc_2 wordd_2 worde_2 wordf_2 wordg_2 wordh_2 wordi_2 wordj_2 wrkearn_2 wrkenjoy_2 wrkgovt_2 wrkindp_2 wrkshift_2 wrkslf_2 wrkstat_2 wtss_2 wwwhr_2 wwwmin_2 xhaustn_2 xmarsex_2 xmovie_2 intstart_2 snsmyear_2 hlthstrt_2 huadd_2 huaddwhy_2 dwellpre_2 kidsinhh_2 prfmothr1_2 racethmn_2 sector_2 eftotlt_2 barate_2 gradtounder_2 spsector_2 speftotlt_2 spbarate_2 spgradtounder_2 cosector_2 coeftotlt_2 cobarate_2 cogradtounder_2 abfelegl_2 abhelp1_2 abhelp2_2 abhelp3_2 abhelp4_2 adminconsent_2 afraidof_2 afterlif_2 ancestrs_2 arthrtis_2 atheists_2 bird_2 birdb4_2 breakdwn_2 cat_2 catb4_2 charactr_2 closeto1_2 closeto2_2 closeto3_2 closeto4_2 closeto5_2 conf2f_2 dangoth1_2 dangoth2_2 dangoth3_2 dangoth4_2 dangoth5_2 dangroth_2 dangrslf_2 dangslf1_2 dangslf2_2 dangslf3_2 dangslf4_2 dangslf5_2 decmoney_2 dectreat_2 deptperf_2 diabetes_2 diagnosd_2 dog_2 dogb4_2 fish_2 fishb4_2 fringeok_2 geneabrt2_2 genegoo2_2 geneself2_2 genetics_2 genetst1_2 goat_2 goatb4_2 godchnge_2 godmeans_2 godswill_2 goveqinc_2 govlazy_2 govvsrel_2 handmove_2 hlpadvce_2 hlpdown_2 hlpequip_2 hlphome_2 hlpjob_2 hlploan_2 hlppaper_2 hlpresde_2 hlpsick_2 hlpsickr_2 hlpsococ_2 hlthdays_2 hlthmntl_2 hlthphys_2 homosex1_2 horse_2 horseb4_2 hrsrelax_2 hubbywrk_2 hurtatwk_2 hurtoth_2 hurtself_2 hvylift_2 hyperten_2 knwmw1_2 knwmw2_2 knwmw3_2 knwmw4_2 knwmw5_2 knwnurse_2 knwtcher_2 learnnew_2 madenkid_2 makefrnd_2 maleornt_2 manvsemp_2 marelkid_2 mcsds1_2 mcsds2_2 mcsds3_2 mcsds4_2 mcsds5_2 mcsds6_2 mcsds7_2 meddoc_2 mentldoc_2 mentlhos_2 mentlill_2 mentloth_2 mhdiagno_2 mhp1r1_2 mhp1r2_2 mhp2r1_2 mhp2r2_2 mhp3r1_2 mhp3r2_2 mhp4r1_2 mhp4r2_2 mhp5r1_2 mhp5r2_2 mhtreat1_2 mhtreat2_2 mhtreat3_2 mhtreat4_2 mhtreat5_2 mhtreatd_2 mhunsure_2 miracles_2 misswork_2 mnthsusa_2 moredays_2 muslims_2 mustdoc_2 musthosp_2 mustmed_2 mustwork_2 mygoals_2 myprobs1_2 myprobs2_2 myprobs3_2 myprobs4_2 myprobs5_2 myskills_2 mywaygod_2 nataccess_2 natactive_2 natlack_2 natmeet_2 natnotice_2 natrelax_2 natsat_2 nattime_2 nattimeok_2 natviews_2 newfrds_2 numpets_2 opdevel_2 otcmed_2 othmhneg_2 othpet_2 othpetb4_2 overwork_2 ownstock_2 padenkid_2 painarms_2 parelkid_2 partlsc_2 partpart_2 partteam_2 partvol_2 petb4_2 petb4cmfrt_2 petb4fam_2 petb4ply_2 petcmfrt_2 petfam_2 petplay_2 phyeffrt_2 physacts_2 physhlth_2 physill_2 pig_2 pigb4_2 pilingup_2 smammal_2 smammalb4_2 vigfrnd_2 viggrp_2 viglabel_2 vigmar_2 vignei_2 vigsoc_2 vigversn_2 vigwork_2 yousup_2 whatslf2_2 selfems_2 spwrkslf1_2 spwrkslf2_2



drop advsched_1a affrmact_1a balneg_1a balpos_1a betrlang_1a bible_1a bigbang_1a bigbang1_1a bigbang2_1a bored_1a born_1a boyorgrl_1a bribe_1a brlawfl_1a brnotax_1a cappun_1a cctv_1a childs_1a chldidel_1a chngewrk_1a clssmtes_1a codeg_1a coden_1a codipged_1a coeduc_1a coevwork_1a compuse_1a cowrkers_1a cowrkslf_1a cowrksta_1a cutgovt_1a earthsun_1a econsup1_1a equalize_1a eth2_1a eth3_1a ethnum_1a evcrack_1a evidu_1a evjob_1a evolved2_1a evpaidsx_1a evstray_1a evwork_1a exjobsat_1a extraern_1a extrawrk_1a famdif16_1a famgen_1a family16_1a famintjb_1a famorjob_1a fechld_1a fefam_1a fehire_1a fejobaff_1a fepol_1a fepresch_1a finalter_1a finrela_1a flexhrs1_1a gendereq_1a genegen_1a getahead_1a givinffor_1a givinfusa_1a goodlife_1a googlesn_1a govtinfo_1a granborn_1a grass_1a grnlaws_1a gunlaw_1a hapcohab_1a hapmar_1a happy_1a harass5_1a health_1a hefinfo_1a helpblk_1a helpful_1a helpnot_1a helporg1_1a helpoth_1a helppoor_1a helpsick_1a hlthcare_1a homosex_1a hompop_1a hope1_1a hope2_1a hope3_1a hope4_1a hope5_1a hope6_1a hotcore_1a hsbio_1a hschem_1a hsmath_1a hsphys_1a huclean_1a if12who_1a incom16_1a income_1a income16_1a indus10_1a indusgen_1a intlblks_1a intlwhts_1a jbendmo_1a jbendyr_1a jbintfam_1a jbtrain_1a joblose_1a jobsall_1a jobsat_1a kidssol_1a letdie1_1a letin1a_1a libath_1a libcom_1a libhomo_1a libmil_1a libmslm_1a librac_1a life_1a liveblks_1a livewhts_1a lotr1_1a lotr2_1a lotr3_1a lotr4_1a lotr5_1a lotr6_1a madeg_1a maeduc_1a maind10_1a maisco08_1a maisco88_1a major1_1a major2_1a majorcol_1a makejobs_1a maocc10_1a mapres10_1a mapres105plus_1a marasian_1a marblk_1a marcohab_1a marhisp_1a marhomo1_1a marital_1a martype_1a marwht_1a masei10_1a masei10educ_1a masei10inc_1a matesex_1a mawrkgrw_1a mawrkslf_1a meovrwrk_1a mntlhlth_1a mobile16_1a nataid_1a nataidy_1a natarms_1a natarmsy_1a natchld_1a natcity_1a natcityy_1a natcrime_1a natcrimy_1a natdrug_1a natdrugy_1a nateduc_1a nateducy_1a natenrgy_1a natenvir_1a natenviy_1a natfare_1a natfarey_1a natheal_1a nathealy_1a natmass_1a natpark_1a natrace_1a natracey_1a natroad_1a natsci_1a natsoc_1a natspac_1a natspacy_1a news_1a newsfrom_1a nextgen_1a nummen_1a numwomen_1a obey_1a obeylaw_1a occ10_1a odds1_1a odds2_1a oversamp_1a padeg_1a paeduc_1a paind10_1a paisco08_1a paisco88_1a paocc10_1a papres10_1a papres105plus_1a parborn_1a parsol_1a partners_1a partnrs5_1a partyid_1a pasei10_1a pasei10educ_1a pasei10inc_1a pawrkslf_1a phase_1a phone_1a polabuse_1a polattak_1a poleff11_1a poleff13_1a poleff16_1a poleff17_1a polescap_1a polgbeco_1a polhitok_1a polint_1a polmurdr_1a polviews_1a popespks_1a popular_1a pornlaw_1a posslq_1a posslqy_1a postlife_1a pray_1a prayer_1a premarsx_1a pres12_1a prestg10_1a prestg105plus_1a preteen_1a protest1_1a protest3_1a racdif1_1a racdif2_1a racdif3_1a racdif4_1a race_1a racecen1_1a racecen2_1a racecen3_1a racethas_1a racethbl_1a racethhi_1a racethna_1a racethot_1a racethwh_1a raclive_1a racopen_1a racwork_1a radioact_1a random_1a rank_1a ratetone_1a rcontact_1a realinc_1a realrinc_1a reborn_1a reg16_1a region_1a relactiv_1a relig_1a relig16_1a reliten_1a relpersn_1a res16_1a respnum_1a revpub_1a revspeak_1a rhiinc_1a rhlpoths_1a rincom16_1a rincome_1a rintjob_1a rowngun_1a rpromotn_1a rsecjob_1a rushed_1a rvisitor_1a rwrkindp_1a sampcode_1a sample_1a satfin_1a satjob_1a savejobs_1a savesoul_1a scibnfts_1a scientbe_1a scientgo_1a scienthe_1a scientod_1a scifrom_1a scinews1_1a scinews2_1a scinews3_1a scistudy_1a scitext_1a secjob_1a seeksci_1a sei10_1a sei10educ_1a sei10inc_1a sethrs_1a sex_1a sexfreq_1a sexornt_1a sexsex_1a sexsex5_1a sibs_1a size_1a socbar_1a socfrend_1a socommun_1a socrel_1a solarrev_1a spaneng_1a spanint_1a spanking_1a spanself_1a sparms_1a spdeg_1a spden_1a spdipged_1a speduc_1a spenviro_1a spevwork_1a spfund_1a sphlth_1a spind10_1a spisco08_1a spisco88_1a spjew_1a spjewaj_1a spkath_1a spkcom_1a spkhomo_1a spklang_1a spkmil_1a spkmslm_1a spkrac_1a spocc10_1a spother_1a sppolice_1a sppres10_1a sppres105plus_1a sprel_1a spretire_1a sprtprsn_1a spschool_1a spsei10_1a spsei10educ_1a spsei10inc_1a spunemp_1a spwrkslf_1a spwrksta_1a srcbelt_1a stayorg3_1a stoprndm_1a stress_1a stresswk_1a strngun_1a tapphone_1a tax_1a taxbylaw_1a taxmid_1a taxpaid_1a taxpoor_1a taxrich_1a teens_1a teensex_1a tempgen_1a thnkself_1a timeoff_1a toofast_1a trust_1a tvhours_1a unemp_1a union_1a union1_1a unionsbd_1a unrelat_1a uscitzn_1a uswar_1a uswary_1a verdict_1a viruses_1a voedcol_1a voedncol_1a voednme1_1a voednme2_1a vote12_1a watergen_1a wlthblks_1a wlthwhts_1a wordsum_1a worecsup_1a workblks_1a workhard_1a worknow_1a workwhts_1a wornojob_1a worryjob_1a wotrial_1a wrkwayup_1a respond_1a incuspop_1a neisafe_1a abinspay_1a abmedgov1_1a abmedgov2_1a abmelegl_1a abmoral_1a abpoorw_1a abstate1_1a abstate2_1a actssoc_1a attend12_1a attendma_1a attendpa_1a backpain_1a befair_1a buddhsts_1a buyesop_1a buyvalue_1a cantrust_1a christns_1a churhpow_1a clergvte_1a cntctfam_1a cntctfrd_1a cntctkid_1a cntctpar_1a cntctsib_1a comfort_1a company_1a compperf_1a compwage_1a conbiz_1a conchurh_1a concong_1a concourt_1a condemnd_1a conschls_1a conwkday_1a cowrkhlp_1a cowrkint_1a defpensn_1a demands_1a denkid_1a depress_1a difrel_1a dinefrds_1a disrspct_1a dofirst_1a dwelown16_1a egomeans_1a emoprobs_1a empinput_1a emptrain_1a endsmeet_1a esop_1a esopnot_1a extr2017_1a extrapay_1a extraval_1a extrayr_1a fairearn_1a fammhneg_1a fampress_1a famvswk_1a famwkoff_1a fatalism_1a fatigue_1a feelrel_1a firstyou_1a hapunhap_1a haveinfo_1a health1_1a healthissp_1a heaven_1a height_1a hell_1a helpfrds_1a hindus_1a if16who_1a imbalnce_1a imprvown_1a imprvtrt_1a incgap_1a indperf_1a intcntct_1a intlhsps_1a jews_1a jobfind1_1a jobsecok_1a kidpars_1a knowschd_1a knowwhat_1a knwbus_1a knwclenr_1a knwcop_1a knwcuttr_1a knwexec_1a knwhrman_1a knwlawyr_1a knwmchnc_1a laidoff_1a lifein5_1a lifenow_1a lonely1_1a lonely2_1a lonely3_1a nihilism_1a notsmart_1a ntwkhard_1a numcong_1a numlangs_1a numorg_1a poorserv_1a prayfreq_1a pres16_1a prodctiv_1a promtefr_1a promteok_1a proudemp_1a quallife_1a ratepain_1a relext1_1a relext3_1a relgenbar_1a relgeneq_1a religcon_1a religint_1a religkid_1a relmarry_1a relobjct_1a relpast_1a relrlvnt_1a relscrpt_1a relsprt_1a reptile_1a reptileb4_1a respect_1a rfamlook_1a rincblls_1a rxmed_1a safefrst_1a safehlth_1a safetywk_1a satfam7_1a satjob1_1a satlife_1a satsoc_1a secondwk_1a seetalk1_1a seetalk2_1a seetalk3_1a seetalk4_1a seetalk5_1a selfhelp_1a seriousp_1a severe1_1a severe2_1a severe3_1a severe4_1a severe5_1a sexbirth_1a sexnow_1a slfmangd_1a slpprblm_1a smallgap_1a spfalook_1a sphealer_1a splive_1a spvtrfair_1a spwksup_1a stockops_1a stockval_1a stress12_1a stresses_1a strredpg_1a supcares_1a suphelp_1a teamsafe_1a theism_1a threaten_1a tlkclrgy_1a tlkfam_1a toofewwk_1a trbigbus_1a trcourts_1a trdunion_1a trustman_1a trustsci_1a trynewjb_1a unhappy_1a upsdowns_1a upset_1a usedup_1a usetech_1a vistholy_1a vote16_1a waypaid_1a wayraise_1a wealth_1a weight_1a where6_1a whynopet_1a whywkhme_1a wkageism_1a wkdecide_1a wkfreedm_1a wkharoth_1a wkharsex_1a wkpraise_1a wkracism_1a wksexism_1a wksmooth_1a wkvsfam_1a wlthhsps_1a workdiff_1a workfast_1a workfor1_1a workhsps_1a wrkhome_1a wrksched_1a wrkslffam_1a wrktime_1a wrktype_1a xmarsex1_1a yearsjob_1a yearsusa_1a yearval_1a spkathy_1a libathy_1a spkracy_1a libracy_1a spkcomy_1a colcomy_1a libcomy_1a spkmily_1a libmily_1a spkhomoy_1a libhomoy_1a spkmslmy_1a libmslmy_1a rachome_1a racopeny_1a letdie1y_1a marhomo_1a sexbirth1_1a sexnow1_1a polhitoky_1a polabusey_1a polattaky_1a rateincumb_1a ratechall1_1a ratechall2_1a aprvpres_1a lkelyvot_1a whovote1_1a econstat_1a aprvdaca_1a polintrst_1a covopen_1a aprvecon_1a aprvcovid_1a econlast_1a sprtconnct_1a sprtlrgr_1a sprtpurp_1a poltrtblk_1a poltrthsp_1a defund_1a strvbias_1a wrycovid_1a wrypaybills_1a wrygetsick_1a advsched_2 affrmact_2 balneg_2 balpos_2 betrlang_2 bible_2 bigbang_2 bigbang1_2 bigbang2_2 bored_2 born_2 boyorgrl_2 bribe_2 brlawfl_2 brnotax_2 cappun_2 cctv_2 childs_2 chldidel_2 chngewrk_2 clssmtes_2 codeg_2 coden_2 codipged_2 coeduc_2 coevwork_2 compuse_2 cowrkers_2 cowrkslf_2 cowrksta_2 cutgovt_2 earthsun_2 econsup1_2 equalize_2 eth2_2 eth3_2 ethnum_2 evcrack_2 evidu_2 evjob_2 evolved2_2 evpaidsx_2 evstray_2 evwork_2 exjobsat_2 extraern_2 extrawrk_2 famdif16_2 famgen_2 family16_2 famintjb_2 famorjob_2 fechld_2 fefam_2 fehire_2 fejobaff_2 fepol_2 fepresch_2 finalter_2 finrela_2 flexhrs1_2 gendereq_2 genegen_2 getahead_2 givinffor_2 givinfusa_2 goodlife_2 googlesn_2 govtinfo_2 granborn_2 grass_2 grnlaws_2 gunlaw_2 hapcohab_2 hapmar_2 happy_2 harass5_2 health_2 hefinfo_2 helpblk_2 helpful_2 helpnot_2 helporg1_2 helpoth_2 helppoor_2 helpsick_2 hlthcare_2 homosex_2 hompop_2 hope1_2 hope2_2 hope3_2 hope4_2 hope5_2 hope6_2 hotcore_2 hsbio_2 hschem_2 hsmath_2 hsphys_2 huclean_2 if12who_2 incom16_2 income_2 income16_2 indus10_2 indusgen_2 intlblks_2 intlwhts_2 jbendmo_2 jbendyr_2 jbintfam_2 jbtrain_2 joblose_2 jobsall_2 jobsat_2 kidssol_2 letdie1_2 letin1a_2 libath_2 libcom_2 libhomo_2 libmil_2 libmslm_2 librac_2 life_2 liveblks_2 livewhts_2 lotr1_2 lotr2_2 lotr3_2 lotr4_2 lotr5_2 lotr6_2 madeg_2 maeduc_2 maind10_2 maisco08_2 maisco88_2 major1_2 major2_2 majorcol_2 makejobs_2 maocc10_2 mapres10_2 mapres105plus_2 marasian_2 marblk_2 marcohab_2 marhisp_2 marhomo1_2 marital_2 martype_2 marwht_2 masei10_2 masei10educ_2 masei10inc_2 matesex_2 mawrkgrw_2 mawrkslf_2 meovrwrk_2 mntlhlth_2 mobile16_2 nataid_2 nataidy_2 natarms_2 natarmsy_2 natchld_2 natcity_2 natcityy_2 natcrime_2 natcrimy_2 natdrug_2 natdrugy_2 nateduc_2 nateducy_2 natenrgy_2 natenvir_2 natenviy_2 natfare_2 natfarey_2 natheal_2 nathealy_2 natmass_2 natpark_2 natrace_2 natracey_2 natroad_2 natsci_2 natsoc_2 natspac_2 natspacy_2 news_2 newsfrom_2 nextgen_2 nummen_2 numwomen_2 obey_2 obeylaw_2 occ10_2 odds1_2 odds2_2 oversamp_2 padeg_2 paeduc_2 paind10_2 paisco08_2 paisco88_2 paocc10_2 papres10_2 papres105plus_2 parborn_2 parsol_2 partners_2 partnrs5_2 partyid_2 pasei10_2 pasei10educ_2 pasei10inc_2 pawrkslf_2 phase_2 phone_2 polabuse_2 polattak_2 poleff11_2 poleff13_2 poleff16_2 poleff17_2 polescap_2 polgbeco_2 polhitok_2 polint_2 polmurdr_2 polviews_2 popespks_2 popular_2 pornlaw_2 posslq_2 posslqy_2 postlife_2 pray_2 prayer_2 premarsx_2 pres12_2 prestg10_2 prestg105plus_2 preteen_2 protest1_2 protest3_2 racdif1_2 racdif2_2 racdif3_2 racdif4_2 race_2 racecen1_2 racecen2_2 racecen3_2 racethas_2 racethbl_2 racethhi_2 racethna_2 racethot_2 racethwh_2 raclive_2 racopen_2 racwork_2 radioact_2 random_2 rank_2 ratetone_2 rcontact_2 realinc_2 realrinc_2 reborn_2 reg16_2 region_2 relactiv_2 relig_2 relig16_2 reliten_2 relpersn_2 res16_2 respnum_2 revpub_2 revspeak_2 rhiinc_2 rhlpoths_2 rincom16_2 rincome_2 rintjob_2 rowngun_2 rpromotn_2 rsecjob_2 rushed_2 rvisitor_2 rwrkindp_2 sampcode_2 sample_2 satfin_2 satjob_2 savejobs_2 savesoul_2 scibnfts_2 scientbe_2 scientgo_2 scienthe_2 scientod_2 scifrom_2 scinews1_2 scinews2_2 scinews3_2 scistudy_2 scitext_2 secjob_2 seeksci_2 sei10_2 sei10educ_2 sei10inc_2 sethrs_2 sex_2 sexfreq_2 sexornt_2 sexsex_2 sexsex5_2 sibs_2 size_2 socbar_2 socfrend_2 socommun_2 socrel_2 solarrev_2 spaneng_2 spanint_2 spanking_2 spanself_2 sparms_2 spdeg_2 spden_2 spdipged_2 speduc_2 spenviro_2 spevwork_2 spfund_2 sphlth_2 spind10_2 spisco08_2 spisco88_2 spjew_2 spjewaj_2 spkath_2 spkcom_2 spkhomo_2 spklang_2 spkmil_2 spkmslm_2 spkrac_2 spocc10_2 spother_2 sppolice_2 sppres10_2 sppres105plus_2 sprel_2 spretire_2 sprtprsn_2 spschool_2 spsei10_2 spsei10educ_2 spsei10inc_2 spunemp_2 spwrkslf_2 spwrksta_2 srcbelt_2 stayorg3_2 stoprndm_2 stress_2 stresswk_2 strngun_2 tapphone_2 tax_2 taxbylaw_2 taxmid_2 taxpaid_2 taxpoor_2 taxrich_2 teens_2 teensex_2 tempgen_2 thnkself_2 timeoff_2 toofast_2 trust_2 tvhours_2 unemp_2 union_2 union1_2 unionsbd_2 unrelat_2 uscitzn_2 uswar_2 uswary_2 verdict_2 viruses_2 voedcol_2 voedncol_2 voednme1_2 voednme2_2 vote12_2 watergen_2 wlthblks_2 wlthwhts_2 wordsum_2 worecsup_2 workblks_2 workhard_2 worknow_2 workwhts_2 wornojob_2 worryjob_2 wotrial_2 wrkwayup_2 respond_2 incuspop_2 neisafe_2 abinspay_2 abmedgov1_2 abmedgov2_2 abmelegl_2 abmoral_2 abpoorw_2 abstate1_2 abstate2_2 actssoc_2 attend12_2 attendma_2 attendpa_2 backpain_2 befair_2 buddhsts_2 buyesop_2 buyvalue_2 cantrust_2 christns_2 churhpow_2 clergvte_2 cntctfam_2 cntctfrd_2 cntctkid_2 cntctpar_2 cntctsib_2 comfort_2 company_2 compperf_2 compwage_2 conbiz_2 conchurh_2 concong_2 concourt_2 condemnd_2 conschls_2 conwkday_2 cowrkhlp_2 cowrkint_2 defpensn_2 demands_2 denkid_2 depress_2 difrel_2 dinefrds_2 disrspct_2 dofirst_2 dwelown16_2 egomeans_2 emoprobs_2 empinput_2 emptrain_2 endsmeet_2 esop_2 esopnot_2 extr2017_2 extrapay_2 extraval_2 extrayr_2 fairearn_2 fammhneg_2 fampress_2 famvswk_2 famwkoff_2 fatalism_2 fatigue_2 feelrel_2 firstyou_2 hapunhap_2 haveinfo_2 health1_2 healthissp_2 heaven_2 height_2 hell_2 helpfrds_2 hindus_2 if16who_2 imbalnce_2 imprvown_2 imprvtrt_2 incgap_2 indperf_2 intcntct_2 intlhsps_2 jews_2 jobfind1_2 jobsecok_2 kidpars_2 knowschd_2 knowwhat_2 knwbus_2 knwclenr_2 knwcop_2 knwcuttr_2 knwexec_2 knwhrman_2 knwlawyr_2 knwmchnc_2 laidoff_2 lifein5_2 lifenow_2 lonely1_2 lonely2_2 lonely3_2 nihilism_2 notsmart_2 ntwkhard_2 numcong_2 numlangs_2 numorg_2 poorserv_2 prayfreq_2 pres16_2 prodctiv_2 promtefr_2 promteok_2 proudemp_2 quallife_2 ratepain_2 relext1_2 relext3_2 relgenbar_2 relgeneq_2 religcon_2 religint_2 religkid_2 relmarry_2 relobjct_2 relpast_2 relrlvnt_2 relscrpt_2 relsprt_2 reptile_2 reptileb4_2 respect_2 rfamlook_2 rincblls_2 rxmed_2 safefrst_2 safehlth_2 safetywk_2 satfam7_2 satjob1_2 satlife_2 satsoc_2 secondwk_2 seetalk1_2 seetalk2_2 seetalk3_2 seetalk4_2 seetalk5_2 selfhelp_2 seriousp_2 severe1_2 severe2_2 severe3_2 severe4_2 severe5_2 sexbirth_2 sexnow_2 slfmangd_2 slpprblm_2 smallgap_2 spfalook_2 sphealer_2 splive_2 spvtrfair_2 spwksup_2 stockops_2 stockval_2 stress12_2 stresses_2 strredpg_2 supcares_2 suphelp_2 teamsafe_2 theism_2 threaten_2 tlkclrgy_2 tlkfam_2 toofewwk_2 trbigbus_2 trcourts_2 trdunion_2 trustman_2 trustsci_2 trynewjb_2 unhappy_2 upsdowns_2 upset_2 usedup_2 usetech_2 vistholy_2 vote16_2 waypaid_2 wayraise_2 wealth_2 weight_2 where6_2 whynopet_2 whywkhme_2 wkageism_2 wkdecide_2 wkfreedm_2 wkharoth_2 wkharsex_2 wkpraise_2 wkracism_2 wksexism_2 wksmooth_2 wkvsfam_2 wlthhsps_2 workdiff_2 workfast_2 workfor1_2 workhsps_2 wrkhome_2 wrksched_2 wrkslffam_2 wrktime_2 wrktype_2 xmarsex1_2 yearsjob_2 yearsusa_2 yearval_2 spkathy_2 libathy_2 spkracy_2 libracy_2 spkcomy_2 colcomy_2 libcomy_2 spkmily_2 libmily_2 spkhomoy_2 libhomoy_2 spkmslmy_2 libmslmy_2 rachome_2 racopeny_2 letdie1y_2 marhomo_2 sexbirth1_2 sexnow1_2 polhitoky_2 polabusey_2 polattaky_2 rateincumb_2 ratechall1_2 ratechall2_2 aprvpres_2 lkelyvot_2 whovote1_2 econstat_2 aprvdaca_2 polintrst_2 covopen_2 aprvecon_2 aprvcovid_2 econlast_2 sprtconnct_2 sprtlrgr_2 sprtpurp_2 poltrtblk_2 poltrthsp_2 defund_2 strvbias_2 wrycovid_2 wrypaybills_2 wrygetsick_2 advsched_1b affrmact_1b balneg_1b balpos_1b betrlang_1b bible_1b bigbang_1b bigbang1_1b bigbang2_1b bored_1b born_1b boyorgrl_1b bribe_1b brlawfl_1b brnotax_1b cappun_1b cctv_1b childs_1b chldidel_1b chngewrk_1b clssmtes_1b codeg_1b coden_1b codipged_1b coeduc_1b coevwork_1b compuse_1b cowrkers_1b cowrkslf_1b cowrksta_1b cutgovt_1b earthsun_1b econsup1_1b equalize_1b eth2_1b eth3_1b ethnum_1b evcrack_1b evidu_1b evjob_1b evolved2_1b evpaidsx_1b evstray_1b evwork_1b exjobsat_1b extraern_1b extrawrk_1b famdif16_1b famgen_1b family16_1b famintjb_1b famorjob_1b fechld_1b fefam_1b fehire_1b fejobaff_1b fepol_1b fepresch_1b finalter_1b finrela_1b flexhrs1_1b gendereq_1b genegen_1b getahead_1b givinffor_1b givinfusa_1b goodlife_1b googlesn_1b govtinfo_1b granborn_1b grass_1b grnlaws_1b gunlaw_1b hapcohab_1b hapmar_1b happy_1b harass5_1b health_1b hefinfo_1b helpblk_1b helpful_1b helpnot_1b helporg1_1b helpoth_1b helppoor_1b helpsick_1b hlthcare_1b homosex_1b hompop_1b hope1_1b hope2_1b hope3_1b hope4_1b hope5_1b hope6_1b hotcore_1b hsbio_1b hschem_1b hsmath_1b hsphys_1b huclean_1b if12who_1b incom16_1b income_1b income16_1b indus10_1b indusgen_1b intlblks_1b intlwhts_1b jbendmo_1b jbendyr_1b jbintfam_1b jbtrain_1b joblose_1b jobsall_1b jobsat_1b kidssol_1b letdie1_1b letin1a_1b libath_1b libcom_1b libhomo_1b libmil_1b libmslm_1b librac_1b life_1b liveblks_1b livewhts_1b lotr1_1b lotr2_1b lotr3_1b lotr4_1b lotr5_1b lotr6_1b madeg_1b maeduc_1b maind10_1b maisco08_1b maisco88_1b major1_1b major2_1b majorcol_1b makejobs_1b maocc10_1b mapres10_1b mapres105plus_1b marasian_1b marblk_1b marcohab_1b marhisp_1b marhomo1_1b marital_1b martype_1b marwht_1b masei10_1b masei10educ_1b masei10inc_1b matesex_1b mawrkgrw_1b mawrkslf_1b meovrwrk_1b mntlhlth_1b mobile16_1b nataid_1b nataidy_1b natarms_1b natarmsy_1b natchld_1b natcity_1b natcityy_1b natcrime_1b natcrimy_1b natdrug_1b natdrugy_1b nateduc_1b nateducy_1b natenrgy_1b natenvir_1b natenviy_1b natfare_1b natfarey_1b natheal_1b nathealy_1b natmass_1b natpark_1b natrace_1b natracey_1b natroad_1b natsci_1b natsoc_1b natspac_1b natspacy_1b news_1b newsfrom_1b nextgen_1b nummen_1b numwomen_1b obey_1b obeylaw_1b occ10_1b odds1_1b odds2_1b oversamp_1b padeg_1b paeduc_1b paind10_1b paisco08_1b paisco88_1b paocc10_1b papres10_1b papres105plus_1b parborn_1b parsol_1b partners_1b partnrs5_1b partyid_1b pasei10_1b pasei10educ_1b pasei10inc_1b pawrkslf_1b phase_1b phone_1b polabuse_1b polattak_1b poleff11_1b poleff13_1b poleff16_1b poleff17_1b polescap_1b polgbeco_1b polhitok_1b polint_1b polmurdr_1b polviews_1b popespks_1b popular_1b pornlaw_1b posslq_1b posslqy_1b postlife_1b pray_1b prayer_1b premarsx_1b pres12_1b prestg10_1b prestg105plus_1b preteen_1b protest1_1b protest3_1b racdif1_1b racdif2_1b racdif3_1b racdif4_1b race_1b racecen1_1b racecen2_1b racecen3_1b racethas_1b racethbl_1b racethhi_1b racethna_1b racethot_1b racethwh_1b raclive_1b racopen_1b racwork_1b radioact_1b random_1b rank_1b ratetone_1b rcontact_1b realinc_1b realrinc_1b reborn_1b reg16_1b region_1b relactiv_1b relig_1b relig16_1b reliten_1b relpersn_1b res16_1b respnum_1b revpub_1b revspeak_1b rhiinc_1b rhlpoths_1b rincom16_1b rincome_1b rintjob_1b rowngun_1b rpromotn_1b rsecjob_1b rushed_1b rvisitor_1b rwrkindp_1b sampcode_1b sample_1b satfin_1b satjob_1b savejobs_1b savesoul_1b scibnfts_1b scientbe_1b scientgo_1b scienthe_1b scientod_1b scifrom_1b scinews1_1b scinews2_1b scinews3_1b scistudy_1b scitext_1b secjob_1b seeksci_1b sei10_1b sei10educ_1b sei10inc_1b sethrs_1b sex_1b sexfreq_1b sexornt_1b sexsex_1b sexsex5_1b sibs_1b size_1b socbar_1b socfrend_1b socommun_1b socrel_1b solarrev_1b spaneng_1b spanint_1b spanking_1b spanself_1b sparms_1b spdeg_1b spden_1b spdipged_1b speduc_1b spenviro_1b spevwork_1b spfund_1b sphlth_1b spind10_1b spisco08_1b spisco88_1b spjew_1b spjewaj_1b spkath_1b spkcom_1b spkhomo_1b spklang_1b spkmil_1b spkmslm_1b spkrac_1b spocc10_1b spother_1b sppolice_1b sppres10_1b sppres105plus_1b sprel_1b spretire_1b sprtprsn_1b spschool_1b spsei10_1b spsei10educ_1b spsei10inc_1b spunemp_1b spwrkslf_1b spwrksta_1b srcbelt_1b stayorg3_1b stoprndm_1b stress_1b stresswk_1b strngun_1b tapphone_1b tax_1b taxbylaw_1b taxmid_1b taxpaid_1b taxpoor_1b taxrich_1b teens_1b teensex_1b tempgen_1b thnkself_1b timeoff_1b toofast_1b trust_1b tvhours_1b unemp_1b union_1b union1_1b unionsbd_1b unrelat_1b uscitzn_1b uswar_1b uswary_1b verdict_1b viruses_1b voedcol_1b voedncol_1b voednme1_1b voednme2_1b vote12_1b watergen_1b wlthblks_1b wlthwhts_1b wordsum_1b worecsup_1b workblks_1b workhard_1b worknow_1b workwhts_1b wornojob_1b worryjob_1b wotrial_1b wrkwayup_1b respond_1b incuspop_1b neisafe_1b abinspay_1b abmedgov1_1b abmedgov2_1b abmelegl_1b abmoral_1b abpoorw_1b abstate1_1b abstate2_1b actssoc_1b attend12_1b attendma_1b attendpa_1b backpain_1b befair_1b buddhsts_1b buyesop_1b buyvalue_1b cantrust_1b christns_1b churhpow_1b clergvte_1b cntctfam_1b cntctfrd_1b cntctkid_1b cntctpar_1b cntctsib_1b comfort_1b company_1b compperf_1b compwage_1b conbiz_1b conchurh_1b concong_1b concourt_1b condemnd_1b conschls_1b conwkday_1b cowrkhlp_1b cowrkint_1b defpensn_1b demands_1b denkid_1b depress_1b difrel_1b dinefrds_1b disrspct_1b dofirst_1b dwelown16_1b egomeans_1b emoprobs_1b empinput_1b emptrain_1b endsmeet_1b esop_1b esopnot_1b extr2017_1b extrapay_1b extraval_1b extrayr_1b fairearn_1b fammhneg_1b fampress_1b famvswk_1b famwkoff_1b fatalism_1b fatigue_1b feelrel_1b firstyou_1b hapunhap_1b haveinfo_1b health1_1b healthissp_1b heaven_1b height_1b hell_1b helpfrds_1b hindus_1b if16who_1b imbalnce_1b imprvown_1b imprvtrt_1b incgap_1b indperf_1b intcntct_1b intlhsps_1b jews_1b jobfind1_1b jobsecok_1b kidpars_1b knowschd_1b knowwhat_1b knwbus_1b knwclenr_1b knwcop_1b knwcuttr_1b knwexec_1b knwhrman_1b knwlawyr_1b knwmchnc_1b laidoff_1b lifein5_1b lifenow_1b lonely1_1b lonely2_1b lonely3_1b nihilism_1b notsmart_1b ntwkhard_1b numcong_1b numlangs_1b numorg_1b poorserv_1b prayfreq_1b pres16_1b prodctiv_1b promtefr_1b promteok_1b proudemp_1b quallife_1b ratepain_1b relext1_1b relext3_1b relgenbar_1b relgeneq_1b religcon_1b religint_1b religkid_1b relmarry_1b relobjct_1b relpast_1b relrlvnt_1b relscrpt_1b relsprt_1b reptile_1b reptileb4_1b respect_1b rfamlook_1b rincblls_1b rxmed_1b safefrst_1b safehlth_1b safetywk_1b satfam7_1b satjob1_1b satlife_1b satsoc_1b secondwk_1b seetalk1_1b seetalk2_1b seetalk3_1b seetalk4_1b seetalk5_1b selfhelp_1b seriousp_1b severe1_1b severe2_1b severe3_1b severe4_1b severe5_1b sexbirth_1b sexnow_1b slfmangd_1b slpprblm_1b smallgap_1b spfalook_1b sphealer_1b splive_1b spvtrfair_1b spwksup_1b stockops_1b stockval_1b stress12_1b stresses_1b strredpg_1b supcares_1b suphelp_1b teamsafe_1b theism_1b threaten_1b tlkclrgy_1b tlkfam_1b toofewwk_1b trbigbus_1b trcourts_1b trdunion_1b trustman_1b trustsci_1b trynewjb_1b unhappy_1b upsdowns_1b upset_1b usedup_1b usetech_1b vistholy_1b vote16_1b waypaid_1b wayraise_1b wealth_1b weight_1b where6_1b whynopet_1b whywkhme_1b wkageism_1b wkdecide_1b wkfreedm_1b wkharoth_1b wkharsex_1b wkpraise_1b wkracism_1b wksexism_1b wksmooth_1b wkvsfam_1b wlthhsps_1b workdiff_1b workfast_1b workfor1_1b workhsps_1b wrkhome_1b wrksched_1b wrkslffam_1b wrktime_1b wrktype_1b xmarsex1_1b yearsjob_1b yearsusa_1b yearval_1b spkathy_1b libathy_1b spkracy_1b libracy_1b spkcomy_1b colcomy_1b libcomy_1b spkmily_1b libmily_1b spkhomoy_1b libhomoy_1b spkmslmy_1b libmslmy_1b rachome_1b racopeny_1b letdie1y_1b marhomo_1b sexbirth1_1b sexnow1_1b polhitoky_1b polabusey_1b polattaky_1b rateincumb_1b ratechall1_1b ratechall2_1b aprvpres_1b lkelyvot_1b whovote1_1b econstat_1b aprvdaca_1b polintrst_1b covopen_1b aprvecon_1b aprvcovid_1b econlast_1b sprtconnct_1b sprtlrgr_1b sprtpurp_1b poltrtblk_1b poltrthsp_1b defund_1b strvbias_1b wrycovid_1b wrypaybills_1b wrygetsick_1b
